# Generated by Makefile. Do not edit.

commit 3bf7860fb783c38503c013dbad05ad2ff54f5a16
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Dec 18 11:41:45 2011 +0100

    NEWS updated for 3.1.0 release
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 NEWS |  637 ++++++++++--------------------------------------------------------
 1 files changed, 90 insertions(+), 547 deletions(-)

commit 22ef966d4aab3448d4debf524afbdaa19f37dff0
Author: Martin Lucina <martin@lucina.net>
Date:   Sun Dec 18 11:19:55 2011 +0100

    Update email address in man pages
    
    Signed-off-by: Martin Lucina <martin@lucina.net>

 doc/zmq.txt               |    2 +-
 doc/zmq_bind.txt          |    2 +-
 doc/zmq_close.txt         |    2 +-
 doc/zmq_connect.txt       |    2 +-
 doc/zmq_errno.txt         |    2 +-
 doc/zmq_getsockopt.txt    |    2 +-
 doc/zmq_init.txt          |    2 +-
 doc/zmq_inproc.txt        |    2 +-
 doc/zmq_ipc.txt           |    2 +-
 doc/zmq_msg_close.txt     |    2 +-
 doc/zmq_msg_copy.txt      |    2 +-
 doc/zmq_msg_data.txt      |    2 +-
 doc/zmq_msg_init.txt      |    2 +-
 doc/zmq_msg_init_data.txt |    2 +-
 doc/zmq_msg_init_size.txt |    2 +-
 doc/zmq_msg_move.txt      |    2 +-
 doc/zmq_msg_size.txt      |    2 +-
 doc/zmq_pgm.txt           |    2 +-
 doc/zmq_poll.txt          |    2 +-
 doc/zmq_recv.txt          |    2 +-
 doc/zmq_recvmsg.txt       |    2 +-
 doc/zmq_send.txt          |    2 +-
 doc/zmq_sendmsg.txt       |    2 +-
 doc/zmq_setsockopt.txt    |    2 +-
 doc/zmq_socket.txt        |    2 +-
 doc/zmq_strerror.txt      |    2 +-
 doc/zmq_tcp.txt           |    2 +-
 doc/zmq_term.txt          |    2 +-
 doc/zmq_version.txt       |    2 +-
 29 files changed, 29 insertions(+), 29 deletions(-)

commit 183e126364762eb7b6fcc96c87d060c8e09044b5
Author: Martin Lucina <martin@lucina.net>
Date:   Sun Dec 18 11:12:44 2011 +0100

    Fix typo in zmq_sendmsg(3) manual page
    
    Signed-off-by: Martin Lucina <martin@lucina.net>

 doc/zmq_sendmsg.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3fbe8ac3c3aaec777c305de8fbdc0d748c3b14aa
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Dec 17 23:42:45 2011 +0100

    Dont wait for pending subscription commands on shutdown
    
    When (X)SUB socket is being shut down there may be pending
    outbound subscription commands in the pipes. In such case
    we want to close the socket immediately instead of waiting
    for the commands to be sent.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xsub.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 91fdedf25c4d76b0ec0aeb5d1d9f1c9a1a769447
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Dec 17 10:14:32 2011 +0100

    Fix polling on XREP socket
    
    When polling on XREP socket in incoming message part was prefetched,
    but not the identity of sender. The problem is fixed by this patch.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |   45 ++++++++++++++++++++++++++++++++++++---------
 src/xrep.hpp |    8 ++++++--
 2 files changed, 42 insertions(+), 11 deletions(-)

commit f9eb763293014f812dac5558be5c5f03bb896efb
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Dec 16 07:04:38 2011 +0100

    zmq_sendmsg and zmq_recvmsg checks for NULL message object
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3fb5c11b03119a157db8dc024809943f88f87320
Author: Stuart Webster <sw_webster@hotmail.com>
Date:   Thu Dec 15 14:03:43 2011 +0100

    Added MSVC10 solution and project files for Windows
    
    These include configurations for both Win32 and x64 platforms. All project
    settings have been normalised in property sheets (the ".props" files under
    builds/msvc/properties) to simplify maintenance. Build artefacts are all
    generated in platform-specific subfolders of bin, lib and obj directories.
    
    Also enables the use of precompiled headers with MSVC10.
    
    This significantly reduces the time required to compile libzmq with Visual
    Studio on Windows. It should have no impact on other platforms.
    
    Signed-off-by: Stuart Webster <sw_webster@hotmail.com>

 .gitignore                                    |    1 +
 builds/msvc/c_local_lat/c_local_lat.vcxproj   |   87 +++++++++
 builds/msvc/c_local_thr/c_local_thr.vcxproj   |   87 +++++++++
 builds/msvc/c_remote_lat/c_remote_lat.vcxproj |   87 +++++++++
 builds/msvc/c_remote_thr/c_remote_thr.vcxproj |   87 +++++++++
 builds/msvc/inproc_lat/inproc_lat.vcxproj     |   86 +++++++++
 builds/msvc/inproc_thr/inproc_thr.vcxproj     |   86 +++++++++
 builds/msvc/libzmq/libzmq.vcxproj             |  241 +++++++++++++++++++++++++
 builds/msvc/libzmq/libzmq.vcxproj.filters     |   13 ++
 builds/msvc/msvc10.sln                        |  116 ++++++++++++
 builds/msvc/properties/Common.props           |   21 +++
 builds/msvc/properties/Debug.props            |   19 ++
 builds/msvc/properties/Dynamic.props          |   20 ++
 builds/msvc/properties/Executable.props       |   19 ++
 builds/msvc/properties/Precompiled.props      |   14 ++
 builds/msvc/properties/Release.props          |   22 +++
 builds/msvc/properties/Win32.props            |   12 ++
 builds/msvc/properties/Win32_Release.props    |   17 ++
 builds/msvc/properties/WithOpenPGM.props      |   12 ++
 builds/msvc/properties/ZeroMQ.props           |   23 +++
 builds/msvc/properties/x64.props              |   12 ++
 src/precompiled.cpp                           |   21 +++
 src/precompiled.hpp                           |   47 +++++
 src/windows.hpp                               |    3 +
 24 files changed, 1153 insertions(+), 0 deletions(-)

commit a9e03336b020d2e6a83338b111092e65aa812f95
Author: Martin Lucina <martin@lucina.net>
Date:   Thu Dec 15 13:23:40 2011 +0100

    A synchronous connect() failure in ipc_connecter can result in Assertion
    failed: s == retired_fd (ipc_connecter.cpp:174), as reported in LIBZMQ-294.
    
    This patch fixes the bug, and also an identical problem in tcp_connecter
    which has not hit people since TCP connect() usually completes via the
    asynchronous code path (poll, out_event).
    
    Signed-off-by: Martin Lucina <martin@lucina.net>

 src/ipc_connecter.cpp |    1 +
 src/tcp_connecter.cpp |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit e7d748e812a7259bd4030517fde79be202d2a16d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Dec 3 13:27:20 2011 +0100

    Mika Fischer added to AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0df86c41b5f2e428b6237bcc1e28304ea0149097
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Dec 3 13:25:44 2011 +0100

    rt library required on all platforms
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aaac96d94a81fb5debe24200e20c353217baec9c
Author: Mika Fischer <mika.fischer@zoopnet.de>
Date:   Sat Dec 3 13:07:30 2011 +0100

    This makes clock_t insensitive to the system clock being reset by NTP or
    the sysadmin, which could previously cause long hangs for instance in
    zmq_poll.
    
    Signed-off-by: Mika Fischer <mika.fischer@zoopnet.de>

 configure.in  |    5 +++--
 src/clock.cpp |   12 ++++++++++++
 2 files changed, 15 insertions(+), 2 deletions(-)

commit fc17bd4117c19b027790951ac1df1a141bce9d82
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 22 14:48:35 2011 +0100

    ENOTCONN on recv() on TCP socket is treated decently (issue 254)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/stream_engine.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit daac9ac5b2f864f61615a4e93caf49e6ea187cda
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Nov 21 08:11:33 2011 +0100

    Phillip Kovacs added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bf9062902c776c0c6029ef42c6ba0c7179bf0425
Author: Philip Kovacs <phil@philkovacs.com>
Date:   Mon Nov 21 08:10:03 2011 +0100

    Fix broken VPATH/parallel builds
    
    Signed-off-by: Philip Kovacs <phil@philkovacs.com>

 doc/Makefile.am   |    8 ++++----
 perf/Makefile.am  |    3 ++-
 tests/Makefile.am |    4 +++-
 3 files changed, 9 insertions(+), 6 deletions(-)

commit 5c1a91e33e552b136a0a72027ef27f41de95dcb8
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 19 10:06:06 2011 +0100

    Stuart Webster added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a610b3d1b4d975bbffc74604aa43f793dfd3f301
Author: Stuart Webster <sw_webster@hotmail.com>
Date:   Sat Nov 19 10:02:23 2011 +0100

    Line-ending conversion rules for hg-git users and enabled use of .gitignore by hg-git users
    
    Mercurial does not have built-in support for converting line-endings. This is a
    settings file for hg eol (http://mercurial.selenic.com/wiki/EolExtension), an
    extension that replicates the behaviour of git with core.autocrlf=true.
    
    Mercurial uses Python regex syntax by default in its .hgignore files. Adding
    this line to .gitignore overrides that setting, so hg-git users can just create
    a hardlink to it (e.g "mklink /H .hgignore .gitignore" on Windows) to use it.
    
    Signed-off-by: Stuart Webster <sw_webster@hotmail.com>

 .gitignore |    1 +
 .hgeol     |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit f8bd3967bfe305c22b6e08f3e6555b2162609328
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Nov 16 19:49:31 2011 +0100

    Documentation for IPv4ONLY option clarified
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    2 +-
 doc/zmq_setsockopt.txt |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5a6503e5c275c544e1447401e17a4746985614ea
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 15 13:56:59 2011 +0100

    Bug in XREP and XREQ fixed (issue 280)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |    2 +-
 src/xreq.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 83975c1b21722bb689c7b84cde5a6958145fcbd4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 15 08:40:46 2011 +0100

    Missing "defined" tokens added
    
    The missing tokens broke the build if you used -Werror -Wundef
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_address.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21bca4dbe48cffdaa1e1108600973559a3b880d2
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Nov 14 11:15:20 2011 +0100

    Bug concerining identity in XREQ socket fixed (issue 280)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xreq.cpp |   26 ++++++++++++++++++++++++--
 src/xreq.hpp |    6 ++++++
 2 files changed, 30 insertions(+), 2 deletions(-)

commit 1c239708ab174c1de9f99e256d23158f74a24dbc
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Nov 13 10:33:49 2011 +0100

    Couple of bugs in XREP handling of identities fixed.
    wq:
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |   37 ++++++++++++++++++++++---------------
 1 files changed, 22 insertions(+), 15 deletions(-)

commit f8b005502699aa069406923701af685cc156d3c2
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Nov 10 23:38:08 2011 +0100

    Hangup in signaler creation on Windows fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/signaler.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a7b0b0d3dc1003fdd6f9538afda8fb4a5bbc5d41
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Nov 9 15:41:51 2011 +0100

    AUTHORS file changed
    
    - AJ Lewis added
    - Martin Lucina's email address changed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 27524908c17b7db965f8aaa2bde513643378e372
Author: Martin Lucina <martin@lucina.net>
Date:   Wed Nov 9 15:39:33 2011 +0100

    Set libzmq ABI version to 3
    
    libzmq master (3.1) is not ABI compatible with libzmq 2.1.x or 3.0 (removed
    functionality), hence the ABI version needs to be set to 3.
    
    Signed-off-by: Martin Lucina <martin@lucina.net>

 configure.in |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit c79abee6bcaa996f50be71bd1d3075e3affb469d
Author: AJ Lewis <aj.lewis@quantum.com>
Date:   Wed Nov 9 15:22:20 2011 +0100

    Get AIX 6.1 compiling again by making msg_t class explicit
    
    Older versions of gcc have problems with in-line forward declarations
    when there's a naming conflict with a global symbol.
    
    Signed-off-by: AJ Lewis <aj.lewis@quantum.com>
    
    Expand the original patch to all such forward declarations.
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/command.hpp       |   16 ++++++++---
 src/ctx.hpp           |   22 ++++++++++-----
 src/decoder.hpp       |    6 +++-
 src/devpoll.hpp       |    6 +++-
 src/dist.hpp          |   21 ++++++++------
 src/encoder.hpp       |    6 +++-
 src/epoll.hpp         |    6 +++-
 src/i_engine.hpp      |    4 ++-
 src/io_object.hpp     |    6 +++-
 src/io_thread.hpp     |    4 ++-
 src/ipc_connecter.hpp |    9 ++++--
 src/ipc_listener.hpp  |    9 ++++--
 src/kqueue.hpp        |    6 +++-
 src/lb.hpp            |    2 +-
 src/mtrie.hpp         |   18 +++++++-----
 src/object.hpp        |   69 ++++++++++++++++++++++++++++--------------------
 src/own.hpp           |    7 +++-
 src/pair.hpp          |   25 ++++++++++-------
 src/pgm_receiver.hpp  |   11 +++++---
 src/pgm_sender.hpp    |    9 ++++--
 src/pipe.hpp          |   17 +++++++-----
 src/poll.hpp          |    6 +++-
 src/poller_base.hpp   |    8 +++--
 src/pub.hpp           |   13 ++++++---
 src/pull.hpp          |   19 ++++++++-----
 src/push.hpp          |   19 ++++++++-----
 src/reaper.hpp        |    7 +++-
 src/rep.hpp           |   15 +++++++---
 src/req.hpp           |   15 +++++++---
 src/select.hpp        |    6 +++-
 src/session_base.hpp  |   34 +++++++++++++----------
 src/socket_base.hpp   |   22 +++++++++------
 src/stream_engine.hpp |   11 +++++---
 src/sub.hpp           |   13 ++++++---
 src/tcp_connecter.hpp |    9 ++++--
 src/tcp_listener.hpp  |    9 ++++--
 src/xpub.hpp          |   25 ++++++++++-------
 src/xrep.hpp          |   25 ++++++++++--------
 src/xreq.hpp          |   24 ++++++++++------
 src/xsub.hpp          |   23 +++++++++-------
 40 files changed, 361 insertions(+), 221 deletions(-)

commit 89962a825697dd9eca057c032ec61de71b075539
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 8 14:49:15 2011 +0100

    Uninitialised FSM state in REQ session fixed (issue 278)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/req.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 11e31988e14b46ccfafeb9f58706ba1fe18a274f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Nov 6 14:09:20 2011 +0100

    Chuck Remeas added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 93529d8c5db599a45171942c4510f1b84ed09e6a
Author: Chuck Remes <cremes@mac.com>
Date:   Sun Nov 6 14:03:51 2011 +0100

    Add zmq_getmsgopt to the API
    
    The new function allows to retrieve options (flags)
    from zmq_msg_t.
    
    Signed-off-by: Chuck Remes <cremes@mac.com>
    Renamed from zmq_msg_flags to zmq_getmsgopt
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore               |    1 +
 doc/Makefile.am          |    2 +-
 doc/zmq_getmsgopt.txt    |   85 ++++++++++++++++++++++++++++++++++++++++++++++
 include/zmq.h            |    5 +++
 src/socket_base.cpp      |   10 ++---
 src/zmq.cpp              |   19 ++++++++++
 tests/Makefile.am        |    4 ++-
 tests/test_msg_flags.cpp |   82 ++++++++++++++++++++++++++++++++++++++++++++
 8 files changed, 200 insertions(+), 8 deletions(-)

commit bb66f3cc3bc2a76d10f16e1206f35480eb250a07
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 5 16:05:18 2011 +0100

    Bug in trie fixed (issue 277)
    
    When there were both '0' and '255' subnodes in (mtrie)
    the removal of the node resulted in an infinite loop.
    Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mtrie.cpp |    2 +-
 src/trie.cpp  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6503716203552966e2fa6a6b4839bc0e001f9478
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 5 11:38:50 2011 +0100

    Minor typo corrected
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/test_timeo.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe81827bd093aa6df5e5bf1bfbca479cad4ab53a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 5 10:18:38 2011 +0100

    Version changed to 3.1.0
    
    This version downgrade is done because of the previous refatoring.
    It removed all the new features and reintroduced some of the old
    ones (identities). Thus, it made trunk much closer to existing 3.0
    branch than it used to be.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 21a0b49834734919a48301fbbb354f8c75c6d1ad
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 5 10:10:44 2011 +0100

    Obsolete ECANTROUTE errror code removed
    
    This error code was used only by new-style ROUTER socket
    which is not a part of the codebase.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit a756956781973d207413d675b998ae47de47b7c7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 5 09:57:17 2011 +0100

    Use identities in inproc transport
    
    Previous patches have missed the case when the identity should
    be sent from an inproc endpoint. Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit de1d32daaedce51f655fe73e60988733b2db6557
Author: Brett Cameron <Brett.Cameron@hp.com>
Date:   Fri Nov 4 14:15:06 2011 +0100

    Fix getaddrinfo calls to work on OpenVMS
    
    Signed-off by: Brett Cameron <Brett.Cameron@hp.com>

 src/tcp_address.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 50a9ee6e7335b645487a83487285bce6886ba082
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 4 10:02:49 2011 +0100

    MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   30 +++---------------------------
 src/windows.hpp                  |    3 ---
 2 files changed, 3 insertions(+), 30 deletions(-)

commit 05ce301f3571e3e690792a189cb927328163f0bc
Merge: a8362ab 6cdd720
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 4 09:48:25 2011 +0100

    Merge branch 'master' of github.com:zeromq/libzmq

commit 6cdd720400ea456ccbfdf09cdc5054ab07dbdc6f
Merge: 541b83b e9c3a22
Author: sustrik <sustrik@250bpm.com>
Date:   Fri Nov 4 02:15:37 2011 -0700

    Merge pull request #220 from 250bpm/HEAD
    
    Refactoring

commit e9c3a227a7175b4eda5193b1c8ce6985f5ed89f3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 4 08:05:39 2011 +0100

    Linking exception corrected
    
    Correctly states 'copyright holders' instead of 'iMatix'.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 COPYING.LESSER |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit a4843b65d24f9caa188bb2454b28080f0cee8484
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 4 08:00:47 2011 +0100

    Identities re-introduced
    
    However, the "durable socket" behaviour wasn't re-added.
    Identities are used solely for routing in REQ/REP pattern.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/msg.hpp                |    1 +
 src/options.cpp            |    4 +-
 src/options.hpp            |    6 +++
 src/pipe.cpp               |   11 ++---
 src/pipe.hpp               |   10 +++--
 src/req.cpp                |   15 +++++-
 src/req.hpp                |    1 +
 src/session_base.cpp       |   20 ++++++++-
 src/session_base.hpp       |    5 ++
 src/socket_base.cpp        |    9 ++++
 src/xrep.cpp               |  102 +++++++++++++++++++++++++++-----------------
 src/xrep.hpp               |    4 +-
 src/xreq.cpp               |   14 ++++++-
 tests/test_invalid_rep.cpp |   17 ++++---
 14 files changed, 155 insertions(+), 64 deletions(-)

commit d20ea25b8c63e148fe48cc2b85bac9c896f1073b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Nov 2 14:33:58 2011 +0100

    ZMQ_IDENTITY option re-introduced
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   16 ++++++++++++++++
 doc/zmq_setsockopt.txt |   17 +++++++++++++++++
 include/zmq.h          |    1 +
 src/Makefile.am        |    1 +
 src/blob.hpp           |   35 +++++++++++++++++++++++++++++++++++
 src/options.cpp        |   25 +++++++++++++++++++++++++
 src/options.hpp        |    5 +++++
 7 files changed, 100 insertions(+), 0 deletions(-)

commit 8e21d64c974344b5b2b83cac85d12c51392fe74b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 1 18:06:11 2011 +0100

    Copyright dates adjusted to reflect reality
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 autogen.sh                     |    2 +-
 include/zmq.h                  |    2 +-
 include/zmq_utils.h            |    1 -
 perf/inproc_lat.cpp            |    2 +-
 perf/inproc_thr.cpp            |    2 +-
 perf/local_lat.cpp             |    2 +-
 perf/local_thr.cpp             |    2 +-
 perf/remote_lat.cpp            |    2 +-
 perf/remote_thr.cpp            |    2 +-
 src/array.hpp                  |    2 +-
 src/atomic_counter.hpp         |    2 +-
 src/atomic_ptr.hpp             |    2 +-
 src/clock.cpp                  |    5 ++---
 src/clock.hpp                  |    5 ++---
 src/command.hpp                |    2 +-
 src/config.hpp                 |    2 +-
 src/ctx.hpp                    |    2 +-
 src/decoder.cpp                |    2 +-
 src/decoder.hpp                |    2 +-
 src/devpoll.cpp                |    2 +-
 src/devpoll.hpp                |    2 +-
 src/dist.cpp                   |    5 ++---
 src/dist.hpp                   |    5 ++---
 src/encoder.cpp                |    2 +-
 src/encoder.hpp                |    2 +-
 src/epoll.cpp                  |    2 +-
 src/epoll.hpp                  |    2 +-
 src/err.cpp                    |    2 +-
 src/err.hpp                    |    2 +-
 src/fd.hpp                     |    3 +--
 src/fq.cpp                     |    2 +-
 src/fq.hpp                     |    2 +-
 src/i_engine.hpp               |    2 +-
 src/i_poll_events.hpp          |    4 ++--
 src/io_object.cpp              |    2 +-
 src/io_object.hpp              |    2 +-
 src/io_thread.cpp              |    2 +-
 src/io_thread.hpp              |    2 +-
 src/ip.cpp                     |    4 ++--
 src/ip.hpp                     |    4 ++--
 src/ipc_address.cpp            |    5 ++---
 src/ipc_address.hpp            |    5 ++---
 src/ipc_connecter.cpp          |    5 ++---
 src/ipc_connecter.hpp          |    5 ++---
 src/ipc_listener.cpp           |    5 ++---
 src/ipc_listener.hpp           |    5 ++---
 src/kqueue.cpp                 |    2 +-
 src/kqueue.hpp                 |    2 +-
 src/lb.cpp                     |    4 ++--
 src/lb.hpp                     |    4 ++--
 src/likely.hpp                 |    3 +--
 src/mailbox.cpp                |    2 +-
 src/mailbox.hpp                |    2 +-
 src/msg.cpp                    |    2 +-
 src/msg.hpp                    |    2 +-
 src/mtrie.cpp                  |    5 ++---
 src/mtrie.hpp                  |    5 ++---
 src/mutex.hpp                  |    4 ++--
 src/object.cpp                 |    2 +-
 src/object.hpp                 |    2 +-
 src/options.cpp                |    2 +-
 src/options.hpp                |    2 +-
 src/own.cpp                    |    5 ++---
 src/own.hpp                    |    5 ++---
 src/pair.cpp                   |    2 +-
 src/pair.hpp                   |    2 +-
 src/pgm_receiver.cpp           |    4 ++--
 src/pgm_receiver.hpp           |    4 ++--
 src/pgm_sender.cpp             |    4 ++--
 src/pgm_sender.hpp             |    4 ++--
 src/pgm_socket.cpp             |    4 ++--
 src/pgm_socket.hpp             |    4 ++--
 src/pipe.cpp                   |    2 +-
 src/pipe.hpp                   |    2 +-
 src/poll.cpp                   |    2 +-
 src/poll.hpp                   |    2 +-
 src/poller.hpp                 |    4 ++--
 src/poller_base.cpp            |    5 ++---
 src/poller_base.hpp            |    5 ++---
 src/pub.cpp                    |    2 +-
 src/pub.hpp                    |    2 +-
 src/pull.cpp                   |    2 +-
 src/pull.hpp                   |    2 +-
 src/push.cpp                   |    2 +-
 src/push.hpp                   |    2 +-
 src/random.cpp                 |    5 ++---
 src/random.hpp                 |    5 ++---
 src/reaper.cpp                 |    5 ++---
 src/reaper.hpp                 |    5 ++---
 src/req.cpp                    |    2 +-
 src/req.hpp                    |    2 +-
 src/select.cpp                 |    2 +-
 src/select.hpp                 |    2 +-
 src/session_base.cpp           |    2 +-
 src/session_base.hpp           |    2 +-
 src/signaler.cpp               |    5 ++---
 src/signaler.hpp               |    5 ++---
 src/socket_base.cpp            |    2 +-
 src/socket_base.hpp            |    2 +-
 src/stdint.hpp                 |    3 +--
 src/stream_engine.cpp          |    2 +-
 src/stream_engine.hpp          |    2 +-
 src/sub.cpp                    |    2 +-
 src/sub.hpp                    |    2 +-
 src/tcp_address.cpp            |    2 +-
 src/tcp_address.hpp            |    2 +-
 src/tcp_connecter.cpp          |    2 +-
 src/tcp_connecter.hpp          |    2 +-
 src/tcp_listener.cpp           |    2 +-
 src/tcp_listener.hpp           |    2 +-
 src/thread.cpp                 |    2 +-
 src/thread.hpp                 |    2 +-
 src/trie.cpp                   |    2 +-
 src/trie.hpp                   |    2 +-
 src/windows.hpp                |    4 ++--
 src/wire.hpp                   |    3 +--
 src/xpub.cpp                   |    5 ++---
 src/xpub.hpp                   |    5 ++---
 src/xrep.cpp                   |    2 +-
 src/xrep.hpp                   |    2 +-
 src/xreq.cpp                   |    1 -
 src/xreq.hpp                   |    2 --
 src/xsub.cpp                   |    5 ++---
 src/xsub.hpp                   |    5 ++---
 src/ypipe.hpp                  |    2 +-
 src/yqueue.hpp                 |    2 +-
 src/zmq_utils.cpp              |    2 +-
 tests/test_hwm.cpp             |    5 ++---
 tests/test_invalid_rep.cpp     |    5 ++---
 tests/test_pair_inproc.cpp     |    5 ++---
 tests/test_pair_ipc.cpp        |    5 ++---
 tests/test_pair_tcp.cpp        |    6 +++---
 tests/test_reqrep_device.cpp   |    5 ++---
 tests/test_reqrep_inproc.cpp   |    5 ++---
 tests/test_reqrep_ipc.cpp      |    5 ++---
 tests/test_reqrep_tcp.cpp      |    6 +++---
 tests/test_shutdown_stress.cpp |    6 +++---
 tests/test_sub_forward.cpp     |    6 +++---
 tests/test_timeo.cpp           |    5 ++---
 139 files changed, 192 insertions(+), 234 deletions(-)

commit 8a0f5f7650e556bde6c95d7f20c975aa530d3e10
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 1 14:46:18 2011 +0100

    Miru copyrights added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_receiver.cpp |    1 +
 src/pgm_receiver.hpp |    1 +
 src/pgm_sender.cpp   |    1 +
 src/pgm_sender.hpp   |    1 +
 src/pgm_socket.cpp   |    1 +
 src/pgm_socket.hpp   |    1 +
 6 files changed, 6 insertions(+), 0 deletions(-)

commit 1c071f54a6c4444aaa73ace26d7b3a654c26ea5c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 1 14:09:54 2011 +0100

    LABELs removed from the documentation
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   13 -------------
 doc/zmq_recv.txt       |    7 ++-----
 doc/zmq_recvmsg.txt    |    7 ++-----
 doc/zmq_send.txt       |   11 ++---------
 doc/zmq_sendmsg.txt    |   11 ++---------
 doc/zmq_socket.txt     |   33 ---------------------------------
 6 files changed, 8 insertions(+), 74 deletions(-)

commit 7563518929573fc9e729c1dc8bb4aea512fada5a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 1 13:54:28 2011 +0100

    Tests print their name before running
    
    This makes finding out which test have hung-up easier.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/test_hwm.cpp             |    3 +++
 tests/test_invalid_rep.cpp     |    3 +++
 tests/test_pair_inproc.cpp     |    3 +++
 tests/test_pair_ipc.cpp        |    3 +++
 tests/test_pair_tcp.cpp        |    3 +++
 tests/test_reqrep_device.cpp   |    3 +++
 tests/test_reqrep_inproc.cpp   |    3 +++
 tests/test_reqrep_ipc.cpp      |    3 +++
 tests/test_reqrep_tcp.cpp      |    3 +++
 tests/test_shutdown_stress.cpp |    3 +++
 tests/test_sub_forward.cpp     |    3 +++
 tests/test_timeo.cpp           |    3 +++
 12 files changed, 36 insertions(+), 0 deletions(-)

commit 7842c7107358324e8c5b9af7272e6dcab8c97931
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 1 13:39:54 2011 +0100

    LABELS and COMMANDs removed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h                |    5 +-
 src/dist.cpp                 |    6 +-
 src/encoder.cpp              |    5 +-
 src/fq.cpp                   |    3 +-
 src/lb.cpp                   |    6 +-
 src/msg.hpp                  |    7 +-
 src/pipe.cpp                 |    7 +-
 src/rep.cpp                  |   19 +++---
 src/req.cpp                  |   46 +++++---------
 src/req.hpp                  |    7 +--
 src/session_base.cpp         |    4 +-
 src/socket_base.cpp          |   33 +---------
 src/socket_base.hpp          |    7 +--
 src/xpub.cpp                 |    4 +-
 src/xrep.cpp                 |   11 ++--
 src/xsub.cpp                 |   10 ++--
 tests/Makefile.am            |    2 -
 tests/test_invalid_rep.cpp   |   13 ++--
 tests/test_reqrep_device.cpp |   31 ++--------
 tests/test_reqrep_drop.cpp   |  144 ------------------------------------------
 20 files changed, 75 insertions(+), 295 deletions(-)

commit 626099aa2a292178872843c55cc5226e6850f2ed
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Oct 31 16:37:20 2011 +0100

    VTCP transport removed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in           |   13 ---
 src/Makefile.am        |    4 -
 src/session_base.cpp   |   13 ---
 src/socket_base.cpp    |   27 +-----
 src/vtcp_connecter.cpp |  252 ------------------------------------------------
 src/vtcp_connecter.hpp |  121 -----------------------
 src/vtcp_listener.cpp  |  125 ------------------------
 src/vtcp_listener.hpp  |   72 --------------
 8 files changed, 1 insertions(+), 626 deletions(-)

commit ac7717b7b35f441fc3aeeb1528e63f147c00913a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Oct 31 16:20:30 2011 +0100

    250bpm copyrights added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h                  |    1 +
 include/zmq_utils.h            |    1 +
 perf/inproc_lat.cpp            |    1 +
 perf/inproc_thr.cpp            |    1 +
 perf/local_lat.cpp             |    1 +
 perf/local_thr.cpp             |    1 +
 perf/remote_lat.cpp            |    1 +
 perf/remote_thr.cpp            |    1 +
 src/array.hpp                  |    1 +
 src/atomic_counter.hpp         |    1 +
 src/atomic_ptr.hpp             |    1 +
 src/clock.cpp                  |    1 +
 src/clock.hpp                  |    1 +
 src/command.hpp                |    1 +
 src/config.hpp                 |    1 +
 src/ctx.cpp                    |    1 +
 src/ctx.hpp                    |    1 +
 src/decoder.cpp                |    1 +
 src/decoder.hpp                |    1 +
 src/devpoll.cpp                |    1 +
 src/devpoll.hpp                |    1 +
 src/dist.cpp                   |    1 +
 src/dist.hpp                   |    1 +
 src/encoder.cpp                |    1 +
 src/encoder.hpp                |    1 +
 src/epoll.cpp                  |    1 +
 src/epoll.hpp                  |    1 +
 src/err.cpp                    |    1 +
 src/err.hpp                    |    1 +
 src/fd.hpp                     |    1 +
 src/fq.cpp                     |    1 +
 src/fq.hpp                     |    1 +
 src/i_engine.hpp               |    1 +
 src/i_poll_events.hpp          |    1 +
 src/io_object.cpp              |    1 +
 src/io_object.hpp              |    1 +
 src/io_thread.cpp              |    1 +
 src/io_thread.hpp              |    1 +
 src/ip.cpp                     |    1 +
 src/ip.hpp                     |    1 +
 src/ipc_address.cpp            |    1 +
 src/ipc_address.hpp            |    1 +
 src/ipc_connecter.cpp          |    1 +
 src/ipc_connecter.hpp          |    1 +
 src/ipc_listener.cpp           |    1 +
 src/ipc_listener.hpp           |    1 +
 src/kqueue.cpp                 |    1 +
 src/kqueue.hpp                 |    1 +
 src/lb.cpp                     |    1 +
 src/lb.hpp                     |    1 +
 src/likely.hpp                 |    1 +
 src/mailbox.cpp                |    1 +
 src/mailbox.hpp                |    1 +
 src/msg.cpp                    |    1 +
 src/msg.hpp                    |    1 +
 src/mtrie.cpp                  |    1 +
 src/mtrie.hpp                  |    1 +
 src/mutex.hpp                  |    1 +
 src/object.cpp                 |    1 +
 src/object.hpp                 |    1 +
 src/options.cpp                |    1 +
 src/options.hpp                |    1 +
 src/own.cpp                    |    1 +
 src/own.hpp                    |    1 +
 src/pair.cpp                   |    1 +
 src/pair.hpp                   |    1 +
 src/pgm_receiver.cpp           |    1 +
 src/pgm_receiver.hpp           |    1 +
 src/pgm_sender.cpp             |    1 +
 src/pgm_sender.hpp             |    1 +
 src/pgm_socket.cpp             |    1 +
 src/pgm_socket.hpp             |    1 +
 src/pipe.cpp                   |    1 +
 src/pipe.hpp                   |    1 +
 src/poll.cpp                   |    1 +
 src/poll.hpp                   |    1 +
 src/poller.hpp                 |    1 +
 src/poller_base.cpp            |    1 +
 src/poller_base.hpp            |    1 +
 src/pub.cpp                    |    1 +
 src/pub.hpp                    |    1 +
 src/pull.cpp                   |    1 +
 src/pull.hpp                   |    1 +
 src/push.cpp                   |    1 +
 src/push.hpp                   |    1 +
 src/random.cpp                 |    1 +
 src/random.hpp                 |    1 +
 src/reaper.cpp                 |    1 +
 src/reaper.hpp                 |    1 +
 src/rep.cpp                    |    1 +
 src/rep.hpp                    |    1 +
 src/req.cpp                    |    1 +
 src/req.hpp                    |    1 +
 src/select.cpp                 |    1 +
 src/select.hpp                 |    1 +
 src/session_base.cpp           |    1 +
 src/session_base.hpp           |    1 +
 src/signaler.cpp               |    1 +
 src/signaler.hpp               |    1 +
 src/socket_base.cpp            |    1 +
 src/socket_base.hpp            |    1 +
 src/stdint.hpp                 |    1 +
 src/stream_engine.cpp          |    1 +
 src/stream_engine.hpp          |    1 +
 src/sub.cpp                    |    1 +
 src/sub.hpp                    |    1 +
 src/tcp_address.cpp            |    1 +
 src/tcp_address.hpp            |    1 +
 src/tcp_connecter.cpp          |    1 +
 src/tcp_connecter.hpp          |    1 +
 src/tcp_listener.cpp           |    1 +
 src/tcp_listener.hpp           |    1 +
 src/thread.cpp                 |    1 +
 src/thread.hpp                 |    1 +
 src/trie.cpp                   |    1 +
 src/trie.hpp                   |    1 +
 src/vtcp_connecter.cpp         |    1 +
 src/vtcp_connecter.hpp         |    1 +
 src/vtcp_listener.cpp          |    1 +
 src/vtcp_listener.hpp          |    1 +
 src/windows.hpp                |    1 +
 src/wire.hpp                   |    1 +
 src/xpub.cpp                   |    1 +
 src/xpub.hpp                   |    1 +
 src/xrep.cpp                   |    1 +
 src/xrep.hpp                   |    1 +
 src/xreq.cpp                   |    1 +
 src/xreq.hpp                   |    1 +
 src/xsub.cpp                   |    1 +
 src/xsub.hpp                   |    1 +
 src/ypipe.hpp                  |    1 +
 src/yqueue.hpp                 |    1 +
 src/zmq.cpp                    |    1 +
 src/zmq_utils.cpp              |    1 +
 tests/test_hwm.cpp             |    1 +
 tests/test_invalid_rep.cpp     |    1 +
 tests/test_pair_inproc.cpp     |    1 +
 tests/test_pair_ipc.cpp        |    1 +
 tests/test_pair_tcp.cpp        |    1 +
 tests/test_reqrep_device.cpp   |    1 +
 tests/test_reqrep_drop.cpp     |    1 +
 tests/test_reqrep_inproc.cpp   |    1 +
 tests/test_reqrep_ipc.cpp      |    1 +
 tests/test_reqrep_tcp.cpp      |    1 +
 tests/test_shutdown_stress.cpp |    1 +
 tests/test_sub_forward.cpp     |    1 +
 tests/test_timeo.cpp           |    1 +
 tests/testutil.hpp             |    1 +
 148 files changed, 148 insertions(+), 0 deletions(-)

commit 4b832ea37410035bba7b85e5e9988af8eda648c2
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Oct 31 15:56:39 2011 +0100

    Revert the early dropping of request and replies for disconnected clients
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |    4 +++-
 src/xreq.cpp |    4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 9227c389331c26d24e515bdd46867013f0cbd641
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Oct 31 15:51:11 2011 +0100

    ROUTER and DEALER are aliases for XREP and XREQ
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit dee8b2360ac0084165401dd61fc485226402124d
Author: Martin Sustrik <sustrik@turist.(none)>
Date:   Mon Oct 31 15:44:42 2011 +0100

    New style ROUTER socket removed.
    
    Signed-off-by: Martin Sustrik <sustrik@turist.(none)>

 include/zmq.h        |    1 -
 src/Makefile.am      |    2 -
 src/router.cpp       |  285 --------------------------------------------------
 src/router.hpp       |  123 ----------------------
 src/session_base.cpp |    5 -
 src/socket_base.cpp  |    4 -
 6 files changed, 0 insertions(+), 420 deletions(-)

commit 541b83bc02784c721efa3d9dde8f8a191c3c3b7b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Oct 29 14:49:08 2011 +0200

    Perry Kundert added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 09574a6104ce824c43fe8261d31451ccb337d11b
Author: Perry Kundert <perry@kundert.ca>
Date:   Sat Oct 29 14:47:53 2011 +0200

    Corrected discarding of remainder of message when request ID invalid
    
    When zmq::req_t::xrecv detects that a response has no request ID
    label, or the ID is the wrong size, it would return an EAGAIN, but
    would not discard the remainder of the message.  This could allow the
    remainder of the message to incorrectly "leak" into a future response,
    if it is crafted to look like a reply with a valid response ID.
    Discard all remaining message blocks, if the ID is invalid in any way.

 src/req.cpp |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 52bab42212c263a51b219ae8714c481bc948cb4e
Author: Bernd Prager <bernd@prager.ws>
Date:   Thu Oct 27 17:11:28 2011 +0200

    Missing bracket added
    
    Signed-off: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9b3e61a178af5c5e373c701a11697051c4c9a50a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Oct 27 14:02:57 2011 +0200

    Ben Gray added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9e000c8f26c99656dd967a8d15997b879af5817b
Author: Ben Gray <ben@benjamg.com>
Date:   Thu Oct 27 13:59:54 2011 +0200

    Patch for issue LIBZMQ-275. Dealing with VSM in distribution when pipes fail to write.
    
    Signed-off-by: Ben Gray <ben@benjamg.com>

 src/dist.cpp |   10 ++++++++++
 src/msg.cpp  |    6 ++++++
 src/msg.hpp  |    1 +
 3 files changed, 17 insertions(+), 0 deletions(-)

commit 68ab5f87edd2436757ab92b22238a5a4114d7b0d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Oct 27 11:51:23 2011 +0200

    Paul Betts added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1b706ac02858aee4c960331dc7100f8c14312848
Author: Paul Betts <paul@paulbetts.org>
Date:   Thu Oct 27 11:48:58 2011 +0200

    Enable exceptions raising on assert on Win32
    
    This patch changes the Win32 version to call RaiseException instead of abort
    (which eventually calls TerminateProcess). This allows crash dumps to be sent
    correctly instead of the process disappearing.
    
    Signed-off-by: Paul Betts <paul@paulbetts.org>

 src/err.cpp |   13 +++++++++++++
 src/err.hpp |   26 ++++++++++++++------------
 2 files changed, 27 insertions(+), 12 deletions(-)

commit a8362abf11b51dd553766fb07a9e60f28e788126
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Oct 27 11:21:01 2011 +0200

    Enable exceptions raising on assert on Win32
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/err.cpp |   13 +++++++++++++
 src/err.hpp |   26 ++++++++++++++------------
 2 files changed, 27 insertions(+), 12 deletions(-)

commit a70bea01cc9c81a59d0b7067e8854fc9777f5757
Merge: 81da391 b3cda2a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Oct 27 10:37:31 2011 +0200

    Merge branch 'master' of github.com:zeromq/libzmq

commit b3cda2ad6091096264f777a95907050edfdd3ffe
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Oct 27 09:41:48 2011 +0200

    Bug in kqueue poller fixed (issue 261)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/kqueue.cpp |   25 +++++++++++++++++--------
 1 files changed, 17 insertions(+), 8 deletions(-)

commit 6c1b50cfab1529e866e40c037ce1be7027423af0
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Oct 26 11:26:00 2011 +0200

    Added compile-time test for SOCK_CLOEXEC
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   22 ++++++++++++++++++++++
 configure.in |    5 +++++
 src/ip.cpp   |    4 ++--
 3 files changed, 29 insertions(+), 2 deletions(-)

commit d31792e652cc9fd3bc84e2abd89f232d273b7ede
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Oct 6 13:12:49 2011 +0200

    Default HWMs are set to 1000
    
    This patch is meant to prevent users from running out of memory
    when using 0MQ in the default configuration.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    8 ++------
 doc/zmq_setsockopt.txt |    8 ++------
 src/options.cpp        |    4 ++--
 3 files changed, 6 insertions(+), 14 deletions(-)

commit f5f1a8b1841f04fc9db5df3eb669d76513687065
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Tue Oct 4 09:39:55 2011 +0200

    New upstream OpenPGM maintenance release 5.1.118.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 configure.in                               |    2 +-
 foreign/openpgm/libpgm-5.1.115~dfsg.tar.gz |  Bin 1054630 -> 0 bytes
 foreign/openpgm/libpgm-5.1.118~dfsg.tar.gz |  Bin 0 -> 1046589 bytes
 3 files changed, 1 insertions(+), 1 deletions(-)

commit cc5d31605fddc9888f3b30933fbd4ec3272299ab
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Tue Oct 4 09:32:02 2011 +0200

    Re-add PGM rate limiting
    
    It was accidently lost in commit fcfad5682e, equivalent
    to commits 2ddb106 & b62dd40 in version 2.1.  Changes semantics
    from TXW_MAX_RATE to ODATA_MAX_RATE.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 src/pgm_socket.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 81da391e7e6ee12a2607289a1aae16c400e7025e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Sep 29 14:47:41 2011 +0200

    Use single port for creating signalers on Windows
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/config.hpp   |    6 +++++-
 src/signaler.cpp |   23 +++++++++++++++++------
 2 files changed, 22 insertions(+), 7 deletions(-)

commit 7a10bbe77a31158da0573031f8d6a50812262858
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Sep 29 11:35:31 2011 +0200

    Bug in subscription matching fixed (issue 263)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mtrie.cpp |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 34b114d15d8e4bd784014189eb7204e88b06da61
Author: Jon Dyte <jon@totient.co.uk>
Date:   Thu Sep 29 09:07:03 2011 +0200

    Make sure new ROUTER socket honours POLLIN for cmd messages
    
    Signed-off-by: Jon Dyte <jon@totient.co.uk>

 src/router.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8485a5e5a4cdcb5cec800279f874c8579d246940
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Sep 28 08:03:14 2011 +0200

    Assert fixed in XREP & ROUTER  when sending to terminating pipe (issue 258)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/router.cpp |    5 +++--
 src/xrep.cpp   |    6 ++++--
 2 files changed, 7 insertions(+), 4 deletions(-)

commit d726120e60e3db332ed26c2106c65271f4d8fba4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Sep 26 14:02:31 2011 +0200

    Bug in matching algorithm fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mtrie.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 25cc25e9ad51f38fa8e1a78a798b2d54e270dad2
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Sep 18 10:19:08 2011 +0200

    MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e170136a2e00eec2e786441cdc090c3b00a8fbd4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Sep 16 16:34:28 2011 +0200

    More bugs in mtrie fixed
    
    Aside of fixing couple of corner cases this patch turns the 'match'
    function in mtrie from recursive to iterative.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mtrie.cpp |   57 ++++++++++++++++++++++++++++++---------------------------
 src/mtrie.hpp |    2 --
 2 files changed, 30 insertions(+), 29 deletions(-)

commit 5936379b292dec79efd3a1eaa7cafae4fc6d675a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Sep 16 15:02:52 2011 +0200

    Bug in mtrie fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mtrie.cpp |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 06bdf2c4f96a6324b3fe667cebb03d44cd100a73
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Sep 16 09:29:43 2011 +0200

    Check message syntax in REQ asynchronously
    
    This patch adds support for checking messages as they arrive
    (as opposed to when they are recv'd by the user) and drop
    the connection if they are malformed.
    
    It also uses this new feature to check for validity of inbound
    messages in REQ socket.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/decoder.cpp      |    9 ++++++++-
 src/decoder.hpp      |    8 ++++++++
 src/encoder.cpp      |   10 +++++++++-
 src/encoder.hpp      |    9 +++++++++
 src/req.cpp          |   20 ++++++++++++++++++++
 src/req.hpp          |    8 ++++++++
 src/session_base.cpp |   20 ++++++++++----------
 src/session_base.hpp |    4 ++--
 8 files changed, 74 insertions(+), 14 deletions(-)

commit f78d9b6bfca13e298c29fadabbbc870b37a0a573
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Sep 15 10:00:23 2011 +0200

    Session class separated into socket-type-specific sessions
    
    This is a preliminary patch allowing for socket-type-specific
    functionality in the I/O thread. For example, message format
    can be checked asynchronously and misbehaved connections dropped
    straight away.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am        |    4 +-
 src/decoder.cpp        |    4 +-
 src/decoder.hpp        |    4 +-
 src/encoder.cpp        |    4 +-
 src/encoder.hpp        |    4 +-
 src/i_engine.hpp       |    2 +-
 src/ipc_connecter.cpp  |    2 +-
 src/ipc_connecter.hpp  |    4 +-
 src/ipc_listener.cpp   |    8 +-
 src/object.cpp         |    6 +-
 src/object.hpp         |    2 +-
 src/pair.cpp           |   12 ++
 src/pair.hpp           |   16 ++
 src/pgm_receiver.cpp   |    5 +-
 src/pgm_receiver.hpp   |    5 +-
 src/pgm_sender.cpp     |    4 +-
 src/pgm_sender.hpp     |    3 +-
 src/pub.cpp            |   12 ++
 src/pub.hpp            |   15 ++
 src/pull.cpp           |   12 ++
 src/pull.hpp           |   16 ++
 src/push.cpp           |   12 ++
 src/push.hpp           |   16 ++
 src/rep.cpp            |   12 ++
 src/rep.hpp            |   15 ++
 src/req.cpp            |   11 ++
 src/req.hpp            |   15 ++
 src/router.cpp         |   10 +
 src/router.hpp         |   16 ++
 src/session.cpp        |  383 ----------------------------------------
 src/session.hpp        |  124 -------------
 src/session_base.cpp   |  457 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/session_base.hpp   |  131 ++++++++++++++
 src/socket_base.cpp    |    8 +-
 src/stream_engine.cpp  |    5 +-
 src/stream_engine.hpp  |    7 +-
 src/sub.cpp            |   12 ++
 src/sub.hpp            |   15 ++
 src/tcp_connecter.cpp  |    2 +-
 src/tcp_connecter.hpp  |    4 +-
 src/tcp_listener.cpp   |    8 +-
 src/vtcp_connecter.cpp |    2 +-
 src/vtcp_connecter.hpp |    4 +-
 src/vtcp_listener.cpp  |    6 +-
 src/xpub.cpp           |   12 ++
 src/xpub.hpp           |   16 ++
 src/xrep.cpp           |   10 +
 src/xrep.hpp           |   16 ++
 src/xreq.cpp           |   12 ++
 src/xreq.hpp           |   16 ++
 src/xsub.cpp           |   11 ++
 src/xsub.hpp           |   16 ++
 52 files changed, 970 insertions(+), 558 deletions(-)

commit 78b02d142e82015a2146b7d40f7e0a729ad0e89b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Sep 14 15:16:48 2011 +0200

    Minor optimisation in message distribution algorithm
    
    If several of the outbound pipes become passive while sending
    a single message, the refcount on the message is adjusted
    once only, not multiple times. It's an atomic operation so
    the cost is not negligible.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit cf499ee016340a8534e24084a481a02498b44e70
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Sep 14 14:31:09 2011 +0200

    Bug in message distribution algorithm fixed (issue 251)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 42737f09180b8ebc2827743568e6170b6ddd5938
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Sep 14 14:24:59 2011 +0200

    test_invlid_rep added to .gitignore
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8f8bfcaba0f0e827a2d034c76c5b498bbdf4e7e1
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Tue Sep 13 16:27:07 2011 +0200

    Fixed issue with req assertions (issue 252)
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/req.cpp                |    9 ++++-
 tests/Makefile.am          |    4 ++-
 tests/test_invalid_rep.cpp |   85 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 95 insertions(+), 3 deletions(-)

commit e191e806ead4e8954e03612a4b385aff40871272
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Tue Sep 6 08:51:23 2011 +0200

    Fix polling system detection on mingw32 build
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 9d0e122bfad431d7b84ad43c0c62c8ebc9540a36
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sun Sep 4 10:28:15 2011 +0200

    Added option to choose internal polling system
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |  165 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |    4 ++
 2 files changed, 169 insertions(+), 0 deletions(-)

commit 193fa1c079fd886623e55810556a9461561ca139
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Sep 3 10:19:08 2011 +0200

    Accept square brackets around IPv6 address
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_address.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 4138aca54bd57d42acdbe7c7af0f7045ecc36e1e
Author: Pieter Hintjens <ph@imatix.com>
Date:   Sat Sep 3 09:02:56 2011 +0200

    Fixed doc to clarify how label parts work
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   27 ++++++++---------
 doc/zmq_recv.txt       |   28 +++++++++---------
 doc/zmq_recvmsg.txt    |   42 +++++++++++++-------------
 doc/zmq_send.txt       |   37 +++++++++++------------
 doc/zmq_sendmsg.txt    |   38 +++++++++++------------
 doc/zmq_socket.txt     |   77 +++++++++++++++++++++++++++++++-----------------
 6 files changed, 134 insertions(+), 115 deletions(-)

commit 9fb9fea63351cff0e664b28636acb3c3e1f84721
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Sep 3 07:40:49 2011 +0200

    Improve error reporting in a minor way
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |    2 +-
 src/xrep.cpp          |   31 ++++++++++++++++---------------
 2 files changed, 17 insertions(+), 16 deletions(-)

commit 8b7ac4c2a9c3ede95d6f5f9717a1939a23788964
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Sep 2 15:34:12 2011 +0200

    Close file descriptors on exec (issue 218)
    
    When exec is executed to start a different process image old
    0MQ file descriptors could stay open, thus blocking TCP ports
    and alike. This patch should solve the problem.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp            |   23 +++++++++++++++++++++++
 src/ip.hpp            |    3 +++
 src/ipc_connecter.cpp |    2 +-
 src/ipc_listener.cpp  |    3 ++-
 src/signaler.cpp      |    6 +++---
 src/tcp_address.cpp   |    5 +++--
 src/tcp_connecter.cpp |    2 +-
 src/tcp_listener.cpp  |    2 +-
 8 files changed, 37 insertions(+), 9 deletions(-)

commit 2910a728dc777068e6ae7f67041da185b0865171
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Sep 2 13:44:22 2011 +0200

    msg_t::rm_refs closes the message when number of refs drops to 0 (issue 245)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/msg.cpp |   18 +++++++++++++-----
 src/msg.hpp |    5 +++--
 2 files changed, 16 insertions(+), 7 deletions(-)

commit 82ab08d871628410e8b0b1fe63d25f1b27766b8d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Sep 1 13:02:22 2011 +0200

    Premature deallocation bug in XSUB fixed (issue 244)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xsub.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 65bb75863dde3ecd9a19d7fafc1ad1b0166a4770
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Sep 1 07:26:17 2011 +0200

    Fixed warnings on Win64
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp        |    2 +-
 src/socket_base.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 940c5b346b35f2d42360b3371757eb98ef8ba78f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Aug 31 15:23:00 2011 +0200

    zmq_msg_t changed to structure
    
    zmq_msg_t being defined as unsigned char[32] could not be stored
    in STL containers. Fixed by this commit.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dd7c629a27e6dffad9c659a233216ce56fbd4ef8
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Aug 19 14:42:31 2011 +0200

    Typo fixed in zmq_socket(3)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_socket.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 80a5f60e3397c9376026da48e6415c7011e2a647
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Aug 19 12:34:31 2011 +0200

    NIC name resolution moved to tcp_address_t
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_address.cpp |   32 ++++++++++++++------------------
 src/tcp_address.hpp |    4 ++--
 2 files changed, 16 insertions(+), 20 deletions(-)

commit f0c7edbc9c39ec3a6d06a9605a376212c2228fc7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 18 21:16:22 2011 +0200

    Missing include added to ip.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 898ee99dc16bbd494cabd7e09efac120d79990d7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 18 17:58:46 2011 +0200

    Windows build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |    8 ++++++++
 src/tcp_address.cpp              |    7 +++++--
 src/tcp_address.hpp              |    8 ++++++++
 3 files changed, 21 insertions(+), 2 deletions(-)

commit b6ecb00d23af3611da98d98f28e1c2583d428e00
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 18 17:40:42 2011 +0200

    TCP address related functionality moved to tcp_address_t
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am        |    2 +
 src/ip.cpp             |  369 +-----------------------------------------
 src/ip.hpp             |   32 ----
 src/tcp_address.cpp    |  422 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/tcp_address.hpp    |   68 ++++++++
 src/tcp_connecter.cpp  |   12 +-
 src/tcp_connecter.hpp  |    7 +-
 src/tcp_listener.cpp   |   19 +--
 src/tcp_listener.hpp   |    7 +-
 src/vtcp_connecter.cpp |   10 +-
 src/vtcp_connecter.hpp |    7 +-
 11 files changed, 522 insertions(+), 433 deletions(-)

commit 4a8dd1e404c78fb403763d830190755d2ac83228
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 18 11:24:14 2011 +0200

    MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |    8 ++++++++
 src/ipc_address.cpp              |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit b01a8e17511b57191c4aec4d741bdf3b3a80efc6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 18 11:08:22 2011 +0200

    IPC address related functionality refactored into ipc_address_t class
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am       |    2 +
 src/ip.cpp            |   24 -------------------
 src/ip.hpp            |    4 ---
 src/ipc_address.cpp   |   60 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ipc_address.hpp   |   61 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ipc_connecter.cpp |    9 +-----
 src/ipc_connecter.hpp |    7 ++---
 src/ipc_listener.cpp  |   16 ++++++------
 src/ipc_listener.hpp  |   12 +++++-----
 9 files changed, 142 insertions(+), 53 deletions(-)

commit 3488af048f336867594330d4abd0ad6dab110ea0
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Aug 17 18:41:02 2011 +0200

    Fix the PGM support on win64
    
    On win64 the size of file descriptor is not the same as size of int.
    The bug in PGM transport caused a runtime error because of this.
    The problem is fixed now.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_receiver.cpp |    4 ++--
 src/pgm_sender.cpp   |    8 ++++----
 src/pgm_socket.cpp   |    8 ++++----
 src/pgm_socket.hpp   |    7 ++++---
 4 files changed, 14 insertions(+), 13 deletions(-)

commit ed373450a28cff34757a70e2c7a102ecc40e3836
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Aug 16 12:59:49 2011 +0200

    MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit b3bac1760735703a11297df3d0e2a2e5252aa45e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Aug 16 12:44:34 2011 +0200

    tcp_engine renamed to stream engine
    
    The engine was not used exclusively for TCP connections.
    Rather it was used to handle any socket with SOCK_STREAM
    semantics. The class was renamed to reflect its true function.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am        |    4 +-
 src/ipc_connecter.cpp  |    4 +-
 src/ipc_listener.cpp   |    4 +-
 src/stream_engine.cpp  |  374 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/stream_engine.hpp  |  102 +++++++++++++
 src/tcp_connecter.cpp  |    4 +-
 src/tcp_engine.cpp     |  374 ------------------------------------------------
 src/tcp_engine.hpp     |   99 -------------
 src/tcp_listener.cpp   |    4 +-
 src/vtcp_connecter.cpp |    4 +-
 src/vtcp_listener.cpp  |    4 +-
 11 files changed, 490 insertions(+), 487 deletions(-)

commit 41457e1ff12dffb62e2dc98cec0be2c5deb79207
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Aug 15 22:02:15 2011 +0200

    Semaphores are not used anymore, build system is adjusted accordingly
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 714d3b288f3c92f1736a9e35d4f177bbef84c003
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Aug 15 20:39:48 2011 +0200

    EAFNOSUPPORT defined on Windows platform
    
    Windows headers don't defined this error.
    This patch defines it if not already defined.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    3 +++
 src/err.cpp   |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 85851d312771f043263257bcf972bd11cadec50a
Author: Ghislain Putois <ghpu@infonie.fr>
Date:   Mon Aug 15 19:39:21 2011 +0200

    Preliminary Android support
    
    Some small changes to prepare a cross-compilation for the Android platform
    
    Signed-off-by: Ghislain Putois <ghpu@infonie.fr>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS        |    1 +
 src/ip.cpp     |    7 ++++---
 src/thread.cpp |    6 +++---
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 0354d4d37fe814b9dbb94415da2c5314c4b68ae6
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Mon Aug 15 19:09:04 2011 +0200

    Added Android support
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 configure.in |    6 ++++++
 src/zmq.cpp  |    3 +++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 57440b86e2c62c78f3904abb17f11500ba0a1a6f
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Aug 15 08:56:00 2011 +0200

    Add IPv6 support to tcp_listener
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp            |   17 +++++++++++++++++
 src/ip.hpp            |    3 +++
 src/tcp_connecter.cpp |   21 ++++-----------------
 src/tcp_listener.cpp  |   19 +++++++++++++++++++
 4 files changed, 43 insertions(+), 17 deletions(-)

commit 3c3c0bfd1f5b987ee42786de25259c46393fe343
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Aug 15 08:02:36 2011 +0200

    Minor problems in MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |    3 ++-
 src/tcp_listener.cpp  |    3 ++-
 src/zmq.cpp           |    2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 9196c482564e74e310b48e1add9f5425efb07ec0
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Aug 14 14:23:16 2011 +0200

    select version zmq_poll reports invalid FDs
    
    Till now, passing invalid file descriptor to zmq_poll()
    caused asseration. Now it returns error.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 938009853461267af43908614266b9ef33f825ff
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Aug 14 14:06:42 2011 +0200

    Compilation error on HP-UX and AIX fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6dc3b2a657d4d1c98f549395643d68b834a776a4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Aug 14 13:48:28 2011 +0200

    Compilation error on FreeBSD fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a3f27400ded11fa14df98943cc412635d7d175ee
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Aug 8 18:49:30 2011 +0200

    Minor compile-time bug on Windows fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1c54ce37b343bda66d25faaa970a5414546cdd92
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Aug 8 16:07:54 2011 +0200

    tcp_connecter disables IPV6_IPV6ONLY if needed.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit c27b9ac7defd3cf7d21d93b2a3d2a9142a12e82f
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Aug 8 15:23:46 2011 +0200

    Update resolve_ip_interface and resolve_ip_hostname with ipv4only parameter.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp             |   64 ++++++++++++++++++++++++++++++++++-------------
 src/ip.hpp             |    4 +-
 src/tcp_connecter.cpp  |    2 +-
 src/tcp_listener.cpp   |    2 +-
 src/vtcp_connecter.cpp |    6 +++-
 5 files changed, 54 insertions(+), 24 deletions(-)

commit 9184a54f6497fb075a9ac7a8b1b7f3e284c9bcd3
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Aug 8 12:39:13 2011 +0200

    Update resolve_nic_name to take more generic sockaddr parameter.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 src/ip.cpp |   73 ++++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 52 insertions(+), 21 deletions(-)

commit 784041f5b99ba28252c9bb67a5bfb4a5da41ef93
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Aug 8 12:10:31 2011 +0200

    ZMQ_IPV4ONLY option added
    
    At this point option exists, is documented and can be set,
    however, it has no effect.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   15 +++++++++++++++
 doc/zmq_setsockopt.txt |   14 ++++++++++++++
 doc/zmq_tcp.txt        |    6 +++---
 include/zmq.h          |    3 ++-
 src/options.cpp        |   25 +++++++++++++++++++++++++
 src/options.hpp        |    5 +++++
 6 files changed, 64 insertions(+), 4 deletions(-)

commit 8378180cbb69c44fdd84f9ee05620bf8744cce48
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Aug 7 16:09:52 2011 +0200

    Minor bug in vtcp_listener fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/vtcp_listener.cpp |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 24230515f5b1652186af7748268f1cfb27f5215f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 4 13:11:15 2011 +0200

    vtcp connection string simplified
    
    Till now, vtcp connection contained both port and subport.
    Now the port, if not specified, defaults to 9220.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/vtcp_connecter.cpp |   28 ++++++++++++++++++++--------
 src/vtcp_listener.cpp  |   16 ++++++++++------
 2 files changed, 30 insertions(+), 14 deletions(-)

commit be48970977305a53de3ffa54cc51c0beabcf1a31
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Aug 4 07:44:35 2011 +0200

    MSVC build brought up-to-date
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   80 +++++++++++++++-----------------------
 src/tcp_listener.cpp             |    2 +-
 2 files changed, 33 insertions(+), 49 deletions(-)

commit d5f3628ad08849a0c978f7d23dc678133ed33c42
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 29 09:37:43 2011 +0200

    Different connecters simplified
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp            |   31 +++++++++
 src/ip.hpp            |    8 +-
 src/ipc_connecter.cpp |  174 +++++-------------------------------------------
 src/ipc_connecter.hpp |    7 ++
 src/signaler.cpp      |   20 +-----
 src/tcp_connecter.cpp |  179 +++++++++++--------------------------------------
 src/tcp_connecter.hpp |    2 +-
 src/tcp_engine.cpp    |   27 ++------
 8 files changed, 108 insertions(+), 340 deletions(-)

commit f63db009a1e1baf9f1fe7dae39901c7449c66131
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 28 16:32:08 2011 +0200

    Different listener implementations simplified
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ipc_listener.cpp  |   63 +++---------------
 src/tcp_listener.cpp  |  171 ++++++++++++-------------------------------------
 src/tcp_listener.hpp  |    2 +-
 src/vtcp_listener.cpp |    2 +-
 4 files changed, 51 insertions(+), 187 deletions(-)

commit b45fec337aff8e04bebaf6e898a499f05ee6b0d6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 28 15:13:04 2011 +0200

    Tuning of TCP sockets is done at a single place
    
    Instead of being spread throughout the codebase, the tuning
    is done in tune_tcp_socket() function.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp             |   24 ++++++++++++++++++++++++
 src/ip.hpp             |    7 ++++++-
 src/tcp_connecter.cpp  |   22 ++--------------------
 src/tcp_listener.cpp   |   21 ++-------------------
 src/vtcp_connecter.cpp |    4 +++-
 src/vtcp_listener.cpp  |    3 +++
 6 files changed, 40 insertions(+), 41 deletions(-)

commit 46b053b8d67ba4826302d53268edccf919e6d785
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 28 13:46:16 2011 +0200

    Dead code removed from TCP and IPC transports
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ipc_listener.cpp |  208 ++++++++------------------------------------------
 src/ipc_listener.hpp |    9 ++-
 src/session.cpp      |    2 +
 src/socket_base.cpp  |    6 +-
 src/tcp_listener.cpp |  130 ++++++++-----------------------
 src/tcp_listener.hpp |    2 +-
 6 files changed, 82 insertions(+), 275 deletions(-)

commit 5ac63140b01fed145fa41f613308e134420920ab
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 28 13:19:55 2011 +0200

    Implementations of TCP and IPC transports separated
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am       |    4 +
 src/ipc_connecter.cpp |  381 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ipc_connecter.hpp |  112 +++++++++++++++
 src/ipc_listener.cpp  |  351 +++++++++++++++++++++++++++++++++++++++++++++
 src/ipc_listener.hpp  |   83 +++++++++++
 src/session.cpp       |   16 ++-
 src/socket_base.cpp   |   16 ++-
 src/tcp_connecter.cpp |   46 ++++---
 src/tcp_connecter.hpp |    4 +-
 src/tcp_engine.cpp    |   20 ---
 src/tcp_listener.cpp  |   20 +++
 11 files changed, 1008 insertions(+), 45 deletions(-)

commit 6e987428d49558a8a7b08795bcc429f720bb3874
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 28 09:02:54 2011 +0200

    Precise reconnect interval randomised
    
    Till now the random fraction of the reconnect interval was
    computed based on process ID. This patch uses pseudo-random
    generated (seeded by exact time of when the process was
    started) to compute the interval.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp  |    9 ++-------
 src/vtcp_connecter.cpp |    9 ++-------
 2 files changed, 4 insertions(+), 14 deletions(-)

commit ce7a9a58e3a0d13db53f7e0b4c17b3185a8c0e1a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 28 08:06:21 2011 +0200

    Setting TCP socket options moved to tcp_engine_t
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp  |   20 -----
 src/tcp_engine.cpp     |  198 +++++++++++++++++++++++++-----------------------
 src/tcp_engine.hpp     |    6 --
 src/tcp_listener.cpp   |   42 ----------
 src/vtcp_connecter.cpp |   27 -------
 5 files changed, 103 insertions(+), 190 deletions(-)

commit 588c728702fb847a0433649c9a07bcf0fabe84ab
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Jul 27 09:29:48 2011 +0200

    vtcp_connecter fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/vtcp_connecter.cpp |   56 +++++++++++++++++++++++++++++++++--------------
 1 files changed, 39 insertions(+), 17 deletions(-)

commit d7319de3d089b7c340408cd8228825ec0f7b8df0
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jul 26 22:57:19 2011 +0200

    First version of vtcp_connecter added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am        |    2 +
 src/session.cpp        |   13 +++
 src/tcp_connecter.hpp  |    3 -
 src/vtcp_connecter.cpp |  249 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/vtcp_connecter.hpp |  121 +++++++++++++++++++++++
 src/vtcp_listener.cpp  |   13 ++-
 6 files changed, 394 insertions(+), 7 deletions(-)

commit 258e7e6794928544ca7e1557840b2f5a89fe5399
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jul 26 20:13:54 2011 +0200

    Code cleanup
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore            |    2 ++
 src/Makefile.am       |    2 --
 src/tcp_connecter.cpp |   46 ----------------------------------------------
 3 files changed, 2 insertions(+), 48 deletions(-)

commit 279302c5f54ddf8a23b1eaacee63c3158850d9ff
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jul 26 18:35:40 2011 +0200

    Experimental VTCP listener added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in          |   13 ++++++
 src/Makefile.am       |    4 ++
 src/socket_base.cpp   |   53 +++++++++++++++++-------
 src/tcp_connecter.cpp |   46 ++++++++++++++++++++
 src/tcp_connecter.hpp |   12 +++--
 src/tcp_listener.cpp  |    1 +
 src/vtcp_listener.cpp |  111 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/vtcp_listener.hpp |   71 +++++++++++++++++++++++++++++++
 8 files changed, 291 insertions(+), 20 deletions(-)

commit 9906c652ca01698dcc429c9045eb040c24c4bb8d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jul 26 12:21:49 2011 +0200

    Outdated entries removed from .gitignore
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 9119b4fd7b292b1a14db916040f8e7cc4731d4b6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jul 26 00:43:57 2011 +0200

    TCP transport classes simplified
    
    zmq_engine and tcp_socket merged into tcp_engine
    zmq_connecter and tcp_connecter merged into tcp_connecter
    zmq_listener and tcp_listener merged into tcp_listener
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am       |   10 +-
 src/session.cpp       |    4 +-
 src/socket_base.cpp   |    6 +-
 src/tcp_connecter.cpp |  182 ++++++++++++++++++-----
 src/tcp_connecter.hpp |   68 ++++++---
 src/tcp_engine.cpp    |  401 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/tcp_engine.hpp    |  105 +++++++++++++
 src/tcp_listener.cpp  |  127 +++++++++-------
 src/tcp_listener.hpp  |   36 +++--
 src/tcp_socket.cpp    |  230 ----------------------------
 src/tcp_socket.hpp    |   74 ---------
 src/zmq_connecter.cpp |  161 --------------------
 src/zmq_connecter.hpp |   92 -----------
 src/zmq_engine.cpp    |  224 ---------------------------
 src/zmq_engine.hpp    |   88 -----------
 src/zmq_listener.cpp  |   84 ----------
 src/zmq_listener.hpp  |   67 --------
 17 files changed, 804 insertions(+), 1155 deletions(-)

commit 43b5b3444c5ea54fa17eab2e03b7e00c022f33b4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 24 18:30:48 2011 +0200

    PGM subscription forwarding fixed
    
    PGM when using in XPUB socket has to subscribe for all the messages
    as it has no idea what the subscribers are interesred in.
    This generic subscribe message was malformed. Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_sender.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7c1dca546d9e49e7af372e4fff9e6a87058a7f12
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 24 18:25:30 2011 +0200

    Session classes merged into a single class
    
    Removal of ZMQ_IDENTITY resulted in various session classes doing
    almost the same thing. This patch merges the classes into a single
    class.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am           |    4 --
 src/connect_session.cpp   |  124 ---------------------------------------------
 src/connect_session.hpp   |   65 -----------------------
 src/decoder.cpp           |   10 ++--
 src/decoder.hpp           |    4 +-
 src/encoder.cpp           |   10 ++--
 src/encoder.hpp           |    4 +-
 src/i_engine.hpp          |   21 +-------
 src/pgm_receiver.cpp      |   17 +++---
 src/pgm_receiver.hpp      |    4 +-
 src/pgm_sender.cpp        |   11 ++--
 src/pgm_sender.hpp        |    2 +-
 src/session.cpp           |   99 ++++++++++++++++++++++++++++++------
 src/session.hpp           |   32 ++++++------
 src/socket_base.cpp       |    6 +-
 src/transient_session.cpp |   43 ----------------
 src/transient_session.hpp |   52 -------------------
 src/zmq_engine.cpp        |   51 +++++++++---------
 src/zmq_engine.hpp        |    9 ++--
 src/zmq_listener.cpp      |    6 +-
 20 files changed, 168 insertions(+), 406 deletions(-)

commit f716b571baf59c1b622c7666bb8bf2905126a3d4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 24 18:13:29 2011 +0200

    Only one polling mechanism is compiled
    
    Till now wrappers for all the polling mechanisms available on
    the given platform were compiled, although only one of them
    was used. This patch compiles just the used one. This can
    make libzmq binary more concise.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/devpoll.cpp |    5 +--
 src/devpoll.hpp |    8 ++++--
 src/epoll.cpp   |    5 +--
 src/epoll.hpp   |    8 ++++--
 src/kqueue.cpp  |    8 +-----
 src/kqueue.hpp  |    9 ++++---
 src/poll.cpp    |    9 +------
 src/poll.hpp    |   12 ++++------
 src/poller.hpp  |   62 +++++++++++++++++++++++++++++++------------------------
 src/select.cpp  |    5 +++-
 src/select.hpp  |    7 ++++++
 11 files changed, 74 insertions(+), 64 deletions(-)

commit 0e71b111f4c413e235978698e8a281acab3bb06e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 24 18:09:50 2011 +0200

    Obsolete include in ctx.hpp removed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ctx.hpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 11e21d027d5143c089e39349d1f419f76aaa4723
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 24 18:06:04 2011 +0200

    semaphore_t class removed
    
    The class was not used anywhere anymore. Removed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am   |    1 -
 src/ctx.hpp       |    2 -
 src/semaphore.hpp |  189 -----------------------------------------------------
 3 files changed, 0 insertions(+), 192 deletions(-)

commit 837451eddc4386e19f52db89be7ae38aae471df0
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 24 17:50:05 2011 +0200

    Remove blob_t class
    
    The class was used in a single place. Replaced by a local typedef.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am         |    1 -
 src/blob.hpp            |   34 ----------------------------------
 src/connect_session.hpp |    1 -
 src/xpub.hpp            |    3 ++-
 4 files changed, 2 insertions(+), 37 deletions(-)

commit 5650743d9edc8b8e85739ab023e8156b451003f1
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 22 08:35:01 2011 +0200

    MSVC build brought up to date
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   36 ------------------------------------
 src/zmq.cpp                      |    2 +-
 2 files changed, 1 insertions(+), 37 deletions(-)

commit 75c4e0e62be6bd34fb934b9f13de68ffd655c500
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 21 23:35:26 2011 +0200

    mailbox::recv correctly passes EINTR to the caller
    
    This bug caused signal during blocking call to assert.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mailbox.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4bd335932ce8c6457dddb7aa2a5e631974eb9b61
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 21 19:14:39 2011 +0200

    ECANTROUTE error documented in zmq_sendmsg(3)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_sendmsg.txt |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 6b873d4ffdd13263f184ca046565168f0ad66a6b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 21 19:12:51 2011 +0200

    ROUTER socket blocks on SNDHWM
    
    Till now the message was droppen in such case.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/router.cpp |   64 +++++++++++++++++++++++++++++--------------------------
 1 files changed, 34 insertions(+), 30 deletions(-)

commit a1e09facb2438f6487b32cdcfff21f0ece735460
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 21 18:54:27 2011 +0200

    ROUTER socket reports error when message cannot be routed
    
    Till now, message was silently dropped if it was sent to
    a non-existent peer. Now, ECANTROUTE error is returned.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_send.txt |    3 +++
 include/zmq.h    |    1 +
 src/router.cpp   |   33 +++++++++++++++++++--------------
 3 files changed, 23 insertions(+), 14 deletions(-)

commit 72a793f78ae6c7b544d4c19530c01e8dfd23ccf5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 21 18:43:50 2011 +0200

    ZMQ_GENERIC renamed to ZMQ_ROUTER
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h       |    2 +-
 src/Makefile.am     |    4 +-
 src/generic.cpp     |  265 ---------------------------------------------------
 src/generic.hpp     |  108 ---------------------
 src/router.cpp      |  265 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/router.hpp      |  107 +++++++++++++++++++++
 src/socket_base.cpp |    6 +-
 7 files changed, 378 insertions(+), 379 deletions(-)

commit cb2d7156055492839021e84dcc00cc409a3fd2d1
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jul 21 11:51:41 2011 +0200

    endmsg(3) and zmq_recvmsg(3) added to RPM spec file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/redhat/zeromq.spec.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a808431d1df359302af7bdd2df085f5a41f14210
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 14:29:20 2011 +0200

    Fixed email addresses in the MAITAINERS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 MAINTAINERS |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a33a275e3b0b1942280cae2317801fbd2185821c
Author: Pieter Hintjens <ph@imatix.com>
Date:   Mon Jul 18 12:53:55 2011 +0200

    Fixed issue 230
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>

 src/tcp_socket.cpp |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7298b5742f749a2947c9e6460c4a083be84506ed
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 11:39:38 2011 +0200

    Includes in zmq.cpp cleaned-up
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |   52 +++++++++++++++++++++++++++-------------------------
 1 files changed, 27 insertions(+), 25 deletions(-)

commit 18d8be5e9259e72a5a0622a5594842c31dd7bfdb
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Jul 18 10:54:53 2011 +0200

    Fix pollin on Cygwin.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>
    Signed-off-by: Martin Sustrik <sustrik@250bom.com>

 src/signaler.cpp |    3 ++-
 src/zmq.cpp      |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit ac20e17cbd1471b9eb3eef79c32cb43420cbc516
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 10:04:05 2011 +0200

    Reference to C++ binding removed from zmq(7)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq.txt |   11 +----------
 1 files changed, 1 insertions(+), 10 deletions(-)

commit 66ff99c4574827b59e6d7ddfaa44d975dc7e880e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 10:00:09 2011 +0200

    Martin Lucina remove from MAINTAINERS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 MAINTAINERS |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f97f50c252adc814145a0a482bc2a25229882459
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 09:41:26 2011 +0200

    Signaler timeout bug on Windows fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/signaler.cpp |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 1a408805521f839e3e36183d9f2dec1d08e24caf
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 09:30:37 2011 +0200

    ZMQ_IDENTITY option removed from the documentation
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   23 -----------------------
 doc/zmq_setsockopt.txt |   23 -----------------------
 2 files changed, 0 insertions(+), 46 deletions(-)

commit 89daa57faab728204447c3bb708e753a2aeffa55
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 18 09:28:59 2011 +0200

    Missing files for GENERIC socket implementation added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/generic.cpp |  265 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/generic.hpp |  108 ++++++++++++++++++++++
 2 files changed, 373 insertions(+), 0 deletions(-)

commit bf78e230ad4736da9fce6e0b4d1655affb8f466b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 17 23:31:29 2011 +0200

    GENERIC socket type and COMMAND flag added
    
    GENERIC allows to use 0MQ as a dumb networking framework.
    It provides user with connect/disconnect notifications.
    Also, each inbound message is labeled by ID of the connection
    it originated from. Outbound messages should be labeled by
    the ID of the connection to send them to.
    
    To distinguish connect/disconnect notifications from common
    messages, COMMAND flag was introduced.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h       |    3 ++
 src/Makefile.am     |    2 +
 src/msg.hpp         |    1 +
 src/socket_base.cpp |   53 +++++++++++++++++++++++++++++++-------------------
 src/socket_base.hpp |    7 ++++++
 5 files changed, 46 insertions(+), 20 deletions(-)

commit c8e8f2a24cd339c548e06f75a3cef96454671a85
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 15 11:24:33 2011 +0200

    ZMQ_IDENTITY socket option removed
    
    This patch simplifies the whole codebase significantly,
    including dropping depedency on libuuid.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in              |   13 ---
 include/zmq.h             |    1 -
 src/Makefile.am           |    7 --
 src/command.cpp           |   39 --------
 src/command.hpp           |    7 --
 src/connect_session.cpp   |   48 +---------
 src/connect_session.hpp   |    9 +--
 src/named_session.cpp     |   67 -------------
 src/named_session.hpp     |   56 -----------
 src/object.cpp            |   50 +---------
 src/object.hpp            |   12 +--
 src/options.cpp           |   22 ----
 src/options.hpp           |    3 +-
 src/pair.cpp              |    2 +-
 src/pair.hpp              |    2 +-
 src/pgm_socket.cpp        |   21 ++---
 src/pull.cpp              |    2 +-
 src/pull.hpp              |    2 +-
 src/push.cpp              |    2 +-
 src/push.hpp              |    2 +-
 src/random.cpp            |   42 +++++---
 src/random.hpp            |    9 +-
 src/req.cpp               |    6 +-
 src/session.cpp           |   26 +----
 src/session.hpp           |   15 +---
 src/socket_base.cpp       |   70 ++------------
 src/socket_base.hpp       |   26 +----
 src/transient_session.cpp |    2 +-
 src/transient_session.hpp |    2 +-
 src/uuid.cpp              |   90 -----------------
 src/uuid.hpp              |   33 -------
 src/xpub.cpp              |    2 +-
 src/xpub.hpp              |    2 +-
 src/xrep.cpp              |    8 +-
 src/xrep.hpp              |    3 +-
 src/xreq.cpp              |    2 +-
 src/xreq.hpp              |    2 +-
 src/xsub.cpp              |    2 +-
 src/xsub.hpp              |    2 +-
 src/zmq_connecter.cpp     |   15 +--
 src/zmq_init.cpp          |  233 ---------------------------------------------
 src/zmq_init.hpp          |   98 -------------------
 src/zmq_listener.cpp      |   18 +++-
 43 files changed, 112 insertions(+), 963 deletions(-)

commit ba67eff167e94105b0975166a2192060ab125e58
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 15 08:26:29 2011 +0200

    non-immediate_connect functionality removed
    
    It was used only by ROUTER socket. After its removal it became
    obsolete.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/options.cpp     |    1 -
 src/options.hpp     |    6 ------
 src/socket_base.cpp |   32 +++++++++++++-------------------
 3 files changed, 13 insertions(+), 26 deletions(-)

commit 364839f3e66df567172af239ac7476af4d9260eb
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 15 08:18:20 2011 +0200

    Debian packaging removed
    
    It is now maintained as a separate project.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 debian/README.Debian       |    4 --
 debian/changelog           |   24 ----------
 debian/compat              |    1 -
 debian/control             |   76 --------------------------------
 debian/copyright           |  105 --------------------------------------------
 debian/libzmq-dev.install  |    5 --
 debian/libzmq-dev.manpages |    2 -
 debian/libzmq0.install     |    1 -
 debian/libzmq0.manpages    |    5 --
 debian/rules               |   92 --------------------------------------
 debian/source/format       |    1 -
 debian/source/options      |    1 -
 debian/zeromq-bin.install  |    3 -
 debian/zeromq-bin.manpages |    3 -
 14 files changed, 0 insertions(+), 323 deletions(-)

commit e4f98d1e100c225abca67b4aad90be08a729e02f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 15 08:16:40 2011 +0200

    ROUTER and DEALER sockets removed
    
    To be replaced by new generic socket type
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h       |    2 -
 src/Makefile.am     |    4 -
 src/dealer.cpp      |   77 --------------
 src/dealer.hpp      |   65 -----------
 src/router.cpp      |  292 ---------------------------------------------------
 src/router.hpp      |  105 ------------------
 src/socket_base.cpp |    8 --
 7 files changed, 0 insertions(+), 553 deletions(-)

commit 73630de98aeb8add878b1d421aa2bfc22c735c63
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 15 08:11:42 2011 +0200

    Version number bumped to 4.0.0
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 57c1342c683df3207094e8ec660e72812be37f9c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jul 12 13:05:58 2011 +0200

    Bug with setting options on SUB socket fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/sub.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 29274811ccf2ca905360a463c5124e9e4e4c1708
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 16:05:04 2011 +0200

    zmq_bind(3) and zmq_connect(3) describe EINVAL error
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_bind.txt    |    2 ++
 doc/zmq_connect.txt |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 2afb791ec2f9853cc642cf8a042c2acc7fbb7acd
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 15:54:13 2011 +0200

    Subscription forwarding test added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/Makefile.am          |    4 +-
 tests/test_sub_forward.cpp |   94 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+), 1 deletions(-)

commit 215cfc653e5c6155e231b213534739348152129d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 15:28:02 2011 +0200

    REQ/REP drop test extended
    
    The test now checks whether replies are dropped when reply pipe
    is overflowed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/test_reqrep_drop.cpp |   74 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 74 insertions(+), 0 deletions(-)

commit c7542981d18b13b251d5a3129f1ec7ba24aeb9a1
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 10:18:30 2011 +0200

    PGM transport reconciled with subscription forwarding
    
    As PGM is not capable of passing subscriptions upstream,
    subscriptions are ignored at sub side and engine subscribes
    for all messages on pub side.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_receiver.cpp |   12 +++++++++++-
 src/pgm_receiver.hpp |    4 ++++
 src/pgm_sender.cpp   |    9 +++++++++
 3 files changed, 24 insertions(+), 1 deletions(-)

commit d7adc3f19a4c941e854552d6d7881950a69b0d23
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 09:57:59 2011 +0200

    ZMQ_FILTER option removed
    
    The filtering is now done depending on the socket type. SUB socket
    filters the messages (end-to-end filtering) while XSUB relies
    on upstream nodes to do (imprefect) filtering.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   17 -----------------
 doc/zmq_setsockopt.txt |   16 ----------------
 include/zmq.h          |    1 -
 src/options.cpp        |   22 ++--------------------
 src/options.hpp        |    6 +++---
 src/sub.cpp            |    4 ++++
 6 files changed, 9 insertions(+), 57 deletions(-)

commit a154ef69da4e41d3a8ce5a3141fe8f052c7ea853
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 08:34:20 2011 +0200

    Man pages for send & recv function brought up to date
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/Makefile.am     |    3 +-
 doc/zmq_recv.txt    |   70 +++++++++-------------------
 doc/zmq_recvmsg.txt |  124 +++++++++++++++++++++++++++++++++++++++++++++++++
 doc/zmq_send.txt    |   70 +++++++++++-----------------
 doc/zmq_sendmsg.txt |  127 +++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 304 insertions(+), 90 deletions(-)

commit 7e1251178b1cbabf0bd648ae8765c01e16cc25a3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 11 07:26:45 2011 +0200

    Experimental code from zmq_init_t removed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq_init.cpp |   61 +++++++++++++++--------------------------------------
 src/zmq_init.hpp |    7 ------
 2 files changed, 17 insertions(+), 51 deletions(-)

commit 52eaf600e5fe2acf5de6208a6a5a123dfcfe1fa2
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Jul 9 09:40:40 2011 +0200

    Drop outbound messages in XREP socket when SNDHWM is reached
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/rep.cpp  |    5 +----
 src/xrep.cpp |    4 ----
 2 files changed, 1 insertions(+), 8 deletions(-)

commit aa2150c25c9b0dd518b058f0c50420417441fd23
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jul 8 18:12:59 2011 +0200

    VSM data are aligned to 32/64 bit boundary
    
    Till now the VSM buffer was aligned to 16 bit boundary
    which could possibly cause problems on RISC architectures
    when accessing the message data in unsafe manner.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/config.hpp |    4 ----
 src/msg.cpp    |    6 ++++++
 src/msg.hpp    |   13 ++++++++++---
 3 files changed, 16 insertions(+), 7 deletions(-)

commit 1526ff638c9cb37b156fd80a40889ac3d8258343
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jul 4 09:27:50 2011 +0200

    License text in autogen.sh fixed
    
    autogen.sh incorrectly referred to the license as GPL.
    Changed to LGPL.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 autogen.sh |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 8d96036fcd069e98f6fac69f645d6cc728281836
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 16:11:11 2011 +0200

    Build system checks for presence of eventfd.h header
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 8fb9d3c6d058393478d3b3ccb1f20bcb19bbe5a0
Merge: 6ae1be1 c687c7e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 15:33:25 2011 +0200

    Merge branch 'master' of github.com:zeromq/libzmq

commit 6ae1be1a121b9367ea11ce1789d99ec56fb39682
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 15:30:31 2011 +0200

    Race condition in eventfd signaler fixed
    
    recv function on eventfd signaler could accidentally
    grab two signals instead of one. Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/signaler.cpp |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 9a9a0cf41066d32f0d16492e212712b42df36950
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 15:13:57 2011 +0200

    eventfd implementation of the signaler
    
    Eventfd (on Linux) is more efficient that socketpair
    for passing simple signals.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/signaler.cpp |   42 +++++++++++++++++++++++++++++++++++++-----
 src/signaler.hpp |    2 +-
 2 files changed, 38 insertions(+), 6 deletions(-)

commit c687c7e61e8519c93eb4bc7ef43c5cf63671eb3e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 14:11:33 2011 +0200

    Fix MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   12 ++++++++----
 src/signaler.cpp                 |    6 +++---
 2 files changed, 11 insertions(+), 7 deletions(-)

commit da26134aa696352de6e77a800a433878dbabb7fa
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 13:44:41 2011 +0200

    Inproc tests need no I/O threads
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/test_pair_inproc.cpp   |    2 +-
 tests/test_reqrep_inproc.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7c0c79812075459765440ca26bad56f4f7ddbe52
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jul 3 13:33:45 2011 +0200

    Command are now stored in ypipes instead of in socketpairs
    
    Storing commands in OS socket buffers caused whole lot of
    problems when free space in the buffer ran out. This patch
    stores commands in ypipes instead and uses socketpair just
    to signal the other thread, ie. at most one byte is stored
    in the socketpair at any single instant.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am                |    2 +
 src/config.hpp                 |    3 +
 src/mailbox.cpp                |  441 +++-------------------------------------
 src/mailbox.hpp                |   29 ++--
 src/signaler.cpp               |  340 +++++++++++++++++++++++++++++++
 src/signaler.hpp               |   63 ++++++
 tests/test_shutdown_stress.cpp |    2 +-
 7 files changed, 458 insertions(+), 422 deletions(-)

commit de3838403b9a35e7131aae23519ced1f11a3e03c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jun 30 00:05:03 2011 +0200

    Testing for errors from pthread_* functions fixed
    
    pthread_* functions return the error number rather than
    setting errno. This was not accounter for till now.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/thread.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4f4cc7328054272fa2c972244b2b7e8378ad5429
Author: Andrew Thompson <andy@fud.org.nz>
Date:   Wed Jun 29 23:48:19 2011 +0200

    Use strrchr to ensure we split off the last colon for the service port
    
    IPv6 addresses have colons and will produce invalid data for the getaddrinfo lookup.
    
    Signed-off-by: Andrew Thompson <andy@fud.org.nz>

 AUTHORS    |    1 +
 src/ip.cpp |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 543ad30e7d15a8864df26d6d32e57246ede35ae3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jun 28 10:22:27 2011 +0200

    Packaging for MSVC build fixed
    
    MSVC project files for inproc_lat and inproc_thr were not
    packaged during make dist phase.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f8bf3a4cef6b8e1688683ab8c5ed6dd1bc8e3a12
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 27 18:16:53 2011 +0200

    Rename i_inout to i_engine_sink
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am      |    1 -
 src/decoder.cpp      |   10 +++++-----
 src/decoder.hpp      |    4 ++--
 src/encoder.cpp      |   10 +++++-----
 src/encoder.hpp      |    4 ++--
 src/i_engine.hpp     |   23 ++++++++++++++++++++++-
 src/i_inout.hpp      |   49 -------------------------------------------------
 src/pgm_receiver.cpp |   13 ++++++-------
 src/pgm_receiver.hpp |    6 +++---
 src/pgm_sender.cpp   |    6 +++---
 src/pgm_sender.hpp   |    2 +-
 src/session.hpp      |    6 +++---
 src/zmq_engine.cpp   |   43 +++++++++++++++++++++----------------------
 src/zmq_engine.hpp   |    8 ++++----
 src/zmq_init.hpp     |    7 ++++---
 15 files changed, 81 insertions(+), 111 deletions(-)

commit 3ae73ee11f13bbc9c91b235de18fde763c359009
Author: Carl Clemens <carlclemens1@yahoo.com>
Date:   Sun Jun 26 16:19:45 2011 +0200

    Typo in zmq_msg_size(3) fixed
    
    Signed-off-by: Carl Clemens <carlclemens1@yahoo.com>

 AUTHORS              |    1 +
 doc/zmq_msg_size.txt |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 770d0bc77cd1579a1cba33ba1eb3f06839c28c16
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jun 23 08:51:48 2011 +0200

    Fix MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   24 ++++++++++++++++++++++++
 src/dist.cpp                     |    3 ++-
 src/fq.cpp                       |    3 ++-
 src/lb.cpp                       |    5 +++--
 src/pipe.cpp                     |    2 +-
 src/random.cpp                   |    1 +
 src/rep.cpp                      |    2 +-
 src/req.cpp                      |    2 +-
 src/router.cpp                   |    6 +++---
 src/session.cpp                  |    3 ++-
 src/socket_base.cpp              |    6 +++---
 src/xpub.cpp                     |    3 ++-
 src/xrep.cpp                     |    6 +++---
 src/xsub.cpp                     |    5 +++--
 14 files changed, 51 insertions(+), 20 deletions(-)

commit d1373792f7888f312cd7286fdf524a0bfe124846
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jun 23 07:57:47 2011 +0200

    Outstanding requests dropped when requester dies (issue 190)
    
    So far the requests in req/rep pattern were delivered to and processed
    by worker even though the original requester was dead. Thus,
    the worker processing replies with noone to deliver results to.
    This optimisation drops requests in two situations:
    
    1. Queued inbound requests in XREP socket when peer disconnects.
    2. Queued outbound requests in XREQ when socket is closed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/options.cpp            |    4 ++-
 src/options.hpp            |    8 +++++
 src/pipe.hpp               |    5 ++-
 src/session.cpp            |    2 +-
 src/socket_base.cpp        |    4 +-
 src/xrep.cpp               |    4 ++
 src/xreq.cpp               |    4 ++
 tests/Makefile.am          |    7 ++--
 tests/test_reqrep_drop.cpp |   69 ++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 97 insertions(+), 10 deletions(-)

commit 12532c7940f23fcb3cd46208c141d47647e76231
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Jun 22 16:51:40 2011 +0200

    O(1) fair-queueing in XREP implemented
    
    Up to now the complexity of fair-queueing in XREP was O(n).
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pipe.cpp |   13 ++++++-
 src/pipe.hpp |    8 ++++
 src/xrep.cpp |  117 +++++++++++++--------------------------------------------
 src/xrep.hpp |   17 +-------
 4 files changed, 50 insertions(+), 105 deletions(-)

commit ec81f8fb2523e1e2fe45eaadc05311a35bf551d7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Jun 22 11:02:16 2011 +0200

    New wire format for REQ/REP pattern
    
    This patch introduces two changes:
    1. 32-bit ID is used to identify the peer instead of UUID
    2. REQ socket seeds the label stack with unique 32-bit request ID
       It also drops any replies with non-matching request ID
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore                   |    1 +
 src/Makefile.am              |    2 +
 src/random.cpp               |   39 ++++++++++
 src/random.hpp               |   34 +++++++++
 src/rep.cpp                  |   52 ++++----------
 src/req.cpp                  |   38 +++++++++--
 src/req.hpp                  |    5 ++
 src/socket_base.cpp          |   18 +++---
 src/xrep.cpp                 |   45 ++++++++----
 src/xrep.hpp                 |   15 +++--
 tests/Makefile.am            |    5 +-
 tests/test_reqrep_device.cpp |  160 ++++++++++++++++++++++++++++++++++++++++++
 12 files changed, 344 insertions(+), 70 deletions(-)

commit 10a93bb79fd3d4be1b3ffedfa6785564fbcc082b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jun 21 13:44:44 2011 +0200

    Unspecified error code from mailbox_t::recv on Win32 fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mailbox.cpp |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit a28928fe376f73ef8ca683523102908616445ada
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 13:36:18 2011 +0200

    Introduce ZMQ_ROUTER and ZMQ_DEALER sockets
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h       |    2 +
 src/Makefile.am     |    4 +
 src/dealer.cpp      |   77 ++++++++++++++
 src/dealer.hpp      |   65 +++++++++++
 src/router.cpp      |  292 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/router.hpp      |  105 ++++++++++++++++++
 src/socket_base.cpp |   10 ++-
 7 files changed, 554 insertions(+), 1 deletions(-)

commit f437c9ed9b604912287aa6c96557261fc966e7fc
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 12:27:56 2011 +0200

    Fix errors in zmq_getsockopt(3) manpage
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit ab99975ad44ed0fe9ab651f31cc47d493e7fb77e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 11:33:54 2011 +0200

    LABEL flag added to the wire format
    
    So far there was no distinction between message parts used by 0MQ
    and message parts used by user. Now, the message parts used by 0MQ
    are marked as 'LABEL'.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   12 ++++++++++++
 doc/zmq_send.txt       |    4 ++++
 include/zmq.h          |    2 ++
 src/dist.cpp           |    4 ++--
 src/encoder.cpp        |    4 ++--
 src/fq.cpp             |    2 +-
 src/lb.cpp             |    4 ++--
 src/msg.hpp            |    5 +++--
 src/pipe.cpp           |    9 +++++----
 src/rep.cpp            |    6 +++---
 src/req.cpp            |    8 ++++----
 src/session.cpp        |    2 +-
 src/socket_base.cpp    |   25 ++++++++++++++++++++++++-
 src/socket_base.hpp    |    5 ++++-
 src/xpub.cpp           |    2 +-
 src/xrep.cpp           |   11 ++++++-----
 src/xsub.cpp           |    8 ++++----
 17 files changed, 80 insertions(+), 33 deletions(-)

commit ada5d424721c0c0139b8011a5e9de348d061ba2f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 11:16:10 2011 +0200

    Basic tests now test multi-part messages instead of single-part
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/testutil.hpp |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit c80908c469b1fbd3d1b639ea39d86e4e4311ae57
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 08:21:00 2011 +0200

    Bug fixed in pipe termination
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pipe.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7572fee979a1cc2a874dd5621c89a0e849b65816
Author: Fabien Ninoles <fabien@tzone.org>
Date:   Mon Jun 20 08:14:21 2011 +0200

    Optimise block/non-block switching in mailbox_t
    
    For the platforms that don't support MSG_DONTWAIT the reader
    socket in mailbox_t was kept in non-blocking state and flipped
    to blocking state and back when blocking read was requested.
    Now, the state is preserved between calls and flipped only
    if different type of operation (block vs. non-block) is
    requested.
    
    Signed-off-by: Fabien Ninoles <fabien@tzone.org>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mailbox.cpp |   71 +++++++++++-------------------------------------------
 src/mailbox.hpp |   12 ++++++---
 2 files changed, 23 insertions(+), 60 deletions(-)

commit 8440de2b14876ecc6b39816528ef0793c6e34598
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 08:11:48 2011 +0200

    Fix minor warning in MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f4760f02c3ac966f858414fb50565faa5deb48bf
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 20 07:35:24 2011 +0200

    Disable timeo test on MinGW
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/Makefile.am |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 082f8e19b7591f6f8f34edcc27f195510051c2ba
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 19:08:48 2011 +0200

    Mailbox timeouts fixed on Windows
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mailbox.cpp |   27 +++++++++++++++++++++++++--
 1 files changed, 25 insertions(+), 2 deletions(-)

commit ed680a395edb9260eced8289b33041248782f979
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 16:39:27 2011 +0200

    Documentation for XPUB and XSUB socket added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_socket.txt |   41 +++++++++++++++++++++++++++++++++--------
 1 files changed, 33 insertions(+), 8 deletions(-)

commit 9f4d3767fed58ddfa52f63692c6169bfdbcec2e3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 12:48:36 2011 +0200

    Session termination error fixed
    
    When session is already terminating and reconnection happens at
    that point, the session should not create new pipe to its socket.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/session.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 00dc0245e6aacbff247c84ac8480d3ddcabacd5a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 11:17:20 2011 +0200

    Race condition in pipe_t fixed.
    
    pipe_t now correctly drops pointer to the underlying pipe when
    sending pipe_term_ack command.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pipe.cpp |   38 +++++++++++++++++++++++++-------------
 1 files changed, 25 insertions(+), 13 deletions(-)

commit 6052709c2aea5fae70d805e6033861c24b4f2521
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 09:33:01 2011 +0200

    ENETDOWN is a legal error from TCP connect
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5b77a41eafe6501a3f7cc76f2c746858036aef81
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 09:22:11 2011 +0200

    Throughput tests fixed.
    
    Introduction of subscription forwarding have broken throughput tests.
    This patch changes the pattern used in the tests to PUSH/PULL.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 perf/inproc_thr.cpp |   10 ++--------
 perf/local_thr.cpp  |    8 +-------
 perf/remote_thr.cpp |    4 +---
 3 files changed, 4 insertions(+), 18 deletions(-)

commit 4b60023b96d25571f58e50899a2717da14866e6b
Merge: d7923f0 9b795de
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 19 09:15:06 2011 +0200

    Merge branch 'master' of github.com:zeromq/libzmq

commit 9b795de4afdd5669a9000c5d13bec61e51fbba49
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Sat Jun 18 20:44:03 2011 +0200

    Refactor Windows versioning and WinSock usage.Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 include/zmq.h   |    2 +-
 src/ctx.cpp     |   14 +++---
 src/select.cpp  |   11 ++--
 src/windows.hpp |  157 ++++++++++++++++++++++++++++++++++++++++++++----------
 4 files changed, 141 insertions(+), 43 deletions(-)

commit dc66053530e798dbcdb236cc2040031980cc09c7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Jun 18 20:41:21 2011 +0200

    Minor MSVC warning fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xsub.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d7923f08cab62ef40027a92f596ff45428870838
Author: Fabien Ninoles <fabien@tzone.org>
Date:   Fri Jun 17 12:22:02 2011 +0200

    Add sockopt ZMQ_RCVTIMEO/ZMQ_SNDTIMEO.
    
    - Add doc and tests
    - Add options and setup
    - Wait using poll/select
    
    Signed-off-by: Fabien Ninoles <fabien@tzone.org>
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore             |    1 +
 doc/zmq_getsockopt.txt |   35 ++++++++++++++-
 doc/zmq_setsockopt.txt |   32 +++++++++++++
 include/zmq.h          |    2 +
 perf/remote_thr.cpp    |    2 +
 src/ctx.cpp            |    2 +-
 src/io_thread.cpp      |    2 +-
 src/mailbox.cpp        |  106 ++++++++++++++++++++++++++++++++++++++++---
 src/mailbox.hpp        |    7 +++-
 src/options.cpp        |   36 +++++++++++++++
 src/options.hpp        |    4 ++
 src/reaper.cpp         |    2 +-
 src/socket_base.cpp    |  100 ++++++++++++++++++++++++++++--------------
 src/socket_base.hpp    |    6 +-
 tests/Makefile.am      |    5 ++-
 tests/test_timeo.cpp   |  115 ++++++++++++++++++++++++++++++++++++++++++++++++
 16 files changed, 407 insertions(+), 50 deletions(-)

commit e895607ca7a97378f7ccc5ab050fc54fd54a80ad
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jun 14 09:58:18 2011 +0200

    ENETUNREACH is a valid error from connect
    
    This patch fixed the JIRA issue 223
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 65d2b70312efb148814b58d9cd38cc7069b53a3b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 13 08:15:05 2011 +0200

    Minor patch to fix ICC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xsub.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 970798ff98bc9eb7cd84bf8766cc6034a0e88aa4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 13 07:54:58 2011 +0200

    mtrie.cpp added to MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit c7fb5c54b688c1817d0604320ac7f9bb3aa02c5c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jun 13 07:53:22 2011 +0200

    Reverting previous commit that broke MSVC2010 build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ctx.cpp     |    8 ++------
 src/select.cpp  |    2 +-
 src/select.hpp  |    2 +-
 src/windows.hpp |    5 +++--
 4 files changed, 7 insertions(+), 10 deletions(-)

commit b164023cca3f29c5eb371a8a0757c98ae4683ae4
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Sun Jun 12 19:37:11 2011 +0200

    Fix scope on Windows includes.
    
    Fix windows.h included before winsock2.h.
    Remove definition of _WINSOCKAPI_.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 src/ctx.cpp     |    8 ++++++--
 src/select.cpp  |    2 +-
 src/select.hpp  |    2 +-
 src/windows.hpp |    5 ++---
 4 files changed, 10 insertions(+), 7 deletions(-)

commit ff93f54653d099bddfed34a342906a3546e70496
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 12 15:24:08 2011 +0200

    ZMQ_FILTER socket option added
    
    This option is a performance tweak. In devices XSUB socket filters
    the messages just to send them to XPUB socket which filters them
    once more. Setting ZMQ_FILTER option to 0 allows to switch the
    filtering in XSUB socket off.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   19 ++++++++++++++++++-
 doc/zmq_setsockopt.txt |   19 +++++++++++++++++++
 include/zmq.h          |    1 +
 src/options.cpp        |   19 +++++++++++++++++++
 src/options.hpp        |    3 +++
 src/xsub.cpp           |    4 ++--
 6 files changed, 62 insertions(+), 3 deletions(-)

commit e080e3e8b620b0e7ed02c28712a0c92b08de3451
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Jun 12 10:19:21 2011 +0200

    Publisher-side filtering for multi-part messages fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp |    8 +++++---
 src/dist.hpp |    8 +++++---
 src/xpub.cpp |   25 ++++++++++++++++++++-----
 src/xpub.hpp |    3 +++
 4 files changed, 33 insertions(+), 11 deletions(-)

commit bd86def1c799a35d5cef0c0a9a1347a18fea227e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Jun 11 20:29:56 2011 +0200

    Actual message filtering happens in XPUB socket
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp  |   47 ++++++++++++++++++++++++++++++++++++++---------
 src/dist.hpp  |   20 +++++++++++++++++++-
 src/mtrie.cpp |   21 ++++++++++++++++-----
 src/mtrie.hpp |   11 +++++++----
 src/xpub.cpp  |   16 ++++++++++++++--
 src/xpub.hpp  |    3 +++
 src/xsub.cpp  |    4 ++--
 7 files changed, 99 insertions(+), 23 deletions(-)

commit 3935258b826adc31815be4f91b2f6eb02bb3c8ed
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Jun 1 11:54:33 2011 +0200

    Minor code beautification for mtrie_t
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mtrie.cpp |   42 +++++++++++++++++++++++++++---------------
 src/mtrie.hpp |    4 ++++
 2 files changed, 31 insertions(+), 15 deletions(-)

commit ee7313b4d896e9f7ff6a035395b20f617e4ff796
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue May 31 16:21:17 2011 +0200

    Subscriptions are processed immediately in XPUB socket
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xpub.cpp |  127 +++++++++++++++++++---------------------------------------
 src/xpub.hpp |    8 ----
 2 files changed, 42 insertions(+), 93 deletions(-)

commit a24a7c15a824bb48da38809bff9416673dc5a176
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue May 31 14:36:51 2011 +0200

    Session termination induced by socket fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pipe.cpp        |   18 ++++++++++++------
 src/pipe.hpp        |    5 +++--
 src/session.cpp     |   21 ++++++---------------
 src/socket_base.cpp |    4 ++--
 4 files changed, 23 insertions(+), 25 deletions(-)

commit 0b59866a84f733e5a53b0d2f32570581691747ef
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon May 30 10:07:34 2011 +0200

    Patches from sub-forward branch incorporated
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am           |    2 +
 src/command.hpp           |    8 ++
 src/connect_session.cpp   |    7 +-
 src/connect_session.hpp   |    4 +-
 src/fq.cpp                |    7 ++
 src/fq.hpp                |    4 +-
 src/mtrie.cpp             |  218 +++++++++++++++++++++++++++++++++++++++++++++
 src/mtrie.hpp             |   83 +++++++++++++++++
 src/named_session.cpp     |    5 +-
 src/named_session.hpp     |    4 +-
 src/object.cpp            |   25 +++++-
 src/object.hpp            |    2 +
 src/pipe.cpp              |   43 +++++++++
 src/pipe.hpp              |   13 ++-
 src/pub.cpp               |   13 +++
 src/pub.hpp               |    4 +
 src/session.cpp           |   28 ++++++
 src/session.hpp           |   21 +++--
 src/socket_base.cpp       |   14 +++-
 src/socket_base.hpp       |    6 +-
 src/sub.cpp               |  115 +-----------------------
 src/sub.hpp               |   21 +----
 src/transient_session.cpp |    6 +-
 src/transient_session.hpp |    4 +-
 src/trie.cpp              |   63 +++++++++++--
 src/trie.hpp              |   18 ++++-
 src/xpub.cpp              |  120 ++++++++++++++++++++++++-
 src/xpub.hpp              |   26 ++++++
 src/xsub.cpp              |  160 ++++++++++++++++++++++++++++++---
 src/xsub.hpp              |   30 ++++++-
 30 files changed, 884 insertions(+), 190 deletions(-)

commit 311fb0d852374e769d8ff791c9df38f0464960c6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat May 28 09:02:21 2011 +0200

    Subscription matching moved from XSUB to SUB socket
    
    This patch will prevent duplicate matching in devices in the future.
    Instead of matching in both XPUB and XSUB, it'll happen only
    in XPUB. Receiver endpoint will still filter messages via SUB
    socket.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/sub.cpp  |  111 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/sub.hpp  |   19 ++++++++++
 src/xsub.cpp |  107 +++----------------------------------------------------
 src/xsub.hpp |   17 ---------
 4 files changed, 134 insertions(+), 120 deletions(-)

commit 718885fdcd7af797f940078ca8c22aebab93c8bb
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu May 26 11:30:25 2011 +0200

    Pending messages are delivered even if connection doesn't exist yet
    
    Bug in previous refactoring fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pipe.cpp       |    3 +-
 src/session.cpp    |  110 ++++++++++++++++++++++++----------------------------
 src/session.hpp    |   10 +---
 src/tcp_socket.cpp |    2 +-
 4 files changed, 57 insertions(+), 68 deletions(-)

commit 87a6490b39c44e8f9c521f6ccea14f800a712d3f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed May 25 10:25:51 2011 +0200

    All pipe termination code moved to pipe_t
    
    Till now the code was spread over mutliple locations.
    Additionally, the code was made more formally correct,
    with explicit pipe state machine etc.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pipe.cpp        |  147 ++++++++++++++++++++++++++++++++++------------
 src/pipe.hpp        |   29 ++++++---
 src/session.cpp     |  161 ++++++++++++++++++++++-----------------------------
 src/session.hpp     |   27 +++------
 src/socket_base.cpp |    4 +-
 5 files changed, 208 insertions(+), 160 deletions(-)

commit 3d4203decf87a5d5fb1718c2163f6d9c6c24328d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon May 23 21:37:52 2011 +0200

    Fabien Ninoles added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 71ac91ba4193910359d7671a4e998a17ff506b06
Author: Fabien Ninoles <fabien@tzone.org>
Date:   Mon May 23 21:36:00 2011 +0200

    Add multi-array support to array_item_t.
    
    Allow to have the same item part of two different arrays, as long as
    they are using different array identifier.

 src/array.hpp       |  116 +++++++++++++--------------------------------------
 src/pipe.hpp        |    8 +++-
 src/socket_base.hpp |    2 +-
 3 files changed, 37 insertions(+), 89 deletions(-)

commit 0f6f7276e32c01ccfe86fb76741a52ac6ffc87af
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon May 23 20:30:01 2011 +0200

    Move the pipe termination code to socket_base_t
    
    So far, the pipe termination code was spread among socket type
    classes, fair queuer, load balancer, etc. This patch moves
    all the associated logic to a single place.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/array.hpp                  |   38 +++++++++++++++++++++----
 src/dist.cpp                   |   25 +---------------
 src/dist.hpp                   |   15 +++-------
 src/fq.cpp                     |   30 +-------------------
 src/fq.hpp                     |   14 ++-------
 src/lb.cpp                     |   25 +---------------
 src/lb.hpp                     |   15 +++-------
 src/own.cpp                    |    8 +++--
 src/own.hpp                    |    3 ++
 src/pair.cpp                   |   31 +++------------------
 src/pair.hpp                   |   17 +++---------
 src/pipe.cpp                   |    4 +-
 src/pull.cpp                   |   21 +++-----------
 src/pull.hpp                   |   14 ++-------
 src/push.cpp                   |   20 ++-----------
 src/push.hpp                   |   14 ++-------
 src/reaper.cpp                 |    6 +---
 src/socket_base.cpp            |   59 ++++++++++++++++++++++++++++++++++++++-
 src/socket_base.hpp            |   38 ++++++++++++++-----------
 src/sub.hpp                    |    2 +-
 src/xpub.cpp                   |   23 ++-------------
 src/xpub.hpp                   |   14 ++-------
 src/xrep.cpp                   |   33 +++-------------------
 src/xrep.hpp                   |   18 +++---------
 src/xreq.cpp                   |   20 +++----------
 src/xreq.hpp                   |   15 +++-------
 src/xsub.cpp                   |   18 +-----------
 src/xsub.hpp                   |   14 ++-------
 tests/test_shutdown_stress.cpp |    2 +-
 29 files changed, 190 insertions(+), 366 deletions(-)

commit acf0b0e515515e51ad32ba7a2d147ce703579478
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun May 22 17:26:53 2011 +0200

    Introduces bi-directional pipes
    
    So far, there was a pair of unidirectional pipes between a socket
    and a session (or an inproc peer). This resulted in complex
    problems with half-closed states and tracking which inpipe
    corresponds to which outpipe.
    
    This patch doesn't add any functionality in itself, but is
    essential for further work on features like subscription
    forwarding.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/array.hpp           |   79 ++++++++---
 src/command.hpp         |   11 +-
 src/connect_session.cpp |    1 +
 src/dist.cpp            |   10 +-
 src/dist.hpp            |   13 +-
 src/fq.cpp              |   12 +--
 src/fq.hpp              |   12 +-
 src/lb.cpp              |    8 +-
 src/lb.hpp              |   14 +-
 src/object.cpp          |   40 +++---
 src/object.hpp          |   19 ++--
 src/options.cpp         |    2 -
 src/options.hpp         |    5 -
 src/own.cpp             |    3 +
 src/pair.cpp            |   98 ++++----------
 src/pair.hpp            |   24 +---
 src/pipe.cpp            |  335 +++++++++++++++++++++++------------------------
 src/pipe.hpp            |  201 ++++++++++++----------------
 src/pull.cpp            |   26 +++-
 src/pull.hpp            |   13 ++-
 src/push.cpp            |   26 +++-
 src/push.hpp            |   13 ++-
 src/session.cpp         |  167 ++++++++++--------------
 src/session.hpp         |   29 ++---
 src/socket_base.cpp     |   73 ++++------
 src/socket_base.hpp     |   12 +-
 src/xpub.cpp            |   26 +++-
 src/xpub.hpp            |   12 ++-
 src/xrep.cpp            |   90 +++++--------
 src/xrep.hpp            |   24 ++--
 src/xreq.cpp            |   28 +++-
 src/xreq.hpp            |   13 ++-
 src/xsub.cpp            |   26 +++-
 src/xsub.hpp            |   13 ++-
 34 files changed, 709 insertions(+), 769 deletions(-)

commit 9e6b39925603f9e64db08c469bd628d7ef9465de
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue May 17 14:27:03 2011 +0200

    Couple of minor issues in MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.cpp |    2 +-
 src/tcp_socket.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit da7b6d0b3893fd14859b77ec69eed0fc6c8ad689
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue May 17 10:13:54 2011 +0200

    Paul Colomiets added to AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 38e5f8699ccff09a91e37e139c4a86a259ac597b
Author: Paul Colomiets <pc@gafol.net>
Date:   Tue May 17 10:12:27 2011 +0200

    Better handling of memory error in resolve_ip_hostname
    
    Signed-off-by: Paul Colomiets <pc@gafol.net>

 src/ip.cpp            |    9 +++++++++
 src/zmq_connecter.cpp |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 864c18f797203c06e66e739166b246cfb3d47ce9
Author: Paul Colomiets <pc@gafol.net>
Date:   Tue May 17 10:09:04 2011 +0200

    zmq_msg_init_data returns ERRNO instead aborting
    
    Signed-off-by: Paul Colomiets <pc@gafol.net>

 doc/zmq_msg_init_data.txt |    4 +++-
 src/msg.cpp               |    5 ++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit d8d5a627b1835d20270125e27a157c9a7460f0e7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon May 16 10:44:38 2011 +0200

    Duplicate initialisation of PGM_MULTICAST_HOPS removed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.cpp |   80 ++++++++++++++++++++++++---------------------------
 1 files changed, 38 insertions(+), 42 deletions(-)

commit 5d0cffc52f575ff572751cc85fd43063391a211d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun May 15 18:25:43 2011 +0200

    ZMQ_MULTICAST_HOPS socket option added
    
    Sets the time-to-live field in every multicast packet sent from the socket.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   15 ++++++++++++++-
 doc/zmq_setsockopt.txt |   12 ++++++++++++
 include/zmq.h          |    1 +
 src/options.cpp        |   18 ++++++++++++++++++
 src/options.hpp        |    3 +++
 src/pgm_socket.cpp     |   14 ++++++++++----
 6 files changed, 58 insertions(+), 5 deletions(-)

commit 49df2f416cd43e9e18f3dbd964271c5cca835729
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun May 15 13:12:09 2011 +0200

    Fixes warning when compiling with MSVC on Win64
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/array.hpp      |    8 ++++----
 src/dist.cpp       |    2 +-
 src/encoder.hpp    |    2 +-
 src/err.cpp        |    2 +-
 src/fq.cpp         |    6 +++---
 src/ip.cpp         |   10 +++++-----
 src/lb.cpp         |    2 +-
 src/own.cpp        |    2 +-
 src/select.cpp     |    7 ++++---
 src/tcp_socket.cpp |   16 ++++++++--------
 src/tcp_socket.hpp |    6 ++++--
 src/xrep.cpp       |    7 +++----
 src/zmq.cpp        |    3 ++-
 13 files changed, 38 insertions(+), 35 deletions(-)

commit 49387874efe790713f4a090e03a97212f4889163
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun May 8 09:03:49 2011 +0200

    Async connect doesn't fail on EWSANETDOWN
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/err.cpp           |  112 ++++++++++++++++++++++++++-----------------------
 src/err.hpp           |   12 +++++
 src/tcp_connecter.cpp |   10 ++--
 3 files changed, 76 insertions(+), 58 deletions(-)

commit da1ef4d2685c02e8320847d49a38726b2b6d52f0
Author: Pieter Hintjens <ph@imatix.com>
Date:   Sun May 8 09:02:47 2011 +0200

    Fixed REP assert on missing envelope
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>

 src/rep.cpp  |   34 ++++++++++++++++++++++++----------
 src/xrep.cpp |   13 ++++++++++++-
 src/xrep.hpp |    5 +++++
 3 files changed, 41 insertions(+), 11 deletions(-)

commit 0c5b781e97f2bea42925495a5505c51e769fba7f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri May 6 15:51:56 2011 +0200

    urrent pipe pointer in XREP out of range -- fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3ef7c747ac68214ca463b2f52244fcec92151a46
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed May 4 12:43:23 2011 +0200

    Tore Halvorsen added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 10120214ac0d3ec4af146fcb95e3a114ed6f8da5
Author: Tore Halvorsen <tore.halvorsen@gmail.com>
Date:   Wed May 4 12:41:10 2011 +0200

    Accessing an iterator after it is accessed is not valid.
    
    Moving the erase after the access and check agains current_id.

 src/xrep.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ceb5e1a0734b0c73bd7f74ec5094ae6ad4f9dfc4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue May 3 23:20:43 2011 +0200

    Deallocation functions in zmq.h and msg_t class are consistent.
    
    The two functions had different calling conventions (C vs. C++).
    It is fixed now.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/msg.cpp |    2 +-
 src/msg.hpp |   15 ++++++++++-----
 2 files changed, 11 insertions(+), 6 deletions(-)

commit 5e329ba7cac8a52fbbd2c347064c2d9355009022
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue May 3 23:16:03 2011 +0200

    Minor patch to keep ICC compiler happy
    
    ICC doesn't recognise that assert(false) terminates the program
    and thus complains that certain functions have no return values.
    This patch supplies dummy return values to keep the compiler happy.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/msg.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6ecec9bbf1cd17666241a3effc31a65e555dbd4a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon May 2 19:28:51 2011 +0200

    Current inpipe remains unchaged in XREP when other pipe terminates
    
    When an inpipe terminated within XREP, it was erased from the array
    and thus current_in (which is an index) pointed to a different
    element in the array. This caused problems when we were in the
    middle of reading a multipart message.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e5d4cd39e1c9949b549055f816d60dd35bfacdec
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon May 2 19:26:30 2011 +0200

    Yet one more fix related to PUB socket and multipart messages
    
    This patch fixes the activation of the pipes, when they pass
    from passive state directly to active.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp |   18 ++++++++----------
 1 files changed, 8 insertions(+), 10 deletions(-)

commit e78cc47b184f82fd524da021745b3323df4af507
Author: Pieter Hintjens <ph@imatix.com>
Date:   Mon May 2 18:59:55 2011 +0200

    Moved tests off 5555 (conflict with Eclipse)
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>

 tests/test_pair_tcp.cpp        |    4 ++--
 tests/test_reqrep_tcp.cpp      |    4 ++--
 tests/test_shutdown_stress.cpp |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit eb9bc1b0648d2132e612e2237a0ace47004d6f5c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 30 06:48:18 2011 +0200

    Message atomicity problem in PUB socket fixed.
    
    Reaching the HWM caused breaking message atomicity when the
    flow was reestablished - initial parts of multipart messages
    may have been lost.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp |   73 +++++++++++++++++++++++++++++++--------------------------
 src/dist.hpp |   20 +++++++--------
 2 files changed, 49 insertions(+), 44 deletions(-)

commit fe2e772dd5d36024a91ce3abb86996599960e078
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 30 06:47:36 2011 +0200

    pgm_socket uses binary version of UUID
    
    pgm_socket used textural form of UUID to generate GSIs.
    The recent patch that removed support for textual UUIDs
    broke the functionality. This patch fixes the problem.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 96213d5735829bfbebfb544a584a34bb8c0081fa
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 29 07:23:30 2011 +0200

    WSAENETUNREACH is a valid networking error
    
    Till now, 0MQ asserted on Windows when connect () returned
    WSAENETUNREACH.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_connecter.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b2eb84f8ca2fc2b8a2af6cd2c54c0abc4535cfc4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 29 07:19:22 2011 +0200

    Substantial simplification of uuid_t
    
    The string format of UUID is not used in 0MQ. Further on,
    it turns out that UUIDs have fixed microarchitecture-agnostic
    binary layout (see RFC4122). Thus, the conversion to string
    and back to binary can be avoided.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |    4 +-
 src/uuid.cpp        |  193 +++++++--------------------------------------------
 src/uuid.hpp        |   84 +---------------------
 src/zmq_init.cpp    |    7 +-
 4 files changed, 33 insertions(+), 255 deletions(-)

commit 10fbc78e5cab494c3af727f5ea451fdced1c9d95
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 22 07:51:24 2011 +0200

    Assert during SUB socket termination fixed.
    
    Fair queueing algorithm was checking whether the current pipe
    is not closed in the middle of reading a multipart message.
    However, this is OK when the socket is closing down.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/fq.cpp |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit e0246e32d79d71f8e73207b43aed8b23648e4fc7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Apr 21 22:27:48 2011 +0200

    Message-related functionality factored out into msg_t class.
    
    This patch addresses serveral issues:
    1. It gathers message related functionality scattered over whole
       codebase into a single class.
    2. It makes zmq_msg_t an opaque datatype. Internals of the class
       don't pollute zmq.h header file.
    3. zmq_msg_t size decreases from 48 to 32 bytes. That saves ~33%
       of memory in scenarios with large amount of small messages.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h         |   29 +------
 src/config.hpp        |    4 +
 src/ctx.cpp           |   14 ++-
 src/ctx.hpp           |    2 -
 src/decoder.cpp       |   18 ++--
 src/decoder.hpp       |    5 +-
 src/dist.cpp          |   66 ++++----------
 src/dist.hpp          |    6 +-
 src/encoder.cpp       |   24 +++--
 src/encoder.hpp       |    5 +-
 src/err.cpp           |    2 -
 src/err.hpp           |    3 +
 src/fq.cpp            |   13 ++-
 src/fq.hpp            |    3 +-
 src/i_inout.hpp       |    7 +-
 src/io_thread.cpp     |    2 -
 src/ip.cpp            |    4 +-
 src/lb.cpp            |   28 +++---
 src/lb.hpp            |    2 +-
 src/msg.cpp           |  249 ++++++++++++++++++++++++++++++++-----------------
 src/msg.hpp           |  107 ++++++++++++++++++---
 src/object.hpp        |    2 -
 src/options.cpp       |    2 -
 src/pair.cpp          |   25 +++--
 src/pair.hpp          |    4 +-
 src/pipe.cpp          |   49 +++++------
 src/pipe.hpp          |   13 +--
 src/pub.cpp           |    1 +
 src/pull.cpp          |    5 +-
 src/pull.hpp          |    2 +-
 src/push.cpp          |    7 +-
 src/push.hpp          |    2 +-
 src/rep.cpp           |   15 ++--
 src/rep.hpp           |    4 +-
 src/req.cpp           |   23 ++---
 src/req.hpp           |    4 +-
 src/session.cpp       |   17 ++--
 src/session.hpp       |    4 +-
 src/socket_base.cpp   |   29 +++---
 src/socket_base.hpp   |   10 +-
 src/sub.cpp           |   17 ++--
 src/sub.hpp           |    2 +-
 src/tcp_connecter.cpp |    2 -
 src/tcp_listener.cpp  |    2 -
 src/xpub.cpp          |    9 +-
 src/xpub.hpp          |    4 +-
 src/xrep.cpp          |   69 +++++++-------
 src/xrep.hpp          |    7 +-
 src/xreq.cpp          |    7 +-
 src/xreq.hpp          |    4 +-
 src/xsub.cpp          |   41 ++++----
 src/xsub.hpp          |   11 +-
 src/zmq.cpp           |   52 ++++++++++-
 src/zmq_init.cpp      |   29 +++---
 src/zmq_init.hpp      |   13 +--
 55 files changed, 606 insertions(+), 474 deletions(-)

commit 581697695aac72894f2d3fefac904b9d50b3ba67
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Apr 19 08:08:15 2011 +0200

    Message validity is checked in the runtime
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_msg_close.txt |    3 ++-
 doc/zmq_msg_copy.txt  |    3 ++-
 doc/zmq_msg_move.txt  |    3 ++-
 doc/zmq_recv.txt      |    2 ++
 doc/zmq_send.txt      |    2 ++
 include/zmq.h         |    1 +
 src/msg.cpp           |   40 ++++++++++++++++++++++++++++++++--------
 src/req.cpp           |    2 +-
 src/socket_base.cpp   |   14 ++++++++++++++
 src/xrep.cpp          |    2 +-
 10 files changed, 59 insertions(+), 13 deletions(-)

commit 20e0b7cdcb6e8095fbadb80765e9371803184060
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Apr 18 09:11:45 2011 +0200

    zmq_socket(3) describes the EMFILE error code
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_socket.txt |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e3dc0b25d98eb072ab37aac842bba0802c87e3e6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Apr 18 08:55:51 2011 +0200

    OpenPGM compilation error on OSX fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.hpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 452ea97f5bb1bdd4d5ba76279de4189e8b8e5662
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 15 08:03:26 2011 +0200

    zmq_send(3) manpage improved
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_send.txt |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 590ad2510bb113fdcd36951f6321fc73be94944a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 15 07:59:28 2011 +0200

    Error handling for accept on Cygwin fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_listener.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5444064c1a195daee5e57eb996157393a4eed796
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Apr 13 10:33:54 2011 +0200

    Minor cleanup of preprocessor definitions for OpenPGM
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.hpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 933ace0919974628c8ac2f9ada67645fdf4c80e2
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Apr 13 10:06:44 2011 +0200

    MSVC build fixed to reflect zmq.cpp split
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 6191213a5737b774d83f341d4507b8baf702d381
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Apr 12 14:20:49 2011 +0200

    Code dealing with messages moved to msg.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am     |    3 +-
 src/dist.cpp        |    2 +-
 src/msg.cpp         |  159 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/msg.hpp         |   52 +++++++++++++++++
 src/msg_content.hpp |   52 -----------------
 src/zmq.cpp         |  131 ------------------------------------------
 6 files changed, 214 insertions(+), 185 deletions(-)

commit 3b636d7d185cd1a1fa300b4d9ca78d2587cb4bf5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Apr 12 10:00:29 2011 +0200

    zmq_utils implementation moved to zmq_utils.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am   |    3 +-
 src/zmq.cpp       |   30 --------------------------
 src/zmq_utils.cpp |   60 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 62 insertions(+), 31 deletions(-)

commit e6fd193760952fb7ad9ba787ff210993cf1c2031
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Apr 12 09:22:22 2011 +0200

    OpenPGM now doesn't redefine bool, we can drop the workaround
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.hpp |    5 -----
 src/zmq.cpp        |    5 -----
 2 files changed, 0 insertions(+), 10 deletions(-)

commit a3b49ca958be908b88b17ecc946006dccfbd2a75
Author: Pieter Hintjens <ph@imatix.com>
Date:   Mon Apr 11 12:14:00 2011 +0200

    Fixed example
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>

 doc/zmq_getsockopt.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0839cceac9dd29cc64cd9a634b9d3340cfbf3bbe
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 9 09:46:59 2011 +0200

    Missing ENOTSOCK added on Win32
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit b96fe15bb666e59728b6aa02f28c5838020f6bf3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 9 09:35:34 2011 +0200

    Run-time checking for context & socket validity added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_bind.txt       |    4 ++--
 doc/zmq_close.txt      |    4 ++--
 doc/zmq_connect.txt    |    4 ++--
 doc/zmq_getsockopt.txt |    4 ++--
 doc/zmq_recv.txt       |    4 ++--
 doc/zmq_send.txt       |    4 ++--
 doc/zmq_setsockopt.txt |    4 ++--
 doc/zmq_socket.txt     |    2 +-
 doc/zmq_term.txt       |    2 +-
 src/ctx.cpp            |    9 +++++++++
 src/ctx.hpp            |    6 ++++++
 src/socket_base.cpp    |    9 +++++++++
 src/socket_base.hpp    |    6 ++++++
 src/zmq.cpp            |   32 ++++++++++++++++----------------
 14 files changed, 62 insertions(+), 32 deletions(-)

commit e62686aca57ab307e952c53fd3848acaad22735e
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sat Apr 9 08:45:12 2011 +0200

    RPM packaging improvements
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 Makefile.am                  |    1 -
 builds/redhat/zeromq.spec    |  137 -----------------------------------------
 builds/redhat/zeromq.spec.in |  138 ++++++++++++++++++++++++++++++++++++++++++
 configure.in                 |    3 +-
 4 files changed, 140 insertions(+), 139 deletions(-)

commit 6fd403c4d8d22cec6c47aad4b978b3cc78b956c4
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Mon Apr 4 22:52:02 2011 +0200

    Make pkg-config dependency conditional
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 autogen.sh   |    6 ------
 configure.in |   13 ++++++++-----
 2 files changed, 8 insertions(+), 11 deletions(-)

commit 4b52cf949fa02274ec8817f8e704eaa7cc66adbf
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Apr 4 17:53:49 2011 +0200

    TCP and IPC connection initiation allow for multiple properties
    
    So far the only property passed on connection initiation was
    identity. The mechanism was now made extensible. Additional
    properties are needed to introduce functionality such as
    checking the peer's socket type, "subports" etc.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq_init.cpp |   98 +++++++++++++++++++++++++++++++++++++++--------------
 src/zmq_init.hpp |   18 ++++++++--
 2 files changed, 87 insertions(+), 29 deletions(-)

commit 8203c4dbb2e727ce608590e41c9e0d990c015b3e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Apr 4 13:12:46 2011 +0200

    Another error handling issue on Win32 solved
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 perf/inproc_lat.cpp |    2 +-
 perf/inproc_thr.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 475ba3849dd6563ce7b70c4db4d0ac85ac83658d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Apr 4 12:49:39 2011 +0200

    Issue with error checking on Win32 platform fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/thread.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1842628b9058b9243ebe037a6818c27ea1c8cd8d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Apr 4 12:12:06 2011 +0200

    Unreferenced variable removed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_socket.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 2c7af35827863b1e0a167298140a38180980502c
Author: Robert G. Jakabosky <bobby@sharedrealm.com>
Date:   Sun Apr 3 20:44:02 2011 +0200

    Add note about thread-safety to zmq_msg_init_data() manpage.
    
    Signed-off-by: Robert G. Jakabosky <bobby@sharedrealm.com>

 doc/zmq_msg_init_data.txt |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 54ea458f629cc380440e1a349ecf572eed2ecbd4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Apr 3 07:36:02 2011 +0200

    Git ignores .gcno files
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a48b6cfc003833e40198442124d034942f9f41e3
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sun Apr 3 07:34:14 2011 +0200

    Additional gcov changes
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   32 +++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 11 deletions(-)

commit 656b646bc634993bd9cb1b036a6838c5d0514fa8
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sat Apr 2 22:50:46 2011 +0200

    Large rename: AC_ZMQ_ to LIBZMQ_ and ac_zmq_ to libzmq_. Fixes "warning suspicious cache-id"
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |  340 +++++++++++++++++++++++++++++-----------------------------
 configure.in |   76 +++++++-------
 2 files changed, 208 insertions(+), 208 deletions(-)

commit bdeddb89f727c434ad499da5a349f3959eba3226
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sat Apr 2 22:49:41 2011 +0200

    Added code coverage checking
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   32 ++++++++++++++++++++++++++++++++
 configure.in |    3 +++
 2 files changed, 35 insertions(+), 0 deletions(-)

commit 7af18468f8ca0c14975ea12a1e6a549d42b81347
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sat Apr 2 22:48:52 2011 +0200

    Add option to build with system opepgm
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 autogen.sh   |    6 ++++++
 configure.in |   17 +++++++++++++++++
 2 files changed, 23 insertions(+), 0 deletions(-)

commit 0e0e4559a0e1d37fdbf686056f5d869d7a8d0315
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 2 19:32:44 2011 +0200

    Project location on github changed in README file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3e655227bd30d9845b2a0d8b877abe26c5524a3a
Author: Pieter Hintjens <ph@imatix.com>
Date:   Sat Apr 2 09:22:41 2011 +0200

    Fixed memory leak with threads on win32
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>

 src/thread.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 85c2a84036675d40af47b57c410309da04ef742b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 2 09:50:35 2011 +0200

    inproc perf tests now work on Windows
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/inproc_lat/inproc_lat.vcproj |  174 ++++++++++++++++++++++++++++++
 builds/msvc/inproc_thr/inproc_thr.vcproj |  174 ++++++++++++++++++++++++++++++
 builds/msvc/msvc.sln                     |   22 ++++
 perf/inproc_lat.cpp                      |   46 ++++++++-
 perf/inproc_thr.cpp                      |   46 ++++++++-
 5 files changed, 458 insertions(+), 4 deletions(-)

commit 54830ac0f6869628e1e35cbae3434ca5e10ad600
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Apr 2 09:03:57 2011 +0200

    MSVC build system updated to match 3.0 changes
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   16 ----------------
 builds/msvc/msvc.sln             |   33 ---------------------------------
 2 files changed, 0 insertions(+), 49 deletions(-)

commit ae90d3bdbe58d73dea5001b2f8cbf6ada9e53332
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 1 11:55:10 2011 +0200

    inproc_lat and inproc_thr added to .gitignore
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 599df5203ca3e4dfa39ea7617616b7886e95aff3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Apr 1 11:53:51 2011 +0200

    PGM wire format specification improved in zmq_pgm(7)
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_pgm.txt |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit cce57617c7d4da78a3fd00e105d4920e34181a07
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 31 23:49:28 2011 +0200

    Ian Barber and Zed Shaw added to credits section
    
    talks on conferences, videos
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5142a1624bcf1659b5ed6b706b8396fc91ecbd00
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 31 23:16:14 2011 +0200

    Robert G. Jakabosky added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d84558e172f51a9b96659f49c404147315e502f8
Author: Robert G. Jakabosky <bobby@sharedrealm.com>
Date:   Thu Mar 31 23:14:38 2011 +0200

    Adding thread latency/throughput perf. examples.
    
    Signed-off-by: Robert G. Jakabosky <bobby@sharedrealm.com>

 perf/Makefile.am    |    8 ++-
 perf/inproc_lat.cpp |  190 +++++++++++++++++++++++++++++++++++++++++++++++
 perf/inproc_thr.cpp |  204 +++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 401 insertions(+), 1 deletions(-)

commit fbf1f5146860a2557f247cdb0f94bda647c75ceb
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Thu Mar 31 18:42:09 2011 +0200

    Upstream the openpgm build fixes. Add DSO symbol visibility to OpenPGM builds
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 .gitignore                                 |    1 +
 Makefile.am                                |   11 ++-
 configure.in                               |  152 +++++++--------------------
 foreign/openpgm/Makefile.am                |    8 ++
 foreign/openpgm/libpgm-5.0.92~dfsg.tar.gz  |  Bin 444700 -> 0 bytes
 foreign/openpgm/libpgm-5.1.115~dfsg.tar.gz |  Bin 0 -> 1054630 bytes
 src/Makefile.am                            |   95 +-----------------
 7 files changed, 59 insertions(+), 208 deletions(-)

commit d36d9a378a9f3c561f2ae7849cee907c59d33b72
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Mar 27 19:41:32 2011 +0200

    Comments improvement
    
    related to fairness while reading/writing large messages
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq_engine.cpp |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 17fdb5e3a8956887e76c487e36d1dc8b667ca248
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Mar 27 09:50:25 2011 +0200

    zmq_recv() returns size of the message even if it's truncated
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 82dbef360c1fd5b20c8b59e1fc7273af14f55502
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Mar 26 11:05:55 2011 +0100

    Memory leak in zmq_recv fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit abb184a051b592b6d4c99fd3299e78ea7c1da826
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Mar 26 10:38:40 2011 +0100

    ZMQ_NOBLOCK renamed ZMQ_DONTWAIT
    
    Done because of POSIX compliance
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_recv.txt    |    2 +-
 doc/zmq_send.txt    |    2 +-
 include/zmq.h       |    2 +-
 src/socket_base.cpp |    4 ++--
 src/xsub.cpp        |    6 +++---
 tests/test_hwm.cpp  |    2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

commit bc4a1ce3345f4e5904e4b13c618f90def21256a5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 16:47:33 2011 +0100

    ZMQ_HWM split into ZMQ_SNDHWM and ZMQ_RCVHWM
    
    These new options allow to control the maximum size of the
    inbound and outbound message pipe separately.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   42 ++++++++++++++++++++++++++++++++----------
 doc/zmq_setsockopt.txt |   36 +++++++++++++++++++++++++++++-------
 include/zmq.h          |    3 ++-
 src/options.cpp        |   30 ++++++++++++++++++++++++------
 src/options.hpp        |    5 +++--
 src/session.cpp        |    6 ++++--
 src/socket_base.cpp    |   21 +++++++++++++--------
 tests/test_hwm.cpp     |    4 ++--
 8 files changed, 109 insertions(+), 38 deletions(-)

commit 507718ee1a56e376c06389c513de3868297fec35
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 15:43:03 2011 +0100

    ZMQ_HWM type changed to int
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    4 ++--
 doc/zmq_setsockopt.txt |    2 +-
 src/options.cpp        |    8 ++++----
 src/options.hpp        |    4 +++-
 src/pipe.cpp           |   11 +++++------
 src/pipe.hpp           |   17 ++++++++---------
 src/socket_base.cpp    |    2 +-
 tests/test_hwm.cpp     |    3 +--
 8 files changed, 25 insertions(+), 26 deletions(-)

commit bd9d7715ebe864d1aa85700d1b55b4f37568a1a4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 15:18:20 2011 +0100

    ZMQ_RATE and ZMQ_RECOVERY_IVL types cahnged to int
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    4 ++--
 doc/zmq_setsockopt.txt |    4 ++--
 src/options.cpp        |   21 ++++++++++-----------
 src/options.hpp        |    5 +++--
 src/pgm_socket.cpp     |    4 ++--
 5 files changed, 19 insertions(+), 19 deletions(-)

commit d61f067f5bade1269213735b8628a92621b62c91
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 15:07:23 2011 +0100

    ZMQ_EVENTS type changed to int
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    2 +-
 src/socket_base.cpp    |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 23bd3726a57793b850cb26e22274fd188fb86e82
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 14:59:43 2011 +0100

    ZMQ_RCVMORE type changed to int
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    2 +-
 src/socket_base.cpp    |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 17e82a361121dc81c90e17f1382dff678537b651
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 14:48:50 2011 +0100

    ZMQ_SNDBUF and ZMQ_RCVBUF type changed to int
    
    This mimics POSIX specification.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    4 ++--
 doc/zmq_setsockopt.txt |    4 ++--
 src/options.cpp        |   22 +++++++++++-----------
 src/options.hpp        |    5 +++--
 src/tcp_socket.cpp     |   15 ++++++---------
 src/tcp_socket.hpp     |    2 +-
 6 files changed, 25 insertions(+), 27 deletions(-)

commit a2252de2bcecb672f09c8a5d0013cce23d1d404f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 14:36:40 2011 +0100

    ZMQ_RECOVERY_IVL and ZMQ_RECOVERY_IVL_MSEC reconciled
    
    There's only one option now -- ZMQ_RECOVRY_IVL --
    and it's measured in milliseconds.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   24 ++----------------------
 doc/zmq_setsockopt.txt |   31 +++----------------------------
 include/zmq.h          |    1 -
 src/options.cpp        |   22 ++--------------------
 src/options.hpp        |    4 +---
 src/pgm_socket.cpp     |   23 ++++-------------------
 6 files changed, 12 insertions(+), 93 deletions(-)

commit 8463b4d55e45ea29d5a23f867e7f1c0077279ee7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 12:27:06 2011 +0100

    SWAP functionality removed
    
    On-disk storage should be implemented in devices rather than
    in 0MQ core. 0MQ is a networking library and there's no point
    in storing network buffers on disk.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   16 ---
 doc/zmq_setsockopt.txt |   16 ---
 include/zmq.h          |    1 -
 src/Makefile.am        |    2 -
 src/config.hpp         |    4 -
 src/options.cpp        |   18 ---
 src/options.hpp        |    1 -
 src/pipe.cpp           |   93 +-------------
 src/pipe.hpp           |   30 ++----
 src/session.cpp        |    6 +-
 src/socket_base.cpp    |   20 +--
 src/swap.cpp           |  325 ------------------------------------------------
 src/swap.hpp           |  123 ------------------
 13 files changed, 24 insertions(+), 631 deletions(-)

commit fb27a000d9383b503761d0124e7bd41115d70c9a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 11:53:55 2011 +0100

    send/recv was changed to send/recv/sendmsg/recvmsg
    
    send/recv now complies with POSIX by using raw buffers instead
    of message objects and by returning number of bytes sent/recvd
    instead of 0/-1.
    
    The return value is changed accordingly for sendmsg and recvmsg.
    
    Note that related man pages will be fixed in a separate patch.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h       |    6 +++-
 perf/local_lat.cpp  |   12 +++++-----
 perf/local_thr.cpp  |   12 +++++-----
 perf/remote_lat.cpp |   12 +++++-----
 perf/remote_thr.cpp |    6 ++--
 src/zmq.cpp         |   59 +++++++++++++++++++++++++++++++++++++++++++++++---
 tests/test_hwm.cpp  |   34 ++++-------------------------
 tests/testutil.hpp  |   38 +++++++++-----------------------
 8 files changed, 96 insertions(+), 83 deletions(-)

commit d4e83d26014f41eaa1698b4062de88fe7f36a669
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 10:18:06 2011 +0100

    C++ binding removed from the core
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/redhat/zeromq.spec |    1 -
 doc/Makefile.am           |    4 +-
 doc/zmq_cpp.txt           |  212 ---------------------------------
 include/zmq.hpp           |  289 ---------------------------------------------
 src/Makefile.am           |    2 +-
 5 files changed, 3 insertions(+), 505 deletions(-)

commit 7d87db05290e3fd742f381b6f419eb69518ca8cf
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 24 10:03:49 2011 +0100

    Auto-tests modified to use C API instead of C++ binding
    
    As a side effect, broker HWM test was fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 tests/test_hwm.cpp             |  107 +++++++++++++++++++++----------
 tests/test_pair_inproc.cpp     |   30 +++++++--
 tests/test_pair_ipc.cpp        |   30 +++++++--
 tests/test_pair_tcp.cpp        |   30 +++++++--
 tests/test_reqrep_inproc.cpp   |   30 +++++++--
 tests/test_reqrep_ipc.cpp      |   30 +++++++--
 tests/test_reqrep_tcp.cpp      |   30 +++++++--
 tests/test_shutdown_stress.cpp |    2 +-
 tests/testutil.hpp             |  139 +++++++++++----------------------------
 9 files changed, 263 insertions(+), 165 deletions(-)

commit 941be8d2175332cb720f390f93d07a0870db8824
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 17:44:16 2011 +0100

    zmq_device removed
    
    Devices are basically applications on top of 0MQ stack. They
    should reside in separate libraties.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/redhat/zeromq.spec |    7 ---
 include/zmq.h             |   10 ----
 include/zmq.hpp           |    7 ---
 src/Makefile.am           |    2 -
 src/device.cpp            |  120 ---------------------------------------------
 src/device.hpp            |   32 ------------
 src/zmq.cpp               |   18 -------
 7 files changed, 0 insertions(+), 196 deletions(-)

commit d4d184a750e2c09a39b95db9a54daf83aac5a446
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 17:33:07 2011 +0100

    Pre-compiled devices removed
    
    Along with the devices, xmlParser which is no longer needed
    is removed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 MAINTAINERS                             |    4 -
 Makefile.am                             |    8 +-
 configure.in                            |    2 -
 devices/Makefile.am                     |    3 -
 devices/zmq_forwarder/Makefile.am       |    8 -
 devices/zmq_forwarder/zmq_forwarder.cpp |  124 --
 devices/zmq_queue/Makefile.am           |    8 -
 devices/zmq_queue/zmq_queue.cpp         |  123 --
 devices/zmq_streamer/Makefile.am        |    8 -
 devices/zmq_streamer/zmq_streamer.cpp   |  123 --
 doc/Makefile.am                         |    6 +-
 doc/zmq_forwarder.txt                   |   33 -
 doc/zmq_queue.txt                       |   33 -
 doc/zmq_streamer.txt                    |   33 -
 foreign/xmlParser/xmlParser.cpp         | 2923 -------------------------------
 foreign/xmlParser/xmlParser.hpp         |  762 --------
 16 files changed, 5 insertions(+), 4196 deletions(-)

commit b45b68ae4ab90af1ce35deec52b0c0492a1f49d4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 17:01:39 2011 +0100

    ZMQ_MCAST_LOOP removed
    
    Multicast loopback is not a real multicast, rather a kernel-space
    simulation. Moreover, it tends to be rather unreliable and lossy.
    Removing the option will force users to use transports better
    suited for the job, such as inproc or ipc.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   17 -----------------
 doc/zmq_pgm.txt        |    5 ++---
 doc/zmq_setsockopt.txt |   17 -----------------
 include/zmq.h          |    1 -
 src/options.cpp        |   25 -------------------------
 src/options.hpp        |    3 ---
 src/pgm_socket.cpp     |    2 +-
 7 files changed, 3 insertions(+), 67 deletions(-)

commit f5e6d67948b8c71c2444046f6246aebab16546dc
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 15:50:18 2011 +0100

    Timeout in zmq_poll is in milliseconds
    
    The old timeout in microsecond haven't been compliant with
    POSIX and was impractical at the same time.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_poll.txt |    2 +-
 src/zmq.cpp      |   12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit e3cf6e9ced979464d30ad4cd63087cfbee33e9bd
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 15:40:35 2011 +0100

    Obsolete note removed from zmq_poll(3) manpage
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_poll.txt |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 34d7854199ab89faf2edfc3305932cc07b2030ab
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 15:26:47 2011 +0100

    Obsolete constants ZMQ_UPSTREAM and ZMQ_DOWNSTREAM removed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 devices/zmq_streamer/zmq_streamer.cpp |    4 ++--
 include/zmq.h                         |    2 --
 2 files changed, 2 insertions(+), 4 deletions(-)

commit dee5f650dde07ec71f482e825984a31028467d1b
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 23 15:24:18 2011 +0100

    Version bumped to 3.0.0
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1619b3d84a04fe1886347fd83280a6070c9603f4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Mar 20 20:52:54 2011 +0100

    Message atomicity bug in load-balancer fixed
    
    If the peer getting the message have disconnected in the middle
    of multiplart message, the remaining part of the message went
    to a different peer. This patch fixes the issue.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/lb.cpp |   25 ++++++++++++++++++++++++-
 src/lb.hpp |    3 +++
 2 files changed, 27 insertions(+), 1 deletions(-)

commit 92c7c18367f91c6341fc617026f5e25000466b05
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Mar 20 11:50:51 2011 +0100

    Message atomicity problem solved in PUB socket
    
    When new peer connects to a PUB socket while it is in the middle
    of sending of multi-part messages, it gets just the remaining
    part of the message, i.e. message atomicity is broken.
    
    This patch drops the tail part of the message and starts sending
    to the peer only when new message is started.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/dist.cpp |   44 +++++++++++++++++++++++++++++++++++++++-----
 src/dist.hpp |   15 +++++++++++++++
 2 files changed, 54 insertions(+), 5 deletions(-)

commit fac9c2da56073d15cfe25ea2bb5833cb5b9cfff6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 16 16:32:31 2011 +0100

    zmq_socket(3) and zmq_setsockopt(3) man pages improved
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_setsockopt.txt |    3 ++-
 doc/zmq_socket.txt     |    8 +++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

commit f5015f4c933706f34dbe3cb78e7db29e2ab7f870
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 16 13:48:40 2011 +0100

    Incorrect errno reported from tcp_listener_t::set_address
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/tcp_listener.cpp |   20 ++++++++++++++++----
 1 files changed, 16 insertions(+), 4 deletions(-)

commit 32ded2b457b2102dba4c15e00363f031d212b1c4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 16 13:26:23 2011 +0100

    Duplicate identities now checked with zmq_connect
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/connect_session.cpp   |   45 +++++++++++++++++++++++++++++++++++++++++++--
 src/connect_session.hpp   |   10 +++++++++-
 src/named_session.cpp     |   12 +++++++++---
 src/named_session.hpp     |    2 +-
 src/session.cpp           |   38 ++++++++++++++++++++------------------
 src/session.hpp           |   12 ++++++++----
 src/socket_base.cpp       |    4 +++-
 src/transient_session.cpp |    4 +++-
 src/transient_session.hpp |    2 +-
 9 files changed, 97 insertions(+), 32 deletions(-)

commit b79d07b8bc844135c44c1ff8b84b50dc08f56925
Author: Jon Dyte <jon@totient.co.uk>
Date:   Wed Mar 16 09:54:03 2011 +0100

    reset socket state when identity message cannot be written to xrep
    
     Signed-off-by: Jon Dyte <jon@totient.co.uk>

 src/xrep.cpp |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 7045a4a21327f19170e282f6ba2d25caff13aa90
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Mar 15 13:11:20 2011 +0100

    Dead code removed from named_session.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/named_session.cpp |   57 +++++++++++++-----------------------------------
 src/named_session.hpp |    5 +--
 2 files changed, 18 insertions(+), 44 deletions(-)

commit f987f4b3e28b24fd3e58408c568b688ad1306766
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Mar 14 20:29:00 2011 +0100

    FreeBSD complation error fixed
    
    There was an error in pgm_receiver wrt strict aliasing.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_receiver.cpp |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 2970d6c30b1f57e9a75d46982378b103899bddbc
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Mar 14 07:11:30 2011 +0100

    Remove obsolete assert from pgm_socket.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d0c8edde3596f512d629c6b075289ebe86488ea9
Author: Guido Goldstein <github@a-nugget.de>
Date:   Sat Mar 12 17:16:27 2011 +0100

    Added missing close method w/ check if socket is already closed.
    
    Signed-off-by: Guido Goldstein <github@a-nugget.de>

 include/zmq.hpp |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 7b95c5920c3318935b8cd8f3591cd5c65509f819
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 9 16:34:37 2011 +0100

    Windows build fixed
    
    Compilation of ip.cpp have failed because EPROTONOSUPPORT
    was undefined. Including zmq.h should help as the error
    code is defined there.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ip.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b00be2651c39d0c08064f206b31a14e810ba0b22
Author: Brett Cameron <Brett.Cameron@hp.com>
Date:   Tue Mar 8 14:39:52 2011 +0100

    Different fixed to make OpenVMS port work.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS           |    2 +-
 src/ip.cpp        |   16 ++++++++++------
 src/ip.hpp        |    2 --
 src/semaphore.hpp |    2 ++
 src/stdint.hpp    |   10 +---------
 5 files changed, 14 insertions(+), 18 deletions(-)

commit 184bdb8e2bb6fe252af1bf4dd16d1c9ed8892f7a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 3 12:37:11 2011 +0100

    Bug caused by interaction of REQ/REP routing and HWM fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xrep.cpp |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

commit 97add1ec2f75858ee950fa19b266396147efa224
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Mar 3 12:15:08 2011 +0100

    Documentation wrt thread-safety cleaned up.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_init.txt   |    5 +++++
 doc/zmq_socket.txt |   13 +++----------
 2 files changed, 8 insertions(+), 10 deletions(-)

commit 18b9ebea32fbf4a4552b0435c8759e5e5c6fe219
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 2 16:30:40 2011 +0100

    The copyrights in file headers updated.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 autogen.sh                              |    8 +++++---
 builds/msvc/platform.hpp                |    3 ++-
 devices/zmq_forwarder/zmq_forwarder.cpp |    3 ++-
 devices/zmq_queue/zmq_queue.cpp         |    3 ++-
 devices/zmq_streamer/zmq_streamer.cpp   |    3 ++-
 include/zmq.h                           |    3 ++-
 include/zmq.hpp                         |    3 ++-
 include/zmq_utils.h                     |    3 ++-
 perf/local_lat.cpp                      |    3 ++-
 perf/local_thr.cpp                      |    3 ++-
 perf/remote_lat.cpp                     |    3 ++-
 perf/remote_thr.cpp                     |    3 ++-
 src/array.hpp                           |    3 ++-
 src/atomic_counter.hpp                  |    3 ++-
 src/atomic_ptr.hpp                      |    3 ++-
 src/blob.hpp                            |    3 ++-
 src/clock.cpp                           |    3 ++-
 src/clock.hpp                           |    3 ++-
 src/command.cpp                         |    3 ++-
 src/command.hpp                         |    3 ++-
 src/config.hpp                          |    3 ++-
 src/connect_session.cpp                 |    3 ++-
 src/connect_session.hpp                 |    3 ++-
 src/ctx.cpp                             |    3 ++-
 src/ctx.hpp                             |    3 ++-
 src/decoder.cpp                         |    3 ++-
 src/decoder.hpp                         |    3 ++-
 src/device.cpp                          |    3 ++-
 src/device.hpp                          |    3 ++-
 src/devpoll.cpp                         |    3 ++-
 src/devpoll.hpp                         |    3 ++-
 src/dist.cpp                            |    3 ++-
 src/dist.hpp                            |    3 ++-
 src/encoder.cpp                         |    3 ++-
 src/encoder.hpp                         |    3 ++-
 src/epoll.cpp                           |    3 ++-
 src/epoll.hpp                           |    3 ++-
 src/err.cpp                             |    3 ++-
 src/err.hpp                             |    3 ++-
 src/fd.hpp                              |    3 ++-
 src/fq.cpp                              |    3 ++-
 src/fq.hpp                              |    3 ++-
 src/i_engine.hpp                        |    3 ++-
 src/i_inout.hpp                         |    3 ++-
 src/i_poll_events.hpp                   |    3 ++-
 src/io_object.cpp                       |    3 ++-
 src/io_object.hpp                       |    3 ++-
 src/io_thread.cpp                       |    3 ++-
 src/io_thread.hpp                       |    3 ++-
 src/ip.cpp                              |    3 ++-
 src/ip.hpp                              |    3 ++-
 src/kqueue.cpp                          |    3 ++-
 src/kqueue.hpp                          |    3 ++-
 src/lb.cpp                              |    3 ++-
 src/lb.hpp                              |    3 ++-
 src/likely.hpp                          |    3 ++-
 src/mailbox.cpp                         |    3 ++-
 src/mailbox.hpp                         |    3 ++-
 src/msg_content.hpp                     |    3 ++-
 src/mutex.hpp                           |    3 ++-
 src/named_session.cpp                   |    3 ++-
 src/named_session.hpp                   |    3 ++-
 src/object.cpp                          |    3 ++-
 src/object.hpp                          |    3 ++-
 src/options.cpp                         |    3 ++-
 src/options.hpp                         |    3 ++-
 src/own.cpp                             |    3 ++-
 src/own.hpp                             |    3 ++-
 src/pair.cpp                            |    3 ++-
 src/pair.hpp                            |    3 ++-
 src/pgm_receiver.cpp                    |    3 ++-
 src/pgm_receiver.hpp                    |    3 ++-
 src/pgm_sender.cpp                      |    3 ++-
 src/pgm_sender.hpp                      |    3 ++-
 src/pgm_socket.cpp                      |    3 ++-
 src/pgm_socket.hpp                      |    3 ++-
 src/pipe.cpp                            |    3 ++-
 src/pipe.hpp                            |    3 ++-
 src/poll.cpp                            |    3 ++-
 src/poll.hpp                            |    3 ++-
 src/poller.hpp                          |    3 ++-
 src/poller_base.cpp                     |    3 ++-
 src/poller_base.hpp                     |    3 ++-
 src/pub.cpp                             |    3 ++-
 src/pub.hpp                             |    3 ++-
 src/pull.cpp                            |    3 ++-
 src/pull.hpp                            |    3 ++-
 src/push.cpp                            |    3 ++-
 src/push.hpp                            |    3 ++-
 src/reaper.cpp                          |    3 ++-
 src/reaper.hpp                          |    3 ++-
 src/rep.cpp                             |    3 ++-
 src/rep.hpp                             |    3 ++-
 src/req.cpp                             |    3 ++-
 src/req.hpp                             |    3 ++-
 src/select.cpp                          |    3 ++-
 src/select.hpp                          |    3 ++-
 src/semaphore.hpp                       |    3 ++-
 src/session.cpp                         |    3 ++-
 src/session.hpp                         |    3 ++-
 src/socket_base.cpp                     |    3 ++-
 src/socket_base.hpp                     |    3 ++-
 src/stdint.hpp                          |    3 ++-
 src/sub.cpp                             |    3 ++-
 src/sub.hpp                             |    3 ++-
 src/swap.cpp                            |    3 ++-
 src/swap.hpp                            |    3 ++-
 src/tcp_connecter.cpp                   |    3 ++-
 src/tcp_connecter.hpp                   |    3 ++-
 src/tcp_listener.cpp                    |    3 ++-
 src/tcp_listener.hpp                    |    3 ++-
 src/tcp_socket.cpp                      |    3 ++-
 src/tcp_socket.hpp                      |    3 ++-
 src/thread.cpp                          |    3 ++-
 src/thread.hpp                          |    3 ++-
 src/transient_session.cpp               |    3 ++-
 src/transient_session.hpp               |    3 ++-
 src/trie.cpp                            |    3 ++-
 src/trie.hpp                            |    3 ++-
 src/uuid.cpp                            |    3 ++-
 src/uuid.hpp                            |    3 ++-
 src/windows.hpp                         |    3 ++-
 src/wire.hpp                            |    3 ++-
 src/xpub.cpp                            |    3 ++-
 src/xpub.hpp                            |    3 ++-
 src/xrep.cpp                            |    3 ++-
 src/xrep.hpp                            |    3 ++-
 src/xreq.cpp                            |    3 ++-
 src/xreq.hpp                            |    4 +++-
 src/xsub.cpp                            |    3 ++-
 src/xsub.hpp                            |    3 ++-
 src/ypipe.hpp                           |    3 ++-
 src/yqueue.hpp                          |    3 ++-
 src/zmq.cpp                             |    3 ++-
 src/zmq_connecter.cpp                   |    3 ++-
 src/zmq_connecter.hpp                   |    3 ++-
 src/zmq_engine.cpp                      |    3 ++-
 src/zmq_engine.hpp                      |    3 ++-
 src/zmq_init.cpp                        |    3 ++-
 src/zmq_init.hpp                        |    3 ++-
 src/zmq_listener.cpp                    |    3 ++-
 src/zmq_listener.hpp                    |    3 ++-
 tests/test_hwm.cpp                      |    3 ++-
 tests/test_pair_inproc.cpp              |    3 ++-
 tests/test_pair_ipc.cpp                 |    3 ++-
 tests/test_pair_tcp.cpp                 |    3 ++-
 tests/test_reqrep_inproc.cpp            |    3 ++-
 tests/test_reqrep_ipc.cpp               |    3 ++-
 tests/test_reqrep_tcp.cpp               |    3 ++-
 tests/test_shutdown_stress.cpp          |    3 ++-
 tests/testutil.hpp                      |    3 ++-
 151 files changed, 306 insertions(+), 153 deletions(-)

commit 5fcef1cac4d9faf0279b83ba48899b0e17b8e2d5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Mar 2 09:00:36 2011 +0100

    ZMQ_MAXMSGSIZE option added
    
    The new option allows user to guard against peers sending
    oversized messages. Connection to peer sending oversized message
    is dropped.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |   14 ++++++++++++++
 doc/zmq_setsockopt.txt |   12 ++++++++++++
 include/zmq.h          |    1 +
 src/decoder.cpp        |   21 +++++++++++++++++----
 src/decoder.hpp        |    5 ++++-
 src/options.cpp        |   18 ++++++++++++++++++
 src/options.hpp        |    3 +++
 src/pgm_receiver.cpp   |    3 ++-
 src/zmq_engine.cpp     |    2 +-
 9 files changed, 72 insertions(+), 7 deletions(-)

commit 4c7446211a02937f3e2522aece163d417b4ad0b9
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Mar 1 16:08:40 2011 +0100

    Explicit identities bug in inproc transport fixed.
    
    The identity of bound socket was not used. Instead, transient
    identity was generated.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 67b1f14190186f54fc5954a70f7214411d780aea
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Feb 26 08:42:20 2011 +0100

    Memory leak in PUB/XPUB sockets fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xpub.cpp |   14 ++++++--------
 src/xpub.hpp |    4 ----
 src/xsub.cpp |    7 ++-----
 src/xsub.hpp |    4 ----
 4 files changed, 8 insertions(+), 21 deletions(-)

commit d4e418f5f48a4d73e0a80a54593d11a6cd86d7bc
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Feb 25 08:58:01 2011 +0100

    Socket with no owner objects is deallocated immediately
    
    Till now the deallocation of such socket was delayed
    till zmq_term() thus creating a "leak".
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/reaper.cpp      |    7 ++++---
 src/socket_base.cpp |   24 ++++++++++++++----------
 src/socket_base.hpp |    4 ++++
 3 files changed, 22 insertions(+), 13 deletions(-)

commit c22e52737a5f12f0edfe3f669fa2bfd6e372dec7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Feb 24 16:57:53 2011 +0100

    Minor patch to zmq_getsockopt(3) man page
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_getsockopt.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 29e0e7dbadfcd0bab70feee119bd7c5e623b38d4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Feb 23 11:48:49 2011 +0100

    Incorrect PGM sender/receiver creation fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/connect_session.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 820fec7f28b54dc5fc16a38eceb405e9af41260c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Feb 22 21:43:52 2011 +0100

    Version bumped to 2.2.0
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 43e8868875e1d5287979e5b9060a9b16be45cc79
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Feb 22 16:23:36 2011 +0100

    Added explicit error message in case of memory exhaustion
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/connect_session.cpp |    6 +++---
 src/ctx.cpp             |    6 +++---
 src/decoder.hpp         |    2 +-
 src/encoder.hpp         |    2 +-
 src/epoll.cpp           |    2 +-
 src/err.hpp             |   20 +++++++++++++-------
 src/io_thread.cpp       |    2 +-
 src/ip.cpp              |    2 +-
 src/kqueue.cpp          |    2 +-
 src/object.cpp          |    4 ++--
 src/pgm_receiver.cpp    |    1 +
 src/pgm_sender.cpp      |    2 +-
 src/pgm_socket.cpp      |    3 ++-
 src/pipe.cpp            |    8 ++++----
 src/reaper.cpp          |    2 +-
 src/session.cpp         |    2 --
 src/socket_base.cpp     |    6 +++---
 src/swap.cpp            |   13 ++++++++-----
 src/trie.cpp            |    6 +++---
 src/yqueue.hpp          |    4 ++--
 src/zmq.cpp             |    8 ++++----
 src/zmq_connecter.cpp   |    2 +-
 src/zmq_init.cpp        |    6 +++---
 src/zmq_listener.cpp    |    2 +-
 24 files changed, 61 insertions(+), 52 deletions(-)

commit 98ccff1a24a056aef15372b131eee1c1bf8f62ca
Author: Mikko Koppanen <mikko.koppanen@gmail.com>
Date:   Mon Feb 21 23:40:48 2011 +0100

    Fixes build on at least CentOS 5
    
    Signed-off-by: Mikko Koppanen <mikko.koppanen@gmail.com>

 builds/redhat/zeromq.spec |   19 +++++++++++++------
 1 files changed, 13 insertions(+), 6 deletions(-)

commit 0eea93526d210372c23041d50f4b401a94e3a006
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Feb 21 17:49:12 2011 +0100

    Fix for memory leak caused by long identities
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq_init.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5c0931121ba1854766599b6b7dbd1a7937febd6d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Feb 21 11:22:54 2011 +0100

    Computation of buffer size for PGM fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.cpp |   41 +++++++++++++++++++++++++++++------------
 src/pgm_socket.hpp |    3 +++
 2 files changed, 32 insertions(+), 12 deletions(-)

commit 12486fecc4f8d9a3bed37cf3d732b1250b075e24
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Feb 18 17:57:59 2011 +0100

    Fix MSVC and SunStudio builds with OpenPGM
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.hpp |    5 +++++
 src/zmq.cpp        |    6 ++++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 17e2ca71b4f6db76a4848d366defa36f1b19bdd7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Feb 18 14:15:10 2011 +0100

    Logging of duplicit identities added
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ctx.cpp     |   12 ++++++++++--
 src/ctx.hpp     |    3 ++-
 src/object.cpp  |    8 ++++++--
 src/object.hpp  |    2 +-
 src/session.cpp |    1 +
 5 files changed, 20 insertions(+), 6 deletions(-)

commit 1f536b2d3820ba5435086a77ad34d86a432b94c7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Feb 17 14:20:19 2011 +0100

    Init object is child of listener
    
    This means that all the handshaking while accepting incoming
    connection is done exclusively in I/O threads, thus it won't
    overload the application thread's mailbox.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq_listener.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 28f3e87fc6c8c5c7046234bf9a08ae62f26d7f3a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Feb 17 10:33:38 2011 +0100

    Add delay before reconnecting
    
    So far ZMQ_RECONNECT_IVL delay was used only when TCP connect
    failed. Now it is used even if connect succeeds and the peer
    closes the connection afterwards.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/config.hpp          |    3 ---
 src/connect_session.cpp |    9 +++++----
 src/connect_session.hpp |    2 +-
 src/zmq_connecter.cpp   |    4 ++--
 src/zmq_connecter.hpp   |    2 +-
 5 files changed, 9 insertions(+), 11 deletions(-)

commit fbe5d859f461b0deaa6083fdee077e01e9b47b91
Author: Michael Compton <michael.compton@littleedge.co.uk>
Date:   Tue Feb 15 09:33:19 2011 +0100

    Added note regarding setting sockopt before bind/connect
    
    Signed-off-by: Michael Compton <michael.compton@littleedge.co.uk>

 AUTHORS                |    1 +
 doc/zmq_setsockopt.txt |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit ba26cc9938c33fe0837322ea34bcd438f9b7d207
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Feb 13 10:07:10 2011 +0100

    Build problem with OpenPGM and MSVC fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 14a0e147b2b89fc7fed92c7d9c806b6c53380400
Author: Pieter Hintjens <ph@imatix.com>
Date:   Sat Feb 12 18:36:21 2011 +0100

    Fixed win32 issue with WSAStartup
    
     - ctx constructor was calling mailbox_t constructor implicitly
     - moved WSAStartup and WSACleanup to be outside constructor/destructor
    
    Signed-off-by: Pieter Hintjens <ph@imatix.com>

 src/ctx.cpp |   17 -----------------
 src/zmq.cpp |   19 +++++++++++++++++++
 2 files changed, 19 insertions(+), 17 deletions(-)

commit e94790006ea6f4c64cc1df1c193aa1cf89a75100
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Feb 9 22:33:57 2011 +0100

    reaper added to MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 5b82b1ba30d136655c72f116ee2e372ded453952
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Feb 9 22:23:21 2011 +0100

    Reaper thread waits for commands rather them retrieving them periodically
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/command.hpp     |    5 ++++
 src/object.cpp      |   20 ++++++++++++++++
 src/object.hpp      |    2 +
 src/reaper.cpp      |   64 +++++++++++++++++---------------------------------
 src/reaper.hpp      |   13 +++-------
 src/socket_base.cpp |   53 ++++++++++++++++++++++++++++-------------
 src/socket_base.hpp |   21 +++++++++++++---
 7 files changed, 106 insertions(+), 72 deletions(-)

commit 80ac398bba928fa7f245d2e107071677a13185cf
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Feb 9 15:32:15 2011 +0100

    Initial implementation of reaper thread.
    
    Reaper thread destroys the socket asynchronously.
    zmq_term() can be interrupted by a signal (EINTR).
    zmq_socket() will return ETERM after zmq_term() was called.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_socket.txt  |    3 +-
 doc/zmq_term.txt    |    2 +
 src/Makefile.am     |    2 +
 src/command.hpp     |   15 +++++-
 src/ctx.cpp         |  158 +++++++++++++++++++++++---------------------------
 src/ctx.hpp         |   43 +++++++-------
 src/io_thread.cpp   |    2 +-
 src/io_thread.hpp   |    3 +
 src/object.cpp      |   42 ++++++++++++--
 src/object.hpp      |    8 +-
 src/reaper.cpp      |  139 ++++++++++++++++++++++++++++++++++++++++++++
 src/reaper.hpp      |   81 ++++++++++++++++++++++++++
 src/socket_base.cpp |   18 +++---
 src/socket_base.hpp |    8 ++-
 14 files changed, 394 insertions(+), 130 deletions(-)

commit 889424e675eecd9d9c7d1121456401d5c43029a5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Feb 8 16:19:37 2011 +0100

    max_sockets honoured precisely
    
    The internal log socket was subtracted from the number of
    available sockets. So, if max_sockets was set to 100,
    you could create only 99 sockets. Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ctx.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5dcbc34396bb4d256916fafcbb2ddd646ad179e6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Feb 8 14:46:27 2011 +0100

    zmq_poll with no fds behaves decently
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq.cpp |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit 908b39bf8309044913a34c632cd432958dcf6960
Author: Mikko Koppanen <mikko.koppanen@gmail.com>
Date:   Mon Feb 7 15:06:20 2011 +0100

    m4_esyscmd_s doesnt seem to be portable across different systems
    
    Signed-off-by: Mikko Koppanen <mikko.koppanen@gmail.com>

 configure.in |    2 +-
 version.sh   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c8e5be87d82e73cfc8a6655d2c2b6779f7c223a5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Feb 5 15:04:15 2011 +0100

    test-hwm added to .gitignore
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4efead1bbb8f3d2b84ad8e1fc88b65bc621f987f
Author: Chris Rempel <csrl@gmx.com>
Date:   Sat Feb 5 14:42:21 2011 +0100

    Fixed autogen.sh warnings on Debian 6 systems.
    
    Signed-off-by: Chris Rempel <csrl@gmx.com>
    
    Please enter the commit message for your changes. Lines starting

 AUTHORS      |    1 +
 configure.in |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 042e34a5d99a9d39b0680d063878f13f5d7e7337
Author: Thijs Terlouw <thijsterlouw@gmail.com>
Date:   Fri Feb 4 16:44:13 2011 +0100

    operator void* () added to context_t.
    
    Makes it possible to share the context from C++ to C.
    
    Signed-off-by: Thijs Terlouw <thijsterlouw@gmail.com>

 include/zmq.hpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3f758ab2f45a07e3e77af4f1b32dc876f5a151ad
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Feb 3 09:59:54 2011 +0100

    Don't use RLIMIT_NOFILES in devpoll_t.
    
    The patch allows for running 0MQ on Solaris and HP-UX
    even though ulimit for max number of file descriptors
    is set to unlimited.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/devpoll.cpp |   20 ++++++++++----------
 src/devpoll.hpp |    3 ++-
 2 files changed, 12 insertions(+), 11 deletions(-)

commit ca1acc340c256a35f0db58805bba7cb337d9a5a3
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Feb 3 08:46:04 2011 +0100

    RLIMIT_NOFILE not used in poll_t anymore
    
    The problem was that RLIMIT_NOFILE can be set to RLIM_INIFINITY
    (and that appears to be default on AIX) which caused 0MQ to fail.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/poll.cpp |   20 ++++++++++----------
 src/poll.hpp |    3 ++-
 2 files changed, 12 insertions(+), 11 deletions(-)

commit 1e0302633ea10766d21b2a70d62e6f16440c18d4
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sun Jan 30 12:43:17 2011 +0100

    Added WithOpenPGM configuration into MSVC builds
    
    Signed-off-by: Mikko Koppanen <mikko.koppanen@gmail.com>

 builds/msvc/libzmq/libzmq.vcproj |   77 ++++++++++++++++++++++++++++++++++++++
 builds/msvc/msvc.sln             |   17 ++++++++
 2 files changed, 94 insertions(+), 0 deletions(-)

commit 72d320366f2a1076ced81f4e871c7affbb9ffb9d
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sun Jan 30 11:51:30 2011 +0100

    Added test for HWM
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 tests/Makefile.am  |    5 +++-
 tests/test_hwm.cpp |   67 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+), 1 deletions(-)

commit 1b15eba9a9718adfeea5cecf499b8247596f6c71
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jan 28 07:50:21 2011 +0100

    Fixed the problem of subscription forwarding and PGM interaction
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f7f1dfc86dd649edbd789a5d157d74721338c912
Author: Thijs Terlouw <thijsterlouw@gmail.com>
Date:   Wed Jan 26 07:01:06 2011 +0100

    ZMQ_RECONNECT_IVL_MAX socket option added
    
    It allows for exponential back-off strategy when reconnecting.
    
    Signed-off-by: Thijs Terlouw <thijsterlouw@gmail.com>

 AUTHORS                |    1 +
 doc/zmq_getsockopt.txt |   23 ++++++++++++++++++-
 doc/zmq_setsockopt.txt |   24 ++++++++++++++++++--
 include/zmq.h          |    3 +-
 src/options.cpp        |   22 +++++++++++++++++++
 src/options.hpp        |    6 ++++-
 src/zmq_connecter.cpp  |   55 +++++++++++++++++++++++++++++++++--------------
 src/zmq_connecter.hpp  |   12 ++++++++-
 8 files changed, 120 insertions(+), 26 deletions(-)

commit 8e61a11b398c95d829f24c388737eb122405c97b
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Thu Jan 20 22:13:01 2011 +0100

    Do not execute ipc tests under MinGW
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 tests/Makefile.am |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 8561a55d2ca3f99ef7d122cf621b2379924152a5
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Thu Jan 20 22:12:25 2011 +0100

    Remove unnecessary visibility pragmas
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 src/zmq.cpp |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit c91bf25645b27fb903886093b27fa153c60be2fd
Author: Dhammika Pathirana <dhammika@gmail.com>
Date:   Thu Jan 20 07:52:40 2011 +0100

    Fix handle connection reset during session init
    
    Patch to handle nmap version probes.
    
    Signed-off-by: Dhammika Pathirana <dhammika@gmail.com>

 src/decoder.hpp    |    4 ++++
 src/zmq_engine.cpp |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 56bdba592cf336b2bd4241a2b8e331cd38a089e4
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jan 18 15:57:45 2011 +0100

    Fix cppcheck warnings: 	Prefer prefix ++/-- operators for non-primitive types.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ctx.cpp          |    6 +++---
 src/epoll.cpp        |    4 ++--
 src/kqueue.cpp       |    2 +-
 src/own.cpp          |    2 +-
 src/pgm_receiver.cpp |    2 +-
 src/poller_base.cpp  |    2 +-
 src/select.cpp       |    4 ++--
 src/xrep.cpp         |    8 ++++----
 8 files changed, 15 insertions(+), 15 deletions(-)

commit b262f2fe9ba02a6d2749e286eaadc65d489600c9
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jan 17 14:51:01 2011 +0100

    Typo fixed in zmq_send(3) man page.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_send.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 667b247e322e2f0e99b680170a1d004f124b0568
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Jan 17 14:45:24 2011 +0100

    Cancel pending timers when decoder for PGM stalls
    
    Otherwise the timer event can raise an input event
    causing assertion on unprocessed data.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 src/pgm_receiver.cpp |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit a249d152003d7a7ebf048c2a9a0307abc1adb704
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Jan 15 20:16:00 2011 +0100

    Fix MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 59fa0c9b46a7f8291c68564ad71ef97dd0bae69e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jan 14 12:41:12 2011 +0100

    Gerard Toonstra added to the authors file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a348d94c09ab93a19a57ec22a86782e45f1d06ac
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jan 14 12:38:07 2011 +0100

    Fair queueing of subscriptions added to XPUB socket
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xpub.cpp |   19 ++++++++++++++++---
 src/xpub.hpp |    6 ++++++
 2 files changed, 22 insertions(+), 3 deletions(-)

commit 58c9830d90fc39727cec88e48f8985a499aa0ee7
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jan 14 12:25:54 2011 +0100

    XSUB socket has a subscription distributor
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/xsub.cpp |    7 +++++--
 src/xsub.hpp |    4 ++++
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 8eae7d8507b1c96aec28bca20a157bb7537c3eb8
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jan 14 12:05:10 2011 +0100

    'message distribution mechanism' separated from XPUB socket
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am |    2 +
 src/dist.cpp    |  161 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/dist.hpp    |   76 ++++++++++++++++++++++++++
 src/xpub.cpp    |  119 ++--------------------------------------
 src/xpub.hpp    |   23 ++-------
 5 files changed, 249 insertions(+), 132 deletions(-)

commit 18f29ded6a83875c27395d254c25e3d152ae1cc6
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Jan 13 11:44:23 2011 +0100

    Make cppcheck not complain about "'operator=' should return something"
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/array.hpp             |    4 ++--
 src/atomic_counter.hpp    |    2 +-
 src/atomic_ptr.hpp        |    2 +-
 src/clock.hpp             |    2 +-
 src/connect_session.hpp   |    2 +-
 src/ctx.hpp               |    2 +-
 src/decoder.hpp           |    2 +-
 src/devpoll.hpp           |    2 +-
 src/encoder.hpp           |    2 +-
 src/epoll.hpp             |    2 +-
 src/fq.hpp                |    2 +-
 src/io_object.hpp         |    2 +-
 src/kqueue.hpp            |    2 +-
 src/lb.hpp                |    2 +-
 src/mailbox.hpp           |    2 +-
 src/mutex.hpp             |    2 +-
 src/named_session.hpp     |    2 +-
 src/object.hpp            |    2 +-
 src/own.hpp               |    2 +-
 src/pair.hpp              |    2 +-
 src/pgm_receiver.hpp      |    2 +-
 src/pgm_sender.hpp        |    2 +-
 src/pipe.hpp              |    4 ++--
 src/poll.hpp              |    2 +-
 src/poller_base.hpp       |    2 +-
 src/pub.hpp               |    2 +-
 src/pull.hpp              |    2 +-
 src/push.hpp              |    2 +-
 src/rep.hpp               |    2 +-
 src/req.hpp               |    2 +-
 src/select.hpp            |    2 +-
 src/semaphore.hpp         |    6 +++---
 src/session.hpp           |    2 +-
 src/socket_base.hpp       |    2 +-
 src/sub.hpp               |    2 +-
 src/swap.hpp              |    4 ++++
 src/tcp_connecter.hpp     |    2 +-
 src/tcp_listener.hpp      |    2 +-
 src/tcp_socket.hpp        |    2 +-
 src/thread.hpp            |    2 +-
 src/transient_session.hpp |    2 +-
 src/trie.hpp              |    2 +-
 src/xpub.hpp              |    2 +-
 src/xrep.hpp              |    2 +-
 src/xreq.hpp              |    2 +-
 src/xsub.hpp              |    2 +-
 src/ypipe.hpp             |    2 +-
 src/yqueue.hpp            |    2 +-
 src/zmq_connecter.hpp     |    2 +-
 src/zmq_engine.hpp        |    2 +-
 src/zmq_init.hpp          |    2 +-
 src/zmq_listener.hpp      |    2 +-
 52 files changed, 59 insertions(+), 55 deletions(-)

commit 70513871082462c957e46986040ebe7b10d64557
Author: Neale Ferguson <neale@sinenomine.net>
Date:   Wed Jan 12 09:22:25 2011 +0100

    Support dynamic generation of C preprocessor definitions for PGM rather than hardcoding them.
    
    Signed-off-by: Neale Ferguson <neale@sinenomine.net>

 AUTHORS         |    1 +
 configure.in    |   59 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 src/Makefile.am |   14 +------------
 src/clock.cpp   |    5 ++++
 4 files changed, 60 insertions(+), 19 deletions(-)

commit 725ebce13ca7871002063c4a254bf532d35ee878
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Jan 11 21:12:51 2011 +0100

    Version bumped to 2.1.1
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bd0ba6e89a709cc8afbd5a7c3c4f9f533c428249
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jan 10 13:53:30 2011 +0100

    Size of inproc hwm and swap is sum of peers' hwms and swaps
    
    The meat of the patch was contributed by Douglas Creager.
    Martin Sustrik implemented storing peer options in inproc
    endpoint repository.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS             |    1 +
 src/ctx.cpp         |   18 +++++++++---------
 src/ctx.hpp         |   15 ++++++++++++---
 src/object.cpp      |    6 +++---
 src/object.hpp      |    4 ++--
 src/socket_base.cpp |   34 +++++++++++++++++++++++++---------
 6 files changed, 52 insertions(+), 26 deletions(-)

commit babdf48aacc585d57457da8dec1fb6ce262bf719
Author: Dhammika Pathirana <dhammika@gmail.com>
Date:   Fri Jan 7 13:28:35 2011 +0100

    Fix pipe writer termination
    
    Signed-off-by: Dhammika Pathirana <dhammika@gmail.com>

 src/pipe.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 8e0049e2fb60d31c07786fffe39fdc9c63369dfa
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Jan 7 12:59:48 2011 +0100

    Disable sending messages on SUB socket
    
    The ability was inherited from XSUB socket.
    Now it's properly disabled.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/sub.cpp |   15 ++++++++++++++-
 src/sub.hpp |    2 ++
 2 files changed, 16 insertions(+), 1 deletions(-)

commit 08cd2ce05da74143b6154f7d665756870077c38d
Author: Min Ragan-Kelley <benjaminrk@gmail.com>
Date:   Thu Jan 6 08:42:57 2011 +0100

    resolve "function declaration isn't a prototype"
    
    change two declarations in headers to form f(void); instead of f();
    which eliminates the warnings when compiling against zeromq
    
    Signed-off-by: MinRK <benjaminrk@gmail.com>

 AUTHORS             |    1 +
 include/zmq.h       |    2 +-
 include/zmq_utils.h |    2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 472bdcd6b4995d2ab92e97aafa898f083ce1f3ba
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Jan 5 16:57:51 2011 +0100

    Return ETERM from getsockopt(ZMQ_EVETS) if zmq_term() was called
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/socket_base.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 95eebbfffaf512d81721697026dbb5434c12c27d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Jan 3 20:50:24 2011 +0100

    sunos/gcc3 compilation issue fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/sub.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 51d2d9b9f82526a9b471dda272c1d54b3d1b1152
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Dec 20 13:06:36 2010 +0100

    Yet one more fix for oversized messages.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/decoder.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 112d0cd52ec959a6bb4cf02ab03977bc22478246
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Dec 20 11:47:41 2010 +0100

    Fix the segfault when over-sized message is rejected.
    
    The in_progress message inside of decoder was left
    uninitialised in such a case.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/decoder.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cbbb1e925d699c8b42b2724740d68839c81684c3
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Sat Dec 18 12:13:10 2010 +0100

    Fix passing through CFLAGS/CPPFLAGS/CXXFLAGS when using --enable-debug
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   12 ++++++------
 configure.in |    5 +++++
 2 files changed, 11 insertions(+), 6 deletions(-)

commit d15e881ea02232c3e875699b3c25f43ad2fd093c
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Dec 17 16:30:42 2010 +0100

    unplugged engine tries to manipulate the pollset -- fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/zmq_engine.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b19ee99bb1a2b19a6bf78c7fa2159a85aa608a10
Author: Dhammika Pathirana <dhammika@gmail.com>
Date:   Fri Dec 17 15:30:56 2010 +0100

    fix race condition in session init
    
    Signed-off-by: Dhammika Pathirana <dhammika@gmail.com>

 src/zmq_engine.cpp |   22 +++++++++++++++++++---
 src/zmq_engine.hpp |    3 +++
 src/zmq_init.cpp   |   44 +++++++++++++++++++++++++++-----------------
 src/zmq_init.hpp   |    4 ++++
 4 files changed, 53 insertions(+), 20 deletions(-)

commit 27e83cc5258e191a7d5977e202046447df7896b9
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Dec 15 20:10:27 2010 +0100

    Fixes assertion on pipe.cpp:237 when swap fills up.
    
    Fixes swap::full () functionality
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 src/lb.cpp   |    9 ++++++++-
 src/pair.cpp |    5 ++++-
 src/pipe.cpp |    8 ++++----
 src/pipe.hpp |    6 +++---
 src/swap.cpp |   15 ++++++++++++++-
 src/swap.hpp |    8 ++++++--
 6 files changed, 39 insertions(+), 12 deletions(-)

commit a46980babe076d34347629a54e9635466e6e2a9f
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Dec 15 14:41:18 2010 +0100

    Remove assertions from devices
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 devices/zmq_forwarder/zmq_forwarder.cpp |    6 ++++-
 devices/zmq_queue/zmq_queue.cpp         |    6 ++++-
 devices/zmq_streamer/zmq_streamer.cpp   |    6 ++++-
 src/device.cpp                          |   33 ++++++++++--------------------
 4 files changed, 26 insertions(+), 25 deletions(-)

commit f749f2d21c1b47e6dcd626633acff764a4484b99
Author: Dhammika Pathirana <dhammika@gmail.com>
Date:   Mon Dec 13 15:40:26 2010 +0100

    add basic uri validations
    
    Signed-off-by: Dhammika Pathirana <dhammika@gmail.com>

 src/socket_base.cpp |   50 ++++++++++++++++++++++++++++----------------------
 src/socket_base.hpp |    4 ++++
 2 files changed, 32 insertions(+), 22 deletions(-)

commit 22b2b9a2b6e1dd18d58ef51f453d2b4777e71be4
Author: Dhammika Pathirana <dhammika@gmail.com>
Date:   Mon Dec 13 14:18:47 2010 +0100

    fix overwriting errno on bind failure
    
    Signed-off-by: Dhammika Pathirana <dhammika@gmail.com>

 src/tcp_listener.cpp |    7 +++++--
 src/tcp_listener.hpp |    3 +++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit a9d969a73e303db2f6ddf436740d0bbef7e63dba
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Dec 9 21:44:15 2010 +0100

    Bob Beaty added to the AUTHORS file
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fcfad5682ed7a7f5108853d2a7039aedfd9a9ac2
Author: Bob Beaty <rbeaty@peak6.com>
Date:   Thu Dec 9 21:42:58 2010 +0100

    Added Recovery Interval in Milliseconds
    
    For very high-speed message systems, the memory used for recovery can get to
    be very large. The corrent limitation on that reduction is the ZMQ_RECOVERY_IVL
    of 1 sec. I added in an additional option ZMQ_RECOVERY_IVL_MSEC, which is the
    Recovery Interval in milliseconds. If used, this will override the previous
    one, and allow you to set a sub-second recovery interval. If not set, the
    default behavior is to use ZMQ_RECOVERY_IVL.
    
    Signed-off-by: Bob Beaty <rbeaty@peak6.com>

 doc/zmq_getsockopt.txt |   20 ++++++++++++++++++++
 doc/zmq_setsockopt.txt |   24 ++++++++++++++++++++++++
 include/zmq.h          |    1 +
 src/options.cpp        |   18 ++++++++++++++++++
 src/options.hpp        |    2 ++
 src/pgm_socket.cpp     |   32 ++++++++++++++++++--------------
 6 files changed, 83 insertions(+), 14 deletions(-)

commit 1d81d2f1d4549c2cd0999c9544b059c29706f260
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Tue Dec 7 11:15:51 2010 +0100

    tar doesn't accept -C flag on solaris while extracting
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 configure.in |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit a3353150f845cf0f6e8f2355d3aad760bfba4b64
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Tue Dec 7 11:15:18 2010 +0100

    Fix werror flag store/restore
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aed2eeafdc2fce93738368749b61b36f98ea6cd6
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Tue Dec 7 11:14:46 2010 +0100

    Fix visibility on rhel4
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   48 ++++++++++++++++++++++++++++++++++++++++++++++--
 configure.in |   16 +++++++---------
 2 files changed, 53 insertions(+), 11 deletions(-)

commit 9bb5323a1abce0dcf8ed56734313a5249003d868
Author: Martin Lucina <mato@kotelna.sk>
Date:   Tue Dec 7 11:10:21 2010 +0100

    Clarify zmq_send() operation for ZMQ_PUB sockets
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 doc/zmq_socket.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 73bbcb552d6fbd1b3744a1ee29202a19e4d2f46e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Dec 6 23:10:50 2010 +0100

    MSVC build fixed
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   32 ++++++++------------------------
 1 files changed, 8 insertions(+), 24 deletions(-)

commit 8d6cafe06696e17afff03adf4b33bd504b55e277
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Dec 6 22:57:29 2010 +0100

    All devices conflated into a single implementation.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/Makefile.am   |    8 +---
 src/device.cpp    |  130 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/device.hpp    |   31 +++++++++++++
 src/forwarder.cpp |   60 ------------------------
 src/forwarder.hpp |   31 -------------
 src/queue.cpp     |  130 -----------------------------------------------------
 src/queue.hpp     |   31 -------------
 src/streamer.cpp  |   60 ------------------------
 src/streamer.hpp  |   31 -------------
 src/zmq.cpp       |   24 ++++------
 10 files changed, 172 insertions(+), 364 deletions(-)

commit ec61751e17fe4ceb62cc16750b12df6056c5962a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Dec 6 22:36:10 2010 +0100

    options.type correctly set for PUB/SUB/XPUB/XSUB
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pub.cpp  |    1 +
 src/sub.cpp  |    1 +
 src/xpub.cpp |    2 +-
 src/xsub.cpp |    2 +-
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 8a6ff4ccd2ecbbfb7b2fd80fe621b8a05b0f9bbd
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Dec 6 09:44:23 2010 +0100

    xup and xsub files added to the MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 2daa0bb49d52aeb1aa60c94505bdad72348e5d8e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sun Dec 5 09:48:52 2010 +0100

    XSUB accepts (un)subscriptions in form of messages.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/sub.cpp  |   31 +++++++++++++++++++++++++++++++
 src/sub.hpp  |    4 ++++
 src/xsub.cpp |   40 +++++++++++++++++++++++++---------------
 src/xsub.hpp |    3 ++-
 4 files changed, 62 insertions(+), 16 deletions(-)

commit c80e7b80cc726ca7c29493c2553c8d19792bb6e5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Dec 4 23:14:38 2010 +0100

    XPUB and XSUB socket types added.
    
    These are just placeholders. At the moment XPUB behaves th same
    as PUB and XSUB as SUB.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 include/zmq.h       |    4 +-
 src/Makefile.am     |    4 +
 src/pub.cpp         |  144 +------------------------------------------
 src/pub.hpp         |   34 +----------
 src/socket_base.cpp |   11 +++-
 src/sub.cpp         |  134 +---------------------------------------
 src/sub.hpp         |   38 +-----------
 src/xpub.cpp        |  171 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/xpub.hpp        |   73 ++++++++++++++++++++++
 src/xsub.cpp        |  161 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/xsub.hpp        |   78 +++++++++++++++++++++++
 11 files changed, 506 insertions(+), 346 deletions(-)

commit abc8b5e40c55deb96e7674b15629f2affa4eb92a
Author: Martin Lucina <mato@kotelna.sk>
Date:   Wed Dec 1 11:55:56 2010 +0100

    Update NEWS file for 2.1.0 release
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 NEWS |   73 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 73 insertions(+), 0 deletions(-)

commit 4a3ed39a22655406e17c49fab4912c4681f3d7bf
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Wed Dec 1 11:52:05 2010 +0100

    Bump OpenPGM to 5.0.92.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 configure.in                              |    2 +-
 foreign/openpgm/libpgm-5.0.91~dfsg.tar.gz |  Bin 444731 -> 0 bytes
 foreign/openpgm/libpgm-5.0.92~dfsg.tar.gz |  Bin 0 -> 444700 bytes
 3 files changed, 1 insertions(+), 1 deletions(-)

commit 520d621016691bcb2a0551147aaa38a9891080b3
Author: Martin Lucina <mato@kotelna.sk>
Date:   Wed Dec 1 11:11:25 2010 +0100

    Bump ABI version to 1:0:0 for ZeroMQ 2.1.0 release
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 configure.in |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit b70d628fad5ab97d24473b83fd18997b4e87477d
Author: Martin Lucina <mato@kotelna.sk>
Date:   Wed Dec 1 10:57:37 2010 +0100

    Documentation updates for 2.1
    
    - Clarify ZMQ_LINGER, zmq_close (), zmq_term () relationship
    - New socket options
    - Clarify thread safety of sockets and migration between threads
    - Other minor and spelling fixes
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 doc/zmq.txt            |   12 ++++-
 doc/zmq_close.txt      |   12 +++--
 doc/zmq_errno.txt      |    2 +-
 doc/zmq_getsockopt.txt |  116 ++++++++++++++++++++++++++++++++----------------
 doc/zmq_pgm.txt        |    6 +-
 doc/zmq_poll.txt       |   11 +++--
 doc/zmq_setsockopt.txt |   67 ++++++++++++++++++----------
 doc/zmq_socket.txt     |   24 +++++++---
 doc/zmq_tcp.txt        |    6 +-
 doc/zmq_term.txt       |   27 +++++++----
 doc/zmq_version.txt    |    2 +-
 11 files changed, 186 insertions(+), 99 deletions(-)

commit 5bb0a339be31064900257e04e2ffd32e80911d63
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Dec 1 10:33:07 2010 +0100

    Prefix variables with "ac_zmq_"
    
     - Added a macro for checking clang compiler
     - Moved basic compiler checks to a macro
     - Added a macro for checking if compiler supports a flag
     - Added --enable-debug flag
     - Added a macro for running normal autoconf check with compiler flags
     - Added a macro for checking for verbose flag for different compilers (-Wall)
     - Added a macro for turning on strict standards compliance
     - Added a macro for turning warnings to errors
     - Added a macro for checking if compiler supports given pragma
     - Most of the flags now go through checks if the compilers supports them
       rather than enumerating different compilers
     - Added DSO symbol visibility for sun compiler
     - Enabled verbose mode for sun compiler
     - Fixed build for ICC 12.x by adding -wd279 to size_t checks
     - Removed pkg-config checks as those don't seem to be used anywhere
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4        |  461 ++++++++++++++++++++++++++++++++++++++++++++++-----
 autogen.sh          |    6 -
 configure.in        |  212 +++++++++++-------------
 include/zmq.h       |   14 +-
 include/zmq_utils.h |   14 +-
 5 files changed, 532 insertions(+), 175 deletions(-)

commit 17d7e6ede0f907461130302cf4bddcdf9e2737cf
Merge: 28db150 289b1f5
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Wed Dec 1 10:27:24 2010 +0100

    Merge branch 'maint'
    
    * maint:
      Remove unnecessary cast in kevent_delete
    
    Conflicts:
    	src/kqueue.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

commit 289b1f5ced492a2dc62edaba0016abde21093692
Author: Martin Lucina <mato@kotelna.sk>
Date:   Wed Dec 1 10:25:31 2010 +0100

    Remove unnecessary cast in kevent_delete
    
    Fixes the build on NetBSD where the compiler complains about casting NULL
    to (int).
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 src/kqueue.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 28db150aaf7b1cffb996f1b27bc082f75acec261
Author: Steven McCoy <steven.mccoy@miru.hk>
Date:   Mon Nov 29 10:52:22 2010 +0100

    Fix thread thunker scope for MSVC.
    
    Signed-off-by: Steven McCoy <steven.mccoy@miru.hk>

 src/thread.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 325dd2f0914de502ae7687f94927fa98c20380c9
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 27 22:19:43 2010 +0100

    Functions passed to pthread_create are declared as extern "C"
    
    So far these were declared as C++ static functions which
    was incorrect and caused warnings with SunStudio.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/thread.cpp                 |   54 ++++++++++++++++++++++-----------------
 src/thread.hpp                 |   10 +++---
 tests/test_shutdown_stress.cpp |   19 ++++++++------
 3 files changed, 46 insertions(+), 37 deletions(-)

commit 0bc2a05d84dc8e496a60d0c8def7689783e08e01
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 27 12:51:43 2010 +0100

    .gitignore modified to ignore test executables
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 .gitignore |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit c9584096e033850c77c4c3d4ee99e8073f7b26da
Author: Martin Lucina <mato@kotelna.sk>
Date:   Thu Nov 25 17:12:31 2010 +0100

    Control symbol exports using -fvisibility
    
    On systems using GCC 4.0 or newer which support symbol visibility in shared
    libraries, use -fvisibility=hidden and only export explict API functions
    defined in zmq.cpp. We do not enable -fvisibility on MinGW since this uses a
    separate mechanism (__declspec).
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 configure.in        |   12 ++++++++++++
 include/zmq.h       |    8 ++++++++
 include/zmq_utils.h |    6 ++++++
 src/Makefile.am     |    3 +--
 src/zmq.cpp         |    8 ++++++++
 5 files changed, 35 insertions(+), 2 deletions(-)

commit 734624be760b3c7942eb26bea77fca918cb1540d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Nov 25 14:05:43 2010 +0100

    Typo fixed in a comment.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/i_engine.hpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 92618fd99ac19f3169552c25cbabffbe9e983f7f
Author: Sebastian Otaegui <feniix@gmail.com>
Date:   Thu Nov 25 14:04:53 2010 +0100

    Small fix for the rhel6 spec
    
    Signed-off-by: Sebastian Otaegui <feniix@gmail.com>

 builds/redhat/zeromq.spec |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a689047de091b2ffbc58cde4a89e98119ae0f599
Merge: ac40680 83d9af9
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Nov 22 16:07:15 2010 +0100

    Merge branch 'maint'
    
    * maint:
      Mikko Koppanen becomes a maintainer of the build system.

commit 83d9af99516fc620ffdfa6cd5a226ab70673cb5d
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Nov 22 16:06:20 2010 +0100

    Mikko Koppanen becomes a maintainer of the build system.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 MAINTAINERS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac40680ea2f6b32a3c451db1b606524e86a347dd
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 19 12:35:06 2010 +0100

    Problem with blob_t initialisation fixed.
    
    HP's version of STL doesn't allow for initialisation of basic_string
    (blob_t) using NULL pointer, while SGI's implementation is OK with
    that. Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/object.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit edf7c18d79b195001d7ed7d05ac30a4d7a64bce1
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Fri Nov 19 09:10:26 2010 +0100

    Add a check that the compiler actually works.
    
    The patch tests that the C and C++ compilers actually exist
    and work. autoconf seems to default to 'g++' when C++ compiler is not
    found, which causes the following error (when the compiler isn't
    there):
    
    checking for uuid_generate in -luuid... no
    configure: error: cannot link with -luuid, install uuid-dev.
    
    The config.log contains the real error message "g++ command not found"
    but the error message shown to the user is misleading.
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   18 ++++++++++++++++++
 configure.in |    6 +++++-
 2 files changed, 23 insertions(+), 1 deletions(-)

commit 945c931daf0c053a9cdbfdbb3ec7d0e90c29fc10
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Thu Nov 18 11:51:27 2010 +0100

    Run autoupdate on the configure.in
    
    I ran autoupdate on the configure.in, which generated most of the
    patch attached. There is also a small manual fix in which removes the
    warning "Remember to add LT_INIT to configure.in" which I assume is
    because AC_PROG_LIBTOOL was called inside a macro.
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |    3 ---
 configure.in |   13 +++++++------
 2 files changed, 7 insertions(+), 9 deletions(-)

commit 72a7b93f124cdaee8082aff218f6497c366f53f9
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Nov 17 15:10:43 2010 +0100

    Allow building without documentation.
    
    Allows building without documentation even if asciidoc and xmlto are
    installed. This eases up working with the build system because doc
    generation take quite a while on repeated builds.
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   41 +++++++++++++++++++++++++----------------
 1 files changed, 25 insertions(+), 16 deletions(-)

commit c86375831d4002ac58501bacebb3fd12d5c651b8
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Nov 17 15:09:06 2010 +0100

    Remove unneeded substitutions
    
    Couldn't find a place where these substs were actually used
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 configure.in |   15 ---------------
 1 files changed, 0 insertions(+), 15 deletions(-)

commit b83d0a1bc077fdcc481fee40dcf4780669c3f3d2
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Nov 17 15:07:59 2010 +0100

    Remove unnecessary conditional
    
    This conditional is unnecessary as BUILD_PGM can be negated in the test.
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 configure.in    |    1 -
 src/Makefile.am |    2 +-
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 925595259b51dd84711b620afdf02245e537a38f
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Nov 17 15:06:51 2010 +0100

    MinGW32 build fixes
    
    After long discussions in IRC we came to conclusion that there is no
    elegant way to handle static builds with MinGW32. This patch sets
    AC_DISABLE_STATIC by default on MinGW32 and Cygwin
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4 |   27 +++++++++++++++++++++++++++
 configure.in |   19 ++++++++++++++-----
 2 files changed, 41 insertions(+), 5 deletions(-)

commit 3dbd5d58723bdc31eb00a6ebf4f643059a432f8c
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Wed Nov 17 15:05:01 2010 +0100

    Fix mingw32 build
    
    MinGW32 defines __int64_t as long long, which causes the build to fail
    unless -Wno-long-long is used. In addition the shutdown_stress test
    isn't currently compatible with Win.
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 configure.in      |    3 ++-
 tests/Makefile.am |    9 +++++++--
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 34f50a6840fdf638bbd7887aa2438006baeb884d
Merge: bd0ecf4 152c64f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 16 14:26:04 2010 +0100

    Merge branch 'maint'
    
    * maint:
      FD_SETSIZE defaults to 1024 in MSVC build
    
    Conflicts:
    	builds/msvc/libzmq/libzmq.vcproj
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

commit bd0ecf478466b27103af92db33ffebc3948f2e4e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 16 14:15:29 2010 +0100

    FD_SETSIZE defaults to 1024 in MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 152c64f25df9d037e7f51874d2d66724337aad38
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 16 14:04:55 2010 +0100

    FD_SETSIZE defaults to 1024 in MSVC build
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 builds/msvc/libzmq/libzmq.vcproj |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit da3327cf8780ea4d454e0aa8904b5aab3c446b23
Author: Mikko Koppanen <mkoppanen@php.net>
Date:   Mon Nov 15 17:02:36 2010 +0100

    Build refactoring
    
    Signed-off-by: Mikko Koppanen <mkoppanen@php.net>

 acinclude.m4    |   53 ++++++++++++++++++++++++++++++
 configure.in    |   97 +++++++++++++++++++++++++++++-------------------------
 src/Makefile.am |    3 +-
 3 files changed, 106 insertions(+), 47 deletions(-)

commit f77c8ca47ff77af44eab7b4b8538ed49ec428eda
Merge: a2500ae ffcb0ba
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 13 18:16:13 2010 +0100

    Merge branch 'maint'
    
    * maint:
      Couple of patches for AIX build

commit ffcb0baa735538b8b4a0f00799d1185adba2761f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 13 18:08:18 2010 +0100

    Couple of patches for AIX build
    
    - RAND_bytes function resides in crypto library
    - pollfd on AIX used 'reqevents' instead of events and 'retnevents'
      instead of 'revents'
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS      |    1 +
 configure.in |    1 +
 src/zmq.cpp  |   23 ++++++++++++++---------
 3 files changed, 16 insertions(+), 9 deletions(-)

commit a2500ae3485d6243778b832d22dc6dc02a00f025
Author: Chia-liang Kao <clkao@clkao.org>
Date:   Fri Nov 12 19:16:00 2010 +0100

    Fix a bug that zmq_poll's select backend spins when timeout=-1, due to
    ptimeout not properly recalculated after first pass.
    
    Signed-off-by: Chia-liang Kao <clkao@clkao.org>

 AUTHORS     |    1 +
 src/zmq.cpp |   32 ++++++++++++++++----------------
 2 files changed, 17 insertions(+), 16 deletions(-)

commit 8abe67357ab905c5c86191c1d9005666f66b6ca0
Merge: c021702 f7123de
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 12 14:47:26 2010 +0100

    Merge branch 'maint'
    
    * maint:
      Fix socket_t::recv() hang scenario where initial call to process_commands() eats signal
    
    Conflicts:
    	src/socket_base.cpp

commit f7123de9434a96794e6a7cd83b398ceb18c9de8b
Author: Marc Rossi <mrossi19@gmail.com>
Date:   Fri Nov 12 14:38:25 2010 +0100

    Fix socket_t::recv() hang scenario where initial call to process_commands() eats signal
    
    Added block boolean var to second process_commands() invocation for blocking sockets
    instead of always using true.  This prevents the process_commands() call from hanging
    when a message is received with an empty queue after the call to xrecv() but
    prior to the initial call to process_commands() invoked when ++ticks == inbound_poll_rate.
    
    Signed-off-by: Marc Rossi <mrossi19@gmail.com>

 AUTHORS             |    1 +
 src/socket_base.cpp |    4 +++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit c0217027ccd2267b05e017af436a842755d044b0
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Nov 6 08:02:14 2010 +0100

    Coding style cleanup in mailbox.cpp
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/mailbox.cpp |   39 +++++++++++++++++++++------------------
 1 files changed, 21 insertions(+), 18 deletions(-)

commit 9da84a5239e5356e34d872c2b5af1d19b9c7eb4f
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 5 17:39:51 2010 +0100

    signaler renamed to mailbox
    
    For historical reasons queue to transfer commands between
    threads was called 'signaler'. Given that it was used to
    pass commands rather than signals it was renamed to 'mailbox',
    see Erlang mailboxes.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 MAINTAINERS                      |    2 +-
 builds/msvc/libzmq/libzmq.vcproj |    4 +-
 src/Makefile.am                  |    4 +-
 src/ctx.cpp                      |   14 +-
 src/ctx.hpp                      |    6 +-
 src/io_thread.cpp                |   12 +-
 src/io_thread.hpp                |   15 +-
 src/mailbox.cpp                  |  378 ++++++++++++++++++++++++++++++++++++++
 src/mailbox.hpp                  |   61 ++++++
 src/own.cpp                      |    2 +-
 src/signaler.cpp                 |  366 ------------------------------------
 src/signaler.hpp                 |   61 ------
 src/socket_base.cpp              |   12 +-
 src/socket_base.hpp              |   10 +-
 14 files changed, 479 insertions(+), 468 deletions(-)

commit 9cfdb441f45057c7106a101835d65164fce9470a
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Fri Nov 5 16:38:52 2010 +0100

    slots renamed to tids
    
    Threads were so far identified by integers called 'slots'.
    This patch renames them to more comprehensible 'tid's (thread IDs).
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/ctx.cpp         |   12 ++++++------
 src/ctx.hpp         |    6 +++---
 src/io_thread.cpp   |    4 ++--
 src/io_thread.hpp   |    2 +-
 src/object.cpp      |   14 +++++++-------
 src/object.hpp      |    8 ++++----
 src/own.cpp         |    4 ++--
 src/own.hpp         |    2 +-
 src/pair.cpp        |    4 ++--
 src/pair.hpp        |    2 +-
 src/pub.cpp         |    4 ++--
 src/pub.hpp         |    2 +-
 src/pull.cpp        |    4 ++--
 src/pull.hpp        |    2 +-
 src/push.cpp        |    4 ++--
 src/push.hpp        |    2 +-
 src/rep.cpp         |    4 ++--
 src/rep.hpp         |    2 +-
 src/req.cpp         |    4 ++--
 src/req.hpp         |    2 +-
 src/socket_base.cpp |   24 ++++++++++++------------
 src/socket_base.hpp |    4 ++--
 src/sub.cpp         |    4 ++--
 src/sub.hpp         |    2 +-
 src/xrep.cpp        |    4 ++--
 src/xrep.hpp        |    2 +-
 src/xreq.cpp        |    4 ++--
 src/xreq.hpp        |    2 +-
 28 files changed, 67 insertions(+), 67 deletions(-)

commit 623a9c9f1b53bdda9ad61f58cdc7a286e3e474cd
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Nov 4 21:23:07 2010 +0100

    Jacob Rideout added to the AUTGORS file.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0ada4f8e30088e6a91fef7a45fd7e5dd7bdb9d1d
Author: Jacob Rideout <jacob.rideout@returnpath.net>
Date:   Thu Nov 4 21:21:01 2010 +0100

    Fix documentation typos
    
    Signed-off-by: Jacob Rideout <jacob.rideout@returnpath.net>

 doc/zmq_getsockopt.txt |    6 +++---
 doc/zmq_setsockopt.txt |   12 ++++++------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 1b39bcd88336ebed002e13a8ac3d4bc104b13718
Author: Martin Lucina <mato@kotelna.sk>
Date:   Thu Nov 4 17:54:47 2010 +0100

    Automatically resize signalling socket buffer if full
    
    If the socketpair used by signaler_t fills up, this can lead to deadlock.
    This patch provides partial resolution by attempting to resize SO_SNDBUF on
    the writer side, and if that fails we shall at least assert rather than
    hang.
    
    I've also refactored the signaler_t code to make the platform-dependent
    parts clearer and have tested both the MSG_DONTWAIT and standard POSIX path
    in recv.
    
    The Win32 implementation currently does not implement resizing as I'm not
    convinced that it's safe, but it will also assert like other platforms if
    signaler_t::send() cannot succeed.
    
    The OpenVMS implementation has been carried forward but is untested.
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 src/config.hpp   |    4 -
 src/signaler.cpp |  403 ++++++++++++++++++++++++++----------------------------
 src/signaler.hpp |   18 +--
 3 files changed, 201 insertions(+), 224 deletions(-)

commit 756f7df8c8e82a67f033049af47a3f783ad951e1
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Nov 4 16:11:04 2010 +0100

    Previous FD_STSIZE patch reverted.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/select.cpp |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 2246689c8fcf37cd69bd8098b21dc28a9abbcdeb
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Nov 4 13:12:40 2010 +0100

    FD_SETSIZE for internal polling defaults to 1024
    
    If, when compiling 0MQ you don't set FD_SETSIZE,
    it defaults to 1024 rather than to 64.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/select.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit b90e621329688c83f21f26bbe0367966a245e607
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Thu Nov 4 10:01:58 2010 +0100

    minor typo fixed
    
    Devpoll polling mechanism used ZMQ_HAVE_SOLRIS instead of
    ZMQ_HAVE_SOLARIS in one case. Fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/devpoll.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d4a41067d3e873ba4a87c4711ad2f755e7de9157
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 2 14:27:24 2010 +0100

    HP-UX has no OPEN_MAX defined
    
    devpoll_t used this constant to determine how many events to
    retrieve from the poller in one go. The implementation was
    changed not to depend on this constant.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/devpoll.cpp |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit de93f6359f061d08846cd203ad3ba4fda915e504
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Tue Nov 2 13:30:20 2010 +0100

    crypto library is needed on HP-UX to generate UUIDs
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 configure.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dbcd38252435ff69f1043649a94ec985e7f1ff5b
Merge: 0ad71f8 eb83678
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Mon Nov 1 14:13:36 2010 +0100

    Merge branch 'maint'
    
    * maint:
      Add INSTALL to Git, thus making it a normal file

commit eb83678b2b5eaca07d6813cab5c7dea493ac4bc8
Author: Martin Lucina <mato@kotelna.sk>
Date:   Mon Nov 1 14:12:33 2010 +0100

    Add INSTALL to Git, thus making it a normal file
    
    INSTALL gets added in somewhat magically by automake, or not. Adding it into
    Git ensures it's always included in the distribution.
    
    Signed-off-by: Martin Lucina <mato@kotelna.sk>

 .gitignore |    1 -
 INSTALL    |  237 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 237 insertions(+), 1 deletions(-)

commit 0ad71f88fe5531011c0354f22eeb070b1f729c7d
Author: Mikael Helbo Kjaer <mhk@designtech.dk>
Date:   Mon Nov 1 12:54:58 2010 +0100

    select now uses Erase-Remove idiom for retired fds
    
    Signed-off-by: Mikael Helbo Kjaer <mhk@designtech.dk>

 src/select.cpp |   17 ++++++++---------
 src/select.hpp |    3 +++
 2 files changed, 11 insertions(+), 9 deletions(-)

commit 085b709021c44673d9bf65a5d639e3c2e99703af
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Oct 30 18:17:53 2010 +0200

    Documentation for zmq_close and zmq_term fixed.
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 doc/zmq_close.txt |   12 ++++++------
 doc/zmq_term.txt  |   21 +++++++++------------
 2 files changed, 15 insertions(+), 18 deletions(-)

commit 3d8eb071a2a664d8de1e2e2fa7cb46a4f2764e5e
Author: Martin Sustrik <sustrik@250bpm.com>
Date:   Sat Oct 30 16:17:08 2010 +0200

    Coding style fixed for pgm_socket
    
    Signed-off-by: Martin Sustrik <sustrik@250bpm.com>

 src/pgm_socket.cpp |  211 ++++++++++++++++++++++++++++++++--------------------
 src/pgm_socket.hpp |    5 +-
 2 files changed, 132 insertions(+), 84 deletions(-)

commit b358df9fffd6a4155318356024358b8a1e2b9c9c
Author: Martin Sustrik <sustrik@250bpm.com>
